pro cdg,ipix,i1,i2,threshdown,threshup,implement
;
; displays good ERD data for detector pixel IPIX in red 
; from start of SCP plateau containing (unexpanded) 
; sample I1 to end of SCP plateau containing (unexpanded) sample I2. 
; If IMPLEMENT is 1, the ERD mask BAD for all points in these plateaus
; is set to 1 if the SCP point is above THRESHUP or below THRESHDOWN
;
@common_scpblock
;common scpblock,s_scp,bad_scp,rms_scp,n_scp,kpt_scp,spt_scp,fpt_scp,$
;from_scp,to_scp,time_scp,vig_scp,nplat_scp
@common_signal
;common signal,rs,cs,nch,s_in,s,badin,bad,rel,rms,glitch,jf,njf,ninchmax,rd,$
;nkf,kf,nkfmax,irelstart,nchopmed,gbad,npolyrms,nrmsmed,sigmaxfract
@common_names
;common names,tdtnam,iseq,dirnam,caldir,cfilter
@common_plotter
;common plotter,otfstart,otfstop,rdstat,chop,step,otf,rpid,yrel,zrel,$
;ytrue,ztrue,yzrpidcen,nyraster,nzraster,racenout,deccenout
;
erdtoscp,ipix
;
if(i1 lt 0 or i1 gt i2 or i2 gt n_elements(s(0,*)))then begin
print,'CDG - i1 and/or i2 out of range - aborting'
goto,c999
endif ; i1 lt 0 or i1 gt i2 or i2 gt n_elements(s(0,*))
i1scp=where(from_scp le i1 and to_scp ge i1,ni1scp)
if(ni1scp ne 1)then begin
print,'CDG - cannot locate SCP plateau i1 - aborting'
goto,c999
endif ; ni1scp ne 1
i1scp=i1scp(0)
i2scp=where(from_scp le i2 and to_scp ge i2,ni2scp)
if(ni2scp ne 1)then begin
print,'CDG - cannot locate SCP plateau i2 - aborting'
goto,c999
endif ; ni2scp ne 1
i2scp=i2scp(0)
;
i0scp=i1scp-1
i3scp=i2scp+1
i1erd=from_scp(i1scp)
i2erd=to_scp(i2scp)
i0erd=i1erd
i3erd=i2erd
if(i0scp ge 0)then i0erd=from_scp(i0scp)
if(i0scp lt 0)then i0scp=0
if(i3scp le nplat_scp-1)then i3erd=to_scp(i3scp)
if(i3scp gt nplat_scp-1)then i3scp=nplat_scp-1
;
; plot ERD and SCP data 
;
iwindow=20+ipix
if(ipix eq 0)then tit=tdtnam+' '+iseq+' PIXEL 0'
if(ipix eq 1)then tit=tdtnam+' '+iseq+' PIXEL 1'
if(ipix eq 2)then tit=tdtnam+' '+iseq+' PIXEL 2'
if(ipix eq 3)then tit=tdtnam+' '+iseq+' PIXEL 3'
if(ipix eq 4)then tit=tdtnam+' '+iseq+' PIXEL 4'
if(ipix eq 5)then tit=tdtnam+' '+iseq+' PIXEL 5'
if(ipix eq 6)then tit=tdtnam+' '+iseq+' PIXEL 6'
if(ipix eq 7)then tit=tdtnam+' '+iseq+' PIXEL 7'
if(ipix eq 8)then tit=tdtnam+' '+iseq+' PIXEL 8'
;
loadct,2 ; GRN-RED-BLU-WHT
;
; plot good ERD data in blue 
igooderd=where(bad(ipix,i0erd:i3erd) eq 0,nigooderd)
if(nigooderd le 0)then begin
print,'CDG - no good data in frame - aborting'
goto,c999
endif
window,iwindow,tit=tit,xs=400,ys=300,xpos=70,ypos=670
ymin=min(s(ipix,i0erd+igooderd))
ymin=min([ymin,0.0]) ; make plot extend at least down to zero in Y
ymaxdata=max(s(ipix,i0erd+igooderd))
ymax=ymaxdata+0.3*(ymaxdata-ymin) ; upper margin for ancillary plots
;color=100 ; violet for colour table 2
plot,i0erd+igooderd,s(ipix,i0erd+igooderd),yran=[ymin,ymax],xst=1,yst=1
;color=color
;
; overplot threshold in blue
;
color=100 ; violet for colour table 2
oplot,[i0erd,i3erd],[threshup,threshup],color=color
oplot,[i0erd,i3erd],[threshdown,threshdown],color=color
;
; oplot good ERD data to be masked in red 
igooderd=where(bad(ipix,i1erd:i2erd) eq 0,nigooderd)
if(nigooderd le 0)then begin
print,'CDG - data already masked'
goto,c999
endif ; 
ymin=min(s(ipix,i1erd+igooderd))
ymin=min([ymin,0.0]) ; make plot extend at least down to zero in Y
ymaxdata=max(s(ipix,i1erd+igooderd))
ymax=ymaxdata+0.3*(ymaxdata-ymin) ; upper margin for ancillary plots
color=37 ; red for colour table 2
oplot,i1erd+igooderd,s(ipix,i1erd+igooderd),color=color
;
;
; overplot threshold in blue
;
color=100 ; violet for colour table 2
oplot,[i0erd,i3erd],[threshup,threshup],color=color
oplot,[i0erd,i3erd],[threshdown,threshdown],color=color
;
; overplot SCP plateaus in green, including error bars, in ERD coordinates
for i=i0scp,i3scp do begin
if(bad_scp(ipix,i) eq 0)then begin
color=15 ; green for colour table 2
oplot,[from_scp(i),to_scp(i)],[s_scp(ipix,i),s_scp(ipix,i)],color=color
xmid=(from_scp(i)+to_scp(i))/2
oplot,[xmid,xmid],$
[s_scp(ipix,i)-rms_scp(ipix,i),s_scp(ipix,i)+rms_scp(ipix,i)],color=color
endif ; bad_scp(ipix,i) eq 0
endfor ; i=i1scp,i2scp
;
;
; find array of chopper sweep boundaries in ERD coordinates and plot, if
; a sweep occurs
;
steptest=step(i0erd+1:i3erd)-step(i0erd:i3erd-1)
ichsweep=where(abs(steptest) gt 3,nichsweep) ; covers C200 (chop position 
;      switches from 7 to 1) and C100 (chop position switches from 13 to 1).
ichsweep=i0erd+ichsweep
;
if(nichsweep gt 0)then begin
for i=0,nichsweep-1 do begin
oplot,[ichsweep(i),ichsweep(i)],[ymin,ymax],linestyle=1
endfor ; i=0,nichsweep-1
endif ; nichsweep gt 0
;
; mask data
;
if(implement eq 1)then begin
print,'CDG: masking pixel',ipix
print,'... with thresh, ERD range',threshup,threshdown,i1erd,i2erd
;
for iscp=i1scp,i2scp do begin
;
if(s_scp(ipix,iscp) gt threshup or s_scp(ipix,iscp) lt threshdown)then begin
bad(ipix,from_scp(iscp):to_scp(iscp))=1
print,iscp,s_scp(ipix,iscp),threshup,threshdown,from_scp(iscp),to_scp(iscp)
endif ; s_scp(ipix,iscp) gt threshup or s_scp(ipix,iscp) lt threshdown
;
endfor ; iscp=i1scp,i2scp
;
endif ; implement eq 1
;
c999:
;
return
end




