pro condlinefigure,iwindow,ipix,iycal,izcal,irestore,ips
;
; reads last file containing diagnostic info testsave.xdr from disk
; and plots results.
; must be called from IDL session from which ERDTOMAP and DRIFT32 were run
; eg timelinefigure,0,2,iycal,izcal,1,0 ; to screen
; set_plot,'ps' ; sequence for ps file
; device,filename='timelinefigure.ps',/color 
; timelinefigure,0,2,iycal,izcal,1,1 ; to ps file
; device,/close 
; $lpr -P9 timelinefigure.ps 
; set_plot,'x'
;
; NB to avoid confusino only load ONE colour table
;
;
@common_all
if(irestore eq 1)then restore,/verb,'testsave.xdr'
;
ii=where(itrans eq 1,nii)
;
respc(ipix,ii)=respcorr(ii) ; compression from e32 length
mpfit=modelfit(ii)
rpfit=respcorr(ii)*modelfit(ii)
rpfit=s_in(ipix,*)
;
if(ipix eq 0)then tit=tdtnam+' '+iseq+' PIXEL 0'
if(ipix eq 1)then tit=tdtnam+' '+iseq+' PIXEL 1'
if(ipix eq 2)then tit=tdtnam+' '+iseq+' PIXEL 2'
if(ipix eq 3)then tit=tdtnam+' '+iseq+' PIXEL 3'
if(ipix eq 4)then tit=tdtnam+' '+iseq+' PIXEL 4'
if(ipix eq 5)then tit=tdtnam+' '+iseq+' PIXEL 5'
if(ipix eq 6)then tit=tdtnam+' '+iseq+' PIXEL 6'
if(ipix eq 7)then tit=tdtnam+' '+iseq+' PIXEL 7'
if(ipix eq 8)then tit=tdtnam+' '+iseq+' PIXEL 8'
;
loadct,2 ; GRN-RED-BLU-WHT
if(ips eq 0)then window,iwindow,tit=tit,xs=800,ys=400,xpos=470,ypos=570
if(ips eq 1)then begin
set_plot,'ps'
device,filename='condlinefigure.ps',/color 
endif ; ips
;
;
; assign xiplot1 xiplot2 to plot range (original counter for non-extended
; data set) for s/c fine pointing (IYCAL,IZCAL) in IDL notation. 
;
xiplot1=float(otfstart(iycal(ipix),izcal(ipix)))*0.9 ; add margin to get entry
xiplot2=float(otfstop(iycal(ipix),izcal(ipix)))*1.1  ; and exit from pointing
xiplot1=long(xiplot1)
xiplot2=long(xiplot2)
if(xiplot1 lt 0)then xiplot1=0
if(xiplot2 gt nptin-1)then xiplot2=nptin-1 
if(xiplot2 gt xiplot1)then begin ; plot fits
igood=where(bad(ipix,xiplot1:xiplot2) eq 0,nigood)
; plot illumination in black by omitting COLOR keyword
plot,time(xiplot1+igood),rpfit(xiplot1+igood),xtit='TIME (s)',$
ytit='SIGNAL (V/s)',xsty=1,yst=1,yran=[0.0,max(rpfit(xiplot1+igood))/(0.9)] 
; overplot signal conditioned in PREPARE colour tables depend on device
if(ips eq 1)then color=70 ; red for colour table 2 ps file output
if(ips ne 1)then color=37 ; red for colour table 2 screen output
;oplot,time(xiplot1+igood),sigin(xiplot1+igood),color=color ; (signal)
if(ips eq 1)then color=15 ; green for colour table 2 ps file output
if(ips ne 1)then color=15 ; green for colour table 2 screen output
;oplot,time(xiplot1+igood),mpfit(xiplot1+igood),color=color ; green (modelfit)
endif ; iplot2 gt iplot1
if(ips eq 1)then begin
device,/close 
; $lpr -P9 timelinefigure.ps 
set_plot,'x'
endif ; ips eq 1
;
return
end




