pro driftrms,ipix,irmscorr
;
; sets rms array for a solution RESPC from DRIFTCORR. Does not correct
; for vignetting; this should be done by the calling routine DRIFT32.
;
; BESTRMS(npix,ngrid) in common RMS_IMP is the RMS from the dispersion in the 
;                     plateaus found in the driftsolution, calculated in
;                     FINDBESTSKY.
;
@common_plotter
;common plotter,otfstart,otfstop,rdstat,chop,step,otf,rpid,yrel,zrel,$
;ytrue,ztrue,yzrpidcen,nyraster,nzraster,racenout,deccenout
;
@common_signal
;common signal,rs,cs,nch,s_in,s,badin,bad,rel,rms,glitch,jf,njf,ninchmax,rd,$
;nkf,kf,nkfmax,irelstart,nchopmed,gbad,npolyrms,nrmsmed,sigmaxfract 
;
@common_driftresult
;common driftresult,respc,illc,imple,maskd
;
@common_rms_imp
;common rms_imp,bestrms,bestsolrms
;
@common_mapper
;common mapper,sgridy,sgridz,nygrid,nzgrid,ygrid,zgrid,errflag
;
;if(ipix eq 0)then save,/xdr,ipix,irmscorr,s,rms,ytrue,ztrue,nygrid,nzgrid,$
;respc,illc,imple,maskd,bestrms,bestsolrms,file='driftrms.xdr'
;
print,'DRIFTRMS: RMS correction pixel ',ipix,' - IRMSCORR = ',irmscorr
;
if(irmscorr eq 1)then begin
ii=where(imple(ipix,*) eq 1,nii) ; data points for which solution is to be 
;                                  implemented
rms(ipix,ii)=rms(ipix,ii)*respc(ipix,ii)
endif ; irmscorr eq 1
;
if(irmscorr eq 2 or irmscorr eq 3)then begin 
; use sampling rms derived from rms in mean from spread of driftcorr 
; solutions on each P32 natural grid point
;
dummy=rms(ipix,*)
igood=where(bad(ipix,*) eq 0 and imple(ipix,*) eq 1,nigood)
rmsinmean0=total(dummy(igood))/float(nigood) ; mean of uncorrected rms
findkeypoint,ipix,ytrue,ztrue,keypoint ; find KEYPOINT array for pixel ipix
                                       ; at non-expanded sampling
ngrid=nygrid*nzgrid
xtest=fltarr(ngrid)
ytest=xtest
for i=0,ngrid-1 do begin ; count over natural grid positions
ii=where(imple(ipix,*) eq 1 and keypoint eq i,nii)
if(nii gt 0)then begin
ytest(i)=bestsolrms(ipix,i)/median(rms(ipix,ii))
xtest(i)=median(s(ipix,ii))
rms(ipix,ii)=bestsolrms(ipix,i) ; simple substitution for irmscorr = 2
if(bestsolrms(ipix,i) le 0.0)then begin ; diagnostic
; case of only one plateau sample in BESTRMS assignment in FINDBESTSKY
kk=where(bestsolrms(ipix,*) gt 0.0,nkk)
rms(ipix,ii)=median(bestsolrms(ipix,kk))
;print,'DRIFTRMS *** error - ipix,i,bestsolrms = ',ipix,i,bestsolrms(ipix,i)
;print,'...nii = ',nii
;print,'...substituted with ',median(bestsolrms(ipix,kk))
endif ; bestsolrms(ipix,i) le 0.0 ; diagnostic
endif ; nii gt 0
endfor ; i=0,ngrid-1 
;
if(ipix eq 0)then window,10,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 0'
if(ipix eq 1)then window,11,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 1'
if(ipix eq 2)then window,12,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 2'
if(ipix eq 3)then window,13,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 3'
if(ipix eq 4)then window,14,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 4'
if(ipix eq 5)then window,15,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 5'
if(ipix eq 6)then window,16,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 6'
if(ipix eq 7)then window,17,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 7'
if(ipix eq 8)then window,18,xs=450,ys=220,xpos=0,ypos=750,$
tit='PLATEAU STATISTICS PIXEL 8'
iii=where(ytest gt 0,niii)
ymax=1.1*max(ytest(iii))
if(niii gt 0)then plot,xtest(iii),ytest(iii),xst=0,yst=0,psym=1,$
xtit='ILLUMINATION (V/s)',ytit='RMS OF PLATEAU FITS/INPUT RMS',$
yran=[0.0,ymax],xran=[0.0,1.1*max(xtest(iii))]
;
dummy2=rms(ipix,*) ; igod values already overwritten according to irmscorr=2
;rmsinmean2=total(dummy2(igood))/float(nigood) ; respons. solution already in
rmsinmean2=median(dummy2(igood))
;
if(irmscorr eq 3)then begin ; as for irmscorr=2, but weight down plateaus
;                             with a larger flux step
;
if(rmsinmean2 le rmsinmean0)then begin
print,'DRIFTRMS: dispersion of plateau solutions less than predicted'
print,'... hence performing a simple multiplicative correction of RMSs'
;print,'... according to IRMSCORR = 1'
print,'... according to IRMSCORR = 2'
ii=where(imple(ipix,*) eq 1,nii) ; data points for which solution is to be 
;                                  implemented
;rms(ipix,ii)=rms(ipix,ii)*respc(ipix,ii)
rms(ipix,*)=dummy*(rmsinmean2/rmsinmean0)
goto, c999
endif ; rmsinmean2 le rmsinmean0
;
if(rmsinmean2 gt rmsinmean0)then begin ; weight according to difference
;            of plateau illumination to previous plateau illumination
;
illprev=illc(ipix,igood(0))
currentstep=0.0
step=fltarr(nigood)
step(0)=0.0
;
for isamp=1,nigood-1 do begin
if(illc(ipix,igood(isamp)) ne illprev)then $
currentstep=abs(illc(ipix,igood(isamp))-illprev) 
step(isamp)=currentstep
illprev=illc(ipix,igood(isamp))
endfor ; isamp=1,nigood-1
;
avstep=total(step)/float(nigood)
const=(rmsinmean2-rmsinmean0)/avstep
;
;rms(ipix,igood)=rmsinmean0+const*step
rms(ipix,igood)=dummy(igood)+const*step
;
endif ; rmsinmean2 gt rmsinmean0
;
; For simple plot of results
;
for i=0,ngrid-1 do begin ; count over natural grid positions
ii=where(imple(ipix,*) eq 1 and keypoint eq i,nii)
if(nii gt 0)then begin
ytest(i)=median(rms(ipix,ii))/median(dummy(ii))
xtest(i)=median(s(ipix,ii))
endif ; nii gt 0
endfor ; i=0,ngrid-1 
iii=where(ytest gt 0,niii)
ymax=1.1*max(ytest(iii))
if(niii gt 0)then plot,xtest(iii),ytest(iii),xst=0,yst=0,psym=1,$
xtit='ILLUMINATION (V/s)',ytit='RMS OF PLATEAU FITS/INPUT RMS',$
yran=[0.0,ymax],xran=[0.0,1.1*max(xtest(iii))]
;
endif ; irmscorr eq 3
;
if(irmscorr eq 2)then begin
rms(ipix,*)=dummy*(rmsinmean2/rmsinmean0)
endif ; irmscorr eq 2
;
endif ; irmscorr eq 2 or irmscorr eq 3
;
c999:
;
return
end





















