pro erdtomapsave,target,outdir,text,outmap,isave,isavemap
; 
; writes FITS file of map OUTMAP and optionally saves
;                                    s,bad,time,ytrue,ztrue,rms
;
; input: 
;    TARGET eg 'VCC0066'
;    OUTDIR output directory for maps and/or savesets 
;           eg '/d24/vlk/rjt/PIA/VIRGO/V7_3/MAPS'
;           if outdir is '' then the current directory is used
;           if outdir is dirnam then the directory of origin of
;           the PIA save sets read by ERDTOMAP is used
;    TEXT1: string to be appended to the output name of map (eg 'DRIFTCORR')
;    TEXT2: further string to be appended to the output name of map (eg 'RMS')
;    OUTMAP 2D array of map to be output
;    ISAVE  =1 to make IDL saveset of s,bad,time,ytrue,ztrue,rms
;    ISAVEMAP =1 to write FITS file of maps  
; input (common NAMES)
;    TDTNAM: string denoting name of TDT eg '53801001'
;    ISEQ:   string denoting sequence number of target source map
;            (normally '01' or '03' or '05' for multifilter sequence separated
;             by FCS measurements) 
;    DIRNAM: dstring denoting irectory name for internal PIA files
;            eg '/d13/vlk/rjt/pia/p32p22p25/v7_3/'
;    CFILTER (integer) = either 50,60,70,90,100,105,120,135,160,180,200
;        (common STEERIN)
;    ARRAY   either 'c100' or 'c200'
;
; common names,tdtnam,iseq,dirnam,caldir,cfilter
@common_names
;common steerin,array,nptin,npt,ninramp,imeas,osamp
;common signal,rs,cs,nch,s_in,s,badin,bad,rel,rms,glitch,jf,njf,ninchmax,rd,$
;nkf,kf,nkfmax,irelstart,nchopmed,gbad,npolyrms,nrmsmed,sigmaxfract
;common timer,time
;common plotter,otfstart,otfstop,rdstat,chop,step,otf,rpid,yrel,zrel,$
;ytrue,ztrue,yzrpidcen,nyraster,nzraster
;
@common_steerin
@common_signal
@common_timer
@common_plotter
;
if(array eq 'c100')then isav = dirnam+'c1'+iseq+tdtnam+text1+text2'.dat'
if(array eq 'c200')then isav = dirnam+'c2'+iseq+tdtnam+text1+text2'.dat'
;
if(isave eq 1)then begin
print,'ERDTOMAPSAVE: saving to ',isav
save,s,bad,time,ytrue,ztrue,rms,file=isav
endif ; isave eq 1
;
return
end

