pro findident,grid,x,ident
;
; for input array X of positional data and evenly sampled and monotonically
; increasing grid positions GRID (same units) finds the grid identifier IDENT 
; for each datapoint as a 1D long output array
;
n=n_elements(x)
ngrid=n_elements(grid)
if(ngrid lt 2)then begin
print,'FINDIDENT: error - grid has dimensions LT 2'
goto,c999
endif ; ngrid lt 2
sgrid=grid(1)-grid(0)
if(sgrid le 0.)then begin
print,'FINDIDENT: error - grid not increasing'
goto,c999
endif ; sgrid le 0.
gridmin=min(grid)
x=x-gridmin
ident=round(x/sgrid)
x=x+gridmin
;
if(min(ident) lt 0 or max(ident) gt ngrid-1)then begin
ii=where(min(ident) lt 0 or max(ident) gt ngrid-1,nii)
print,'FINDIDENT: warning - number of data points outside grid = ',nii
print,'...........ngrid,min,max ident = ',ngrid,min(ident),max(ident)
endif ; min(ident) lt 0 or max(ident) gt ngrid-1
;
c999:
;
return
end