pro findkyz,yk,zk
;
; input from common MAPPER:
; NYGRID,NZGRID               dimensions of natural P32 map
; YGRID(NYGRID):              Y position of natural map pixel in arcsec from 
;                             map centre
; ZGRID(NZGRID):              Z position of natural map pixel in arcsec from 
;                             map centre
;              
; output:
;
;         YK, ZK      1D real arrays 0 <= K <= NYGRID*NZGRID-1 containing
;                     Y and Z positions in arcsec of fine pointing directions
;                     K=IY+IZ*NYGRID from P32 grid 
;
;common mapper,sgridy,sgridz,nygrid,nzgrid,ygrid,zgrid,errflag
@common_mapper
;
ndim=nygrid*nzgrid
yk=fltarr(ndim)
zk=yk
;
for iy=0,nygrid-1 do begin
for iz=0,nzgrid-1 do begin 
;
k=iy+iz*nygrid
yk(k)=ygrid(iy)
zk(k)=zgrid(iz)
;
endfor ; iz
endfor ; iy
;
return
end