pro findradecpos,ra,dec,rpid,ncenprec,iy,iz,rac,decc
;
; Find real fine pointing in ra and dec (RAC, DECC) for raster position IY IZ 
;
; input:
;      RA,DEC (double, dim nptin) spacecraft ra, dec in degrees of erd sample
;      NPTIN (common, long) number of time samples in erd
;      RPID raster position (BYTE dim 2,nptin)
;      NCENPREC is an integer specifying percentage of points
;               either side of central position in time used to establish
;               position. Thiss is needed to avoid the microslews either side
;               which sometimes occur with the "wrong" rpid.
; output: 
;      RAC,DECC (double) spacecraft pointing in ra, dec in degrees
;
;common steerin,array,nptin,npt,ninramp,imeas,osamp
;common steer1,npix,pixsize,pixpitch,pixoff,nchop,dcy,dry,drz
;
@common_steerin
@common_steer1
;
icen=where(rpid(0,*) eq iy and rpid(1,*) eq iz,ncen)
radum=double(ra(icen))-double(ra(icen(0)))
decdum=double(dec(icen))-double(dec(icen(0)))
irs=sort(radum)
ids=sort(decdum)
radum=radum(irs)
decdum=decdum(ids)
dii=ncen/ncenprec ; for central 20 percent of points to be used
ii=(ncen/2)-dii
iii=(ncen/2)+dii
xni=double(iii-ii+1)
;rac=double(total(radum(ii:iii)))/xni+double(ra(icen(0)))
;decc=double(total(decdum(ii:iii)))/xni+double(dec(icen(0)))
rac=median(radum(ii:iii))+double(ra(icen(0)))
decc=median(decdum(ii:iii))+double(dec(icen(0)))
;
return
end
