pro getnonlc
;
; finds non-linearity corrections uniformly sampled over a 0 to 100 V/s range
; the corrections are given as 
; XNLIN(ipix,*)=abs(sarraycorr(ipix,*)/sarray(ipix,*)) versus uncorrected
; illuminations SARRAY(*). XNLIN and SARRAY are placed in common NONLIN
; GETNONLC should be run from ERDTOMAP
;
;common steer1,npix,pixsize,pixpitch,pixoff,nchop,dcy,dry,drz
@common_steer1
;common nonlin,xnlin,sarray
@common_nonlin
;
nsample=100 ; number of sampling points
smax=100.0 ; maximum V/s of signal catered for
sarray=fltarr(npix,nsample)
xnlin=sarray
for ipix=0,npix-1 do sarray(ipix,*)=smax*(findgen(nsample)+1.)/(float(nsample))
;
getnlc,sarray,sig_cor ; exact correction
;
for ipix=0,npix-1 do begin
;window,ipix
xnlin(ipix,*)=sig_cor(ipix,*)/sarray(ipix,*)
;plot,sarray(ipix,*),xnlin(ipix,*),psym=3 ; diagnostics
endfor ; ipix
;
return
end