; modified by CG adding CST and MROLL as keywords (input & output)
pro iiph_erd,iiph,ics,hdr,tkey,ram,decm, CST=cst, MROLL=mroll
;
; finds ra, dec arrays for each input ierd data point
;
; iiph,ics are the names for the input .fits and .ics files
; hdr is the .ierd file input header and tkey is the ierd time key
;
;
	fxbopen,u,iiph,1,he
	fxbread,u,utk,'UTK'
	fxbread,u,utc,'UTC'
	fxbread,u,ra,'RA'
	help,ra
	print,'max(ra)=',max(ra)
	print,'min(ra)=',min(ra)
	fxbread,u,dec,'DEC'
	fxbread,u,roll,'ROLL'
	mroll = median([roll])
	fxbclose,u

	utk=double(UTK)
	utc=double(UTC)

	IF not KEYWORD_SET(CST) THEN BEGIN
	   restore,ics
;restore,isrd not needed as passed through common

           UKST = PHTICS.HANDLE.UKST(0)
           IKST = PHTICS.HANDLE.IKST(0)
	ENDIF ELSE BEGIN
	   UKST = CST.UKST(0)
	   IKST = CST.IKST(0)
	ENDELSE 

       	TREFITKU = FXPAR(HDR,'TREFITKU')

	if(trefitku eq 0)then begin
		TREFITKU=1.0/(128.0 * 128.0)
		print,'IIPH_ERD: warning - trefitku not found; reset to 1/(128^2)'
	endif
	itk=tkey
      	TREFUTKU = (UTC(0,1)-UTC(0,0) + (UTC(1,1)-UTC(1,0))*1.D-7) / $
          ( UTK(1)-UTK(0) )
       	UTKM = UKST + (ITK - IKST) * TREFITKU / TREFUTKU
          IPOS = (UTKM - UTK(0)) / (UTK(1) - UTK(0))
;print,hdr
;help,utc
;print,'utc(0,1),utc(1,1),utc(1,0),utc(0,0)',utc(0,1),utc(1,1),utc(1,0),utc(0,0)
;help,TREFITKU
;print,'TREFITKU:',TREFITKU
;print,'TREFUTKU:',TREFUTKU
;help,ukst
;help,itk
;help,ikst
;print,'max(ukst),min(ukst):',max(ukst),min(ukst)
;print,'max(itk),min(itk):',max(itk),min(itk)
;print,'max(ikst),min(ikst):',max(ikst),min(ikst)
;help,utk
;print,'utk(0),utk(1),max(utk),min(utk)',utk(0),utk(1),max(utk),min(utk)
;help,utkm
;print,'max,min(utkm)',max(utkm),min(utkm)
;help,ipos
;print,'max,min(ipos)',max(ipos),min(ipos)
       RAM  = INTERPOLATE( RA, IPOS )
       DECM = INTERPOLATE( DEC, IPOS )
       ROLLM= INTERPOLATE( ROLL, IPOS )
;help,ram
;help,decm
return 
end  
