pro jformat
;
; finds and places in common:
; JF=lonarr(nch+2,ninchmax,ninramp-1) denoting identifiers of
;    all combinations of the nch+2 chopper plateau and ninramp-1 readout
;    classes. Only identifiers for signals (ie i+1 - i differential of
;    voltages) are included.
; NJF(nch+2,ninramp-1) is the number of reads  of a given readout class in
;    a given chopper plateau
; NINCHMAX maximum number of reads of a given readout class in a given
;    chopper plateau
; KF=lonarr(nch+2,nkfmax) denotes identifiers within all the chopper plateaus
;    irrespective of readout class
; NKF(nch+2) is number of reads on a given chopper plateau
; NKFMAX=maximum of NKF
;
; uses common block CS RS NCH NINRAMP NPTIN
;
;common steerin,array,nptin,npt,ninramp,imeas,osamp
;common signal,rs,cs,nch,s_in,s,badin,bad,rel,rms,glitch,jf,njf,ninchmax,rd,$
;nkf,kf,nkfmax,irelstart,nchopmed,gbad,npolyrms,nrmsmed,sigmaxfract
;
@common_steerin
@common_signal
;
; first find read identifiers jf for 1st non-destructive read in each of the 
; nch+2 chopper plateaus:
;
cstest=cs ; first find maximum size of chopper plateau
cstest(1:nch)=cs(0:nch-1)
cstest(0)=0L
csize=lonarr(nch+2)
csize(0:nch)=cs(0:nch)-cstest(0:nch)
csize(nch+1)=nptin-1-cs(nch)
ninchmax=(max(csize)/ninramp)+1 ; actually not precise
nkfmax=max(csize)
nkfmax=max(csize)+1 ; rjt Jan00 
print,'JFORMAT: ninchmax = ',ninchmax
print,'JFORMAT: nkfmax = ',nkfmax
jf=lonarr(nch+2,ninchmax,ninramp-1)
njf=lonarr(nch+2,ninramp-1)
kf=lonarr(nch+2,nkfmax)
nkf=lonarr(nch+2)
;i=lindgen(nptin) 
; find 1st and last chop plateau identifiers
dummy=where(rd lt cs(0)-1 and rs eq 1,ntot) ; rd = 0 1 2 3 4 5 etc
jf(0,0:ntot-1,0)=dummy                      ; all rd = 1 for first plateau
njf(0,0)=ntot
dummy=where(rd lt cs(0)-1,ntot)
kf(0,0:ntot-1)=dummy
nkf(0)=ntot
dummy=where(rd ge cs(nch) and rs eq 1,ntot) ; all rd=1 for last plateau
jf(nch+1,0:ntot-1,0)=dummy
njf(nch+1,0)=ntot
dummy=where(rd ge cs(nch),ntot)
print,'ntot = ',ntot
help,kf
kf(nch+1,0:ntot-1)=dummy
nkf(nch+1)=ntot
; find remaining chop plateau identifiers
for ichop=0L,nch-1 do begin
dummy=where(rd ge cs(ichop) and rd lt cs(ichop+1)-1 and rs eq 1,ntot)
;if(ntot gt ninchmax)then begin ; diagnostic
;help,jf
;print,'ninchmax,ntot = ',ninchmax,ntot
;endif ; ntot gt ninchmax
;help,dummy,jf,ntot
if(ntot gt 0)then jf(ichop+1,0:ntot-1,0)=dummy ; if statement added rjt jan00
njf(ichop+1,0)=ntot
dummy=where(rd ge cs(ichop) and rd lt cs(ichop+1)-1,ntot)
kf(ichop+1,0:ntot-1)=dummy
nkf(ichop+1)=ntot
endfor ; ichop
; find identifiers for remaining reads in cycle (JF and NJF arrays only)
for ird=1L,ninramp-2 do begin
jf(*,*,ird)=jf(*,*,0)+ird
njf(*,ird)=njf(*,0)
endfor
;
;print,'JFORMAT:'
;print,'cs(0:2),cs(nch-2:nch):',cs(0:2),cs(nch-2:nch)
;print,'nkf(nch-2:nch+1):',nkf(nch-2:nch+1)
;print,'kf(nch-2,*):',kf(nch-2,*)
;print,'kf(nch-1,*):',kf(nch-1,*)
;print,'kf(nch,*):',kf(nch,*)
;print,'kf(nch+1,*):',kf(nch+1,*)
;print,'njf(0,0),JF(0,*,0):',njf(0,0),JF(0,*,0)
;print,'nkf(0),KF(0,*):',nkf(0),KF(0,*)
;print,'rd(0:nkf(0)):',rd(0:nkf(0))
return
end
