pro linint,y1,y2,z1,z2,s1,s2,y,z,s
;
; for a slew between points (y1,z1) and (y2,z2) with values s1 and s2
; LININT finds the value s at the passed point (y,z) by linear interpolation.
; A straight line slew is assumed, but not checked for. The interpolation uses
; only the dimensions with the maximum separation. To avoid rounding
; errors in the anticipated case that the input pointing information is 
; quantised or noisy, the interpolation is only calculated for a difference 
; in position of dmin in the dimension of maximum projected position 
; difference. Otherwise a simple average is taken. A simple average is also
; take in the case that the point to be interpolated is not encompassed 
; by the "surrrounding" points. 
;
;print,y1,y2,z1,z2,s1,s2,y,z
dmin=1.0
dy=abs(y2-y1)
dz=abs(z2-z1)
if(dz gt dy)then begin
x1=z1
x2=z2
x=z
endif ; dz gt dy
if(dy ge dz)then begin
x1=y1
x2=y2
x=y
endif ; dy ge dz
;print,'x1,x2,x:',x1,x2,x
d=x2-x1
test1=x-x1
test2=x2-x
test=test1*test2 ; must be positive if point is encompassed
;print,'test1,test2,test = ',test1,test2,test
if(test lt 0.0 or abs(d) lt dmin)then begin
s=(s1+s2)/2.0
goto, c100
endif ; test gt 0.0 or d lt dmin
if(test ge 0.0)then s=(s2*test1+s1*test2)/d
;
;print,s
;
c100:
;
return
end