pro nonlincorr,ipix,x,xcorr
;
; NONLINCORR performs quick, approximate, non-linearity correction
; on input value or array X of uncorrected V/s from detector pixel IPIX to 
; give an output array of corrected V/s XCORR. The SARRAY array must be 
; sampled at 1,2,3 etc V/s.
;
;common nonlin,xnlin,sarray
@common_nonlin
;
xcorr=abs(x)
xnlinmax=max(sarray(ipix,*))
xnlinmin=min(sarray(ipix,*))
imax=where(xcorr gt xnlinmax,nimax)
if(nimax gt 0)then xcorr(imax)=xnlinmax
imin=where(xcorr lt xnlinmin,nimin)
if(nimin gt 0)then xcorr(imin)=xnlinmin
xcorr=round(xcorr) ; should now be integers between 1 and 100 inclusive
xcorr=x*xnlin(ipix,xcorr-1)
;
return
end