;+
; NAME:	OSAMP_FCT
; 
; PURPOSE:
;		determine the oversampling factor of the P32 raster
;
; Edition history
; MODIFICATION HISTORY:
;	original design,             		R. Tuffs		Feb, 2000
;    fixed bug for linear raster scan	B. Schulz		May 2002

FUNCTION osamp_fct, det, nz, hdr

	CASE STRUPCASE(STRMID(det,0,2)) OF
	
	 'C1': BEGIN
		dz = FXPAR( hdr, "ATTRDLNS", COUNT=count )
;		IF (dz EQ 0. AND nz GT 1) THEN osamp_fct=-1 ELSE $	;bug fix!!
		IF (dz EQ 0. OR nz LE 1) THEN osamp_fct=-1 ELSE $
		 osamp_fct = 46. / dz
	 END
	 'C2': BEGIN
		dz = FXPAR( hdr, "ATTRDLNS", COUNT=count )
;		 IF (dz EQ 0. AND nz GT 1) THEN osamp_fct=-1 ELSE $	;bug fix!!
		 IF (dz EQ 0. OR nz LE 1)  THEN osamp_fct=-1 ELSE $
		 osamp_fct = 92. / dz
	 END
	ENDCASE
	
	IF osamp_fct GT 0.6 AND osamp_fct LT 0.7 THEN osamp_fct=0.66
	IF osamp_fct GT 2.9 AND osamp_fct LT 3.1 THEN osamp_fct=3.0
	
	RETURN, osamp_fct
	END
		
