pro setflatmask,flatmask,iflatmask
;
; sets up spatial mask for routine FLATC on natural grid with
; FLATMASK(nygrid,nzgrid)=0 where there is just background =1 where source too
;
; if IFLATMASK is 0 then there is no source, only background 
; if IFLATMASK is 1 then there is a central source in an elliptical area
;                   of axes nygrid/2, nzgrid/1.0
; if IFLATMASK is 2 then there is a 'rectangular' central source within
;                   nygrid/2 of centre
;
;common mapper,sgridy,sgridz,nygrid,nzgrid,ygrid,zgrid,errflag
;
@common_mapper
;
flatmask=lonarr(nygrid,nzgrid)
;
flatmask=lonarr(nygrid,nzgrid)
if(iflatmask eq 1)then begin
for i=0,nygrid-1 do begin
xoffmax=float(nygrid-1)/4.0
yoffmax=float(nzgrid-1)/2.0
x=float(i)-float(nygrid-1)/2.0
r1=x*x/(xoffmax*xoffmax)
for j=0,nzgrid-1 do begin
y=float(j)-float(nzgrid-1)/2.0
r2=y*y/(yoffmax*yoffmax)
if( (r1+r2) le 1.0)then flatmask(i,j)=1
endfor ; j
endfor ; i
endif ; iflatmask eq 1
if(iflatmask eq 2)then begin
i1=nygrid/4
i2=nygrid-1-i1
flatmask(i1:i2,*)=1
endif ; iflatmask eq 2
;
return
end
