pro setlimit,smax
;
; for imodel=3, sets search range for shooting parameters assuming 
; linear flux dependence
;
; beta shoot parameters:
; beta=betashoot+betacoeff*S^betaexpshoot
;
betaexpshoot=1.0 ; linear flux dependence
betashootmin=-0.5 ; values at zero flux
betashootmax=0.5 
betatopmax=0.5 ; range of values at peak flux smax
betatopmin=-0.5 
betacoeffshoot1=([betatopmax,betatopmin]-betashootmin)/(smax^betaexpshoot)
betacoeffshoot2=([betatopmax,betatopmin]-betashootmax)/(smax^betaexpshoot)
betacoeffshootmax=max([betacoeffshoot1,betacoeffshoot2])
betacoeffshootmin=min([betacoeffshoot1,betacoeffshoot2])
print,'range for betashoot      = ',betashootmin,betashootmax
print,'range for betacoeffshoot = ',betacoeffshootmin,betacoeffshootmax
;
; tau shoot parameters:
; tau=tauoffsetshoot+taushoot/(S^gammaexpshoot)
;
gammaexpshoot=-1.0
tauoffsetshootmin=0.01 ; range at
tauoffsetshootmax=5.0  ; zero flux
tautopmin=0.01
tautopmax=5.0
taushoot1=([tautopmax,tautopmin]-tauoffsetshootmin)*(smax^(gammaexpshoot))
taushoot2=([tautopmax,tautopmin]-tauoffsetshootmax)*(smax^(gammaexpshoot))
taushootmin=min([taushoot1,taushoot2])
taushootmax=max([taushoot1,taushoot2])
print,'range for tauoffsetshoot = ',tauoffsetshootmin,tauoffsetshootmax
print,'range for taushoot       = ',taushootmin,taushootmax
;
return
end