pro setparcal,icalmethod,imodel,ipix,betawk,tauwk
;
;            makes assignments of single element detector parameters to BETAWK,
;            TAUWK and the parameters in common MOREPAR from the arrays in
;            common blocks DETDEFAULT or DETPARS according to the vaalue 
;            of IPIX and ICALMETHOD. 
;            This routine is model independent, as the 12
;            arrays describing the model are valid for the currently considered
;            models with imodel=1,2,3. The imodel parameter is included only
;            as a check.
;
@common_morepar
;common morepar,gammaexp,zerobias,betashoot,taushoot,gammaexpshoot,$
;betacoeffshoot,betaexpshoot,tauoffsetshoot,tauoffset,betaexp,betacoeff
;
@common_detdefault
;common detdefault,betadefault,taudefault,gammaexpdefault,$
;betashootdefault,taushootdefault,gammaexpshootdefault,$
;betacoeffdefault,betaexpdefault,tauoffsetdefault,$
;betacoeffshootdefault,betaexpshootdefault,tauoffsetshootdefault,$
;betaup,betadown,tauup,taudown,gammaexpup,gammaexpdown,$
;betashootup,betashootdown,taushootup,taushootdown,$
;gammaexpshootup,gammaexpshootdown,$
;betacoeffup,betacoeffdown,betaexpup,betaexpdown,$
;tauoffsetup,tauoffsetdown,betacoeffshootup,betacoeffshootdown,$
;betaexpshootup,betaexpshootdown,tauoffsetshootup,tauoffsetshootdown,$
;betaprec,tauprec,gammaexpprec,betashootprec,taushootprec,gammaexpshootprec,$
;betacoeffprec,betaexpprec,tauoffsetprec,$
;betacoeffshootprec,betaexpshootprec,tauoffsetshootprec
;
@common_detpars
;common detpars,betaoverride,tauoverride,gammaexpoverride,$
;betashootoverride,taushootoverride,gammaexpshootoverride,$
;betacoeffoverride,betaexpoverride,tauoffsetoverride,$
;betacoeffshootoverride,betaexpshootoverride,tauoffsetshootoverride,$
;betaoversc,tauoversc,gammaexpoversc,$
;betashootoversc,taushootoversc,gammaexpshootoversc,$
;betacoeffoversc,betaexpoversc,tauoffsetoversc,$
;betacoeffshootoversc,betaexpshootoversc,tauoffsetshootoversc
;
if(imodel lt 1 or imodel gt 3)then begin
print,'SETPARCAL: *** invalid model requested: imodel = ',imodel
endif ; imodel lt 1 or imodel gt 3
;
if(icalmethod lt 0 or icalmethod gt 5)then begin
print,'SETPARCAL: *** invalid icalmethod: icalmethod = ',icalmethod
endif ; icalmethod lt 0 or icalmethod gt 5
;
if(icalmethod eq 0 or icalmethod eq 1)then begin ; default parameters
;
betawk=betadefault(ipix) ; prevents overwriting of defaults
betacoeff=betacoeffdefault(ipix)
betaexp=betaexpdefault(ipix)
tauoffset=tauoffsetdefault(ipix)
tauwk=taudefault(ipix)   ; with detector parameters found from dataset
gammaexp=gammaexpdefault(ipix) 
betashoot=betashootdefault(ipix)
betacoeffshoot=betacoeffshootdefault(ipix)
betaexpshoot=betaexpshootdefault(ipix)
tauoffsetshoot=tauoffsetshootdefault(ipix)
taushoot=taushootdefault(ipix) 
gammaexpshoot=gammaexpshootdefault(ipix)
;
endif ; icalmethod eq 0
;
if(icalmethod eq 1)then begin
print,'SETPARCAL: warning - only approximate initial detector state'
print,'           ... begin calculated. Please update code in FINDBETATAUFCS'
;
endif ; icalmethod eq 1
;
if(icalmethod eq 2 or icalmethod eq 3 or icalmethod eq 5)then begin 
betawk=betaoversc(ipix) 
betacoeff=betacoeffoversc(ipix)
betaexp=betaexpoversc(ipix)
tauoffset=tauoffsetoversc(ipix)
tauwk=tauoversc(ipix)   ; with detector parameters found from dataset
gammaexp=gammaexpoversc(ipix) 
betashoot=betashootoversc(ipix)
betacoeffshoot=betacoeffshootoversc(ipix)
betaexpshoot=betaexpshootoversc(ipix)
tauoffsetshoot=tauoffsetshootoversc(ipix)
taushoot=taushootoversc(ipix) 
gammaexpshoot=gammaexpshootoversc(ipix)
;
endif ; icalmethod eq 2 or icalmethod eq 3
;
if(icalmethod eq 4)then begin
; 
betawk=betaoverride(ipix) 
betacoeff=betacoeffoverride(ipix)
betaexp=betaexpoverride(ipix)
tauoffset=tauoffsetoverride(ipix)
tauwk=tauoverride(ipix)   ; with detector parameters found from dataset
gammaexp=gammaexpoverride(ipix) 
betashoot=betashootoverride(ipix)
betacoeffshoot=betacoeffshootoverride(ipix)
betaexpshoot=betaexpshootoverride(ipix)
tauoffsetshoot=tauoffsetshootoverride(ipix)
taushoot=taushootoverride(ipix) 
gammaexpshoot=gammaexpshootoverride(ipix)
;
endif ; icalmethod eq 4
;
return
end








