pro simuldriftequiv
;
; initialises common block DETDEFAULT according to value of IMODELSIM,
; and copies values to the drift constants in comon block SIMPAR. 
; Typiclly to be called by SIMUL32 and SIMUL32. DETDEFAULT contains
; detector model parameters, and search ranges and search precision 
; for the parameters in FCS and self cal applications.
;
; input:  IMODELSIM (in common SIMPAR; detector model to be simulated)
;
; output: common DETDEFAULT
;         common SIMPAR (drift constants onoly) 
;
@common_detdefault
;common detdefault,betadefault,taudefault,gammaexpdefault,$
;betashootdefault,taushootdefault,gammaexpshootdefault,$
;betacoeffdefault,betaexpdefault,tauoffsetdefault,$
;betacoeffshootdefault,betaexpshootdefault,tauoffsetshootdefault,$
;betaup,betadown,tauup,taudown,gammaexpup,gammaexpdown,$
;betashootup,betashootdown,taushootup,taushootdown,$
;gammaexpshootup,gammaexpshootdown,$
;betacoeffup,betacoeffdown,betaexpup,betaexpdown,$
;tauoffsetup,tauoffsetdown,betacoeffshootup,betacoeffshootdown,$
;betaexpshootup,betaexpshootdown,tauoffsetshootup,tauoffsetshootdown,$
;betaprec,tauprec,gammaexpprec,betashootprec,taushootprec,gammaexpshootprec,$
;betacoeffprec,betaexpprec,tauoffsetprec,$
;betacoeffshootprec,betaexpshootprec,tauoffsetshootprec
;
@common_simpar
;common simpar,isim32,nsourcesim,sourceparinsim,backgsim,idovig,$
;idodriftshort,imodelsim,betasim,tausim,gammaexpsim,zerobiassim,$
;betashootsim,taushootsim,gammaexpshootsim,$
;betaexpsim,betacoeffsim,tauoffsetsim,$
;betacoeffshootsim,betaexpshootsim,tauoffsetshootsim,$
;idownoise,wnoisesim
;
if(imodelsim lt 1 or imodelsim gt 3)then begin
print,'SIMULDRIFTEQUIV: aborting detector model not supported - imodelsim = ',$
imodelsim
goto,c999
endif ; imodelsim lt 1 or imodelsim gt 3
;
detdefaultsetup,imodelsim ; sets up default values in common DETDEFAULT
;
; copy to corresponding arrays in common SIMPAR:
;
betasim=betadefault
tausim=taudefault
gammaexpsim=gammaexpdefault
betashootsim=betashootdefault
taushootsim=taushootdefault
gammaexpshootsim=gammaexpshootdefault
betaexpsim=betaexpdefault
betacoeffsim=betacoeffdefault
tauoffsetsim=tauoffsetdefault
betacoeffshootsim=betacoeffshootdefault
betaexpshootsim=betaexpshootdefault
tauoffsetshootsim=tauoffsetshootdefault
;
c999:
;
return
end





