pro timelinecomposite,iwindow,ipix,ps
;
; displays on window IWINDOW composite chopper sweep and model fit to this 
; for pixel IPIX reading last disk deposited data set. If compositeweight(1)
; (in common PSSIM) is not 0.0 then the predicted illumination ILLSIM 
; (in common PSSIM) from a simulated point source beam as calculated in 
; DETSELFCAL is also plotted
;
; from disk file need MASKC,INRAMPIDENTC,IICALC,SIGNALC,TC,RESPCORRC,
;                     SAVEARRAY,ECHC,DTIMEC,TOC,FROMC,MODELFITC
;
; from common PSSIM: COMPOSITEWEIGHT, ILLSIM 
;
@common_pssim
@colour_indices
;common pssim,psflux,psmap,vsmap,psconv1,psconv2,compositeweight,illsim
;
;
wintit='COMPOSITE SWEEP'
if(ipix eq 0)then pt=' PIXEL 1'
if(ipix eq 1)then pt=' PIXEL 2'
if(ipix eq 2)then pt=' PIXEL 3'
if(ipix eq 3)then pt=' PIXEL 4'
if(ipix eq 4)then pt=' PIXEL 5'
if(ipix eq 5)then pt=' PIXEL 6'
if(ipix eq 6)then pt=' PIXEL 7'
if(ipix eq 7)then pt=' PIXEL 8'
if(ipix eq 8)then pt=' PIXEL 9'
;
if(ipix eq 0)then restore,!INTDIR+'timelinecompositefigure0.xdr'
if(ipix eq 1)then restore,!INTDIR+'timelinecompositefigure1.xdr'
if(ipix eq 2)then restore,!INTDIR+'timelinecompositefigure2.xdr'
if(ipix eq 3)then restore,!INTDIR+'timelinecompositefigure3.xdr'
if(ipix eq 4)then restore,!INTDIR+'timelinecompositefigure4.xdr'
if(ipix eq 5)then restore,!INTDIR+'timelinecompositefigure5.xdr'
if(ipix eq 6)then restore,!INTDIR+'timelinecompositefigure6.xdr'
if(ipix eq 7)then restore,!INTDIR+'timelinecompositefigure7.xdr'
if(ipix eq 8)then restore,!INTDIR+'timelinecompositefigure8.xdr'
wintit=wintit+pt
window,iwindow,tit=wintit,xs=350,ys=350,xpos=920,ypos=620
;  
;if(ident ge 0)then ii=where(maskc eq 0 and inrampidentc eq ident,nii)
;if(ident eq -1)then ii=where(maskc eq 0,nii)
;if(ident le -2)then ii=where(maskc eq 0 and nc gt max(nc)/2,nii) ; only plot 
;                                            points with good statistics
;
ii=iicalc
nii=n_elements(ii)
print,'nii',nii, compositeweight(1)
;
;;;;;; CG loadct,2 ; GRN-RED-BLU-WHT

; illumination in white
sill=respcorrc*modelfitc
ymax=max([signalc(ii),modelfitc(ii),sill(ii)])*1.1
if(compositeweight(1) ne 0.0)then ymax=max([ymax,1.1*illsim(ii)])
ymin=0.0
plot,tc(ii),sill(ii),xst=1,xran=[-tc(toc(0)),tc(ii(nii-1))+tc(toc(0))],$
yst=1,yran=[ymin,ymax],xtit='TIME (S)',ytit='SIGNAL (V/s)'
; signal in red
if(ps eq 'ps')then color=red
if(ps ne 'ps')then color=red
oplot,tc(ii),signalc(ii),color=color
; fit to signal in green
if(ps eq 'ps')then color=green
if(ps ne 'ps')then color=green
oplot,tc(ii),modelfitc(ii),color=color
; predicted illumination in violet:
if(ps eq 'ps')then color=lila
if(ps ne 'ps')then color=lila
if(compositeweight(1) ne 0.0)then oplot,tc(ii),illsim(ii),color=color
; overplot boundaries of chopper plateaus
if(savearray eq 'c200')then nchop=7
if(savearray eq 'c100')then nchop=13
n=n_elements(echc)-1
test=fltarr(n)
test(*)=float(echc(1:n)-echc(0:n-1))
iii=where(abs(test) gt 0.5,niii)
oplot,[dtimec,dtimec],[ymin,ymax],linestyle=1
oplot,[max(tc)+dtimec,max(tc)+dtimec],[ymin,ymax],linestyle=1
for i=0,niii-1 do begin
oplot,[tc(iii(i)+1),tc(iii(i)+1)],[ymin,ymax],linestyle=1
endfor ; i=0,nchop-1
;
oplot,tc(ii),signalc(ii),psym=3
;
return
end




