pro view,xin,ilog,f1,f2,iwindow,ps,bad
;
; scales and views array xin(i1:i2,j1:j2) over a dynamic range of a fraction 
; f1 to f2 of the pixel values in the window i1 i2 j1 j2. If ilog is 1 log 
; scaling is made. Input image has dimensions nx ny. iwindow is window index.
;
; futire have intermediate log scaling in plce of ilog (ie read the non
; zero value)
;
; BAD is array of bad pixels =1 bad =0 good
; if BAD is not input (missing from end of list) then it is assumed that all 
; pixels with badinval are bad.
;
;  badval=medval ; value to display for badval
badval=min(xin)
badinval=-99999.0 ; identifier ffor a bad pixel if no bad array is input
if(n_elements(bad) eq 0)then begin ; not input, therefore construct
nx=n_elements(xin(*,0))
ny=n_elements(xin(0,*))
bad=lonarr(nx,ny)
inbad=where(xin eq badinval,nibad)
if(nibad gt 0)then bad(inbad)=1
badval=badinval
endif
igood=where(bad eq 0,ngood)
medval=median(xin(igood))
;
; if an array between minwin and maxwin in each dimension is requested each 
; pixel is displayed
maxwin=902 ; maximum window dimension. If an array of maxwin or larger is
;                                      requested in any dimension, it's
;                                      size is divided both dimensions such that
;                                      the size is between maxwin and maxwin/2
minwin=102 ; minimum window dimension. If an array of minwin or smaller is
;                                      in any dimension is requested, it's
;                                      size is multiplied by the same integer
;                                      factor in both dimensions such that the
;                                      size is between minwin and 2*minwin
;
i2=n_elements(xin(*,0))-1
i1=0
j2=n_elements(xin(0,*))-1
j1=0
nx=i2-i1+1
ny=j2-j1+1
x=fltarr(nx,ny)
xbad=x
x(*,*)=xin(i1:i2,j1:j2)
xbad(*,*)=bad(i1:i2,j1:j2)
ibad=where(xbad ne 0,nbad)
;print,'nbad=',nbad
if(nbad gt 0)then x(ibad)=medval ; set to this to get sensible scaling
xwithbad=x
if(nbad gt 0)then xwithbad(ibad)=badval ; this is the one to plot
nx=n_elements(x(*,0))
ny=n_elements(x(0,*))
magx=1 ; magnification factors
magy=1
imagx=1
imagy=1
mag=1
imag=1
if(nx lt minwin)then magx=2*minwin/nx
if(ny lt minwin)then magy=2*minwin/ny
if(nx gt maxwin)then imagx=1+(nx/maxwin) ; inverse integer
if(ny gt maxwin)then imagy=1+(ny/maxwin)
;print,'imagx,imagy,maxwin',imagx,imagy,maxwin
if(nx lt minwin or ny lt minwin)then mag=max([magx,magy])
if(nx gt maxwin or ny gt maxwin)then imag=max([imagx,imagy])
if(nx lt minwin or ny lt minwin)then begin
nx=mag*nx
ny=mag*ny
endif ; minwin
if(nx gt maxwin or ny gt maxwin)then begin
nx=nx/imag
ny=ny/imag
endif ; maxwin
print,'nx,ny,imag,mag',nx,ny,imag,mag
;print,'imagx,imagy',imagx,imagy
; for image compression use congrid to avoid problem of not having multiples
if(imag eq 1)then begin 
;x=rebin(x,nx,ny)
x=congrid(x,nx,ny)
;xwithbad=rebin(xwithbad,nx,ny)
xwithbad=congrid(xwithbad,nx,ny)
endif
if(imag gt 1)then begin
x=congrid(x,nx,ny)
xwithbad=congrid(xwithbad,nx,ny)
endif
if(ps ne 'ps')then window,iwindow,xs=nx,ys=ny
if(ps eq 'ps')then pr_open
xmin=min(x)
xmax=max(x)
xx=x(sort(x))
xnx=float(nx)
xny=float(ny)
ntop=f2*xnx*xny
nbot=f1*xnx*xny
top=xx(ntop)
bot=xx(nbot)
xxx=fltarr(nx,ny)
;xxx=x
xxx=xwithbad
print,'displayed range will be: ',bot,top
if (ilog eq 1) then begin
print,'log scaling applied
for i=0,nx-1 do begin
for j=0,ny-1 do begin
if(xxx(i,j) lt bot) then xxx(i,j) = bot
if(xxx(i,j) gt top) then xxx(i,j) = top
endfor
endfor
xxx=alog10(xxx)
bot=alog10(bot)
top=alog10(top)
endif
tvscl,bytscl(xxx,min=bot,max=top),/device
;tv,bytscl(xxx,min=bot,max=top),/device
if(ps eq 'ps')then pr_close
;
return
end
