pro viewmap,map,mapn,ilog,f1,f2,iwindow,ps
;
; grey scale image to screen window IWINDOW or (PS = 'ps') to ps file of 
; map mAP sampled on P32 simple grid with number of elementary samples per 
; map grid point given in MAPN. Scaling is logarithmic if ILOG is 1. The
; dynamic range of the grey scale is calculated to include the fractional
; range f1 to f2 of the map pixels.
;
; eg viewmap,mapbcorr,mapn,0,0.001,0.999,1,'' for full linear range
;    viewmap,mapbcorr,mapn,1,0.001,0.999,1,'' for full log range
;    viewmap,mapbcorr,mapn,1,0.001,0.999,1,'' for full log range to ps file
;
@common_mapper
;common mapper,sgridy,sgridz,nygrid,nzgrid,ygrid,zgrid,errflag
@common_steerin
;common steerin,array,nptin,npt,ninramp,imeas,osamp
;
; create submultiple sampling at 1/6 of detector pixel size to deal with
; all possible oversamplings for each detector. The direction iygrid,izgrid on
; the input map then becomes the area i1=iygrid*nmagy i2=i1+nmagy-1,
; j1=izgrid*nmagz j2=j1+nmagz-1 on the output map
;
loadct,0 ; black and white
;
if(osamp eq 3)then begin
nmagy=2
nmagz=2
endif ; osamp eq 3
;
if(osamp eq 2)then begin
nmagy=2
nmagz=3
endif ; osamp eq 2
;
if(osamp eq 1)then begin
nmagy=2
nmagz=6
endif ; osamp eq 1
;
if(osamp eq 0.5)then begin
nmagy=2
nmagz=6
endif ; osamp eq 0.5
;
if(osamp gt 0.5 and osamp lt 1.0)then begin ; osamp 0.66
nmagy=2
nmagz=3
endif ; osamp gt 0.5 and osamp lt 1.0
;
ny=nygrid*nmagy
nz=nzgrid*nmagz
;
xin=fltarr(ny,nz)
xinbad=lonarr(ny,nz)
for iygrid=0,nygrid-1 do begin
i1=iygrid*nmagy 
i2=i1+nmagy-1
;print,'i1,i2 = ',i1,i2
for izgrid=0,nzgrid-1 do begin
j1=izgrid*nmagz
j2=j1+nmagz-1
;print,'j1,j2 = ',j1,j2
xin(i1:i2,j1:j2)=map(iygrid,izgrid)
if(mapn(iygrid,izgrid) eq 0)then xinbad(i1:i2,j1:j2)=1
endfor ; iz
endfor ; iy
;
view,xin,ilog,f1,f2,iwindow,ps,xinbad
;
return
end





