pro vignecorr32,det,pixid,cpos,vig
;
; program for finding vignetting factors for P32
; observations 
;
; input:
; det = 1 for c100 = 2 for c200
; pixid = pixel identifier (IDL notation)
; cpos = chopper position in arcsec (1D array)
;
; output:
; VIG = vignetting factors (LE 1.0) (1D array)
;
if(det eq 1)then begin
dc=15.0D
npix=9
nc2=6 ; number of chop positions at positive amplitude
endif
;
if(det eq 2)then begin
dc=30.0D
npix=4
nc2=3
endif
;
nchpos=2*nc2+1

;x=fltarr(npix,nchpos) ; test array of chopper positions to find factors
;c=dc*float(lindgen(nchpos)-nchpos/2) ; OK since nchpos always odd
;
;x(*,*)=1.0
;vignecorr,det,c,x,xcorr
;xcorr=1.0/xcorr

vigpix,det,xcorr

corr=fltarr(nchpos)
corr(*)=xcorr(pixid,*) ; correction factors
;
work=round(cpos/dc)
vig=cpos
vig(*)=1.0
;
for ic=0,nchpos-1 do begin
ii=where(work eq ic-nc2,nii)
if(nii gt 0)then vig(ii)=corr(ic)
endfor ; ic
;
return
end




