;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       ADD_COORDINATES
;
; PURPOSE:
;	Assign the coordinates data into the SPD, using routine get_coordinates
; 
; CATEGORY:
;	PIA - I/O
;
; CALLING SEQUENCE:
;       add_coordinates, tmpdata
;
; INPUT:
;       tmpdata	: phtspd type real structure
;
;
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;       PIA Procedure(s):
;               get_coordinates
;
; MODIFICATION HISTORY:
;       Written by: Carlos GABRIEL (ESA/VILSPA-SAI)	January 1996
;	Bug for non-existing file fixed (CG)		February 1996
;	Bug for large RPID numbers(BYTE*BYTE)fixed (CG)	May 1996
;	Using new read_irph call (corrected coord) (CG) September 1997
;	V6.5
;	Keyword INFO added (JAc)			February 1998
;	V7.0
;	pcont_getfiles called with NOSORT (CG)		February 1998
;	V7.1
;	Modified to call directly get_coordinates (JAcosta)  July 1998
;-
PRO add_coordinates, tmpdata, INFO = INFO
	
	ra = tmpdata.ra
	dec = tmpdata.dec 
	roll = tmpdata.roll
	get_coordinates, tmpdata.admn, tmpdata.rpid, ra, dec, roll, $ 
	      ierr, INFO = info
	
	IF ierr EQ 1 THEN RETURN 
	
	tmpdata.ra = ra
	tmpdata.dec = dec 
	tmpdata.roll = roll
	   		
	RETURN
	END
