;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        PRO C2P_IA2PIPE, IAARR, PIPARR
;+
; NAME:
;       C2P_IA2PIPE
;
; PURPOSE:
;	Change the pixel order from IA (telemetry) order into pipeline SPD
;	order
;
; CATEGORY:
;	PIA - processing
;
; CALLING SEQUENCE:
;       C2P_IA2PIPE, Iaarr, Piparr
;
; INPUTS:
;       Iaarr 	: [4,x] array as C200 IA (telemetry) convention
;
; OUTPUTS:
;       Piparr 	: [4,x] array as C200 pipeline convention
;
; PROCEDURES USED:
;	None
;
; MODIFICATION HISTORY:
;       Written by:	C. Gabriel
;	Oct 95 Version 3.5
;	Extended up to 5 dimensional arrays (CG)
;	V6.3
;-

        piparr = iaarr

	piparr(2,*,*,*,*) = iaarr(0,*,*,*,*)
	piparr(0,*,*,*,*) = iaarr(1,*,*,*,*)
	piparr(1,*,*,*,*) = iaarr(2,*,*,*,*)
	piparr(3,*,*,*,*) = iaarr(3,*,*,*,*)

	RETURN
        END
