;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       CHANGE_ZPLOT_PARAM
;
; PURPOSE:
;	Change sequentially the Zplot parameters for overplotting, psym
;	and color
;
; CATEGORY:
;          PIA - processing
;
; CALLING SEQUENCE:
;       CHANGE_ZPLOT_PARAM 
;
; INPUT:
;	(none)
;
; COMMON BLOCKS:
;	colour_indices
;	pia_dspchz_cmn
;
; PROCEDURES USED:
;
; MODIFICATION HISTORY:
;       Written by: C. Gabriel (ESA/VILSPA-SAI)		February 1996
;	Change to predefined colors (CG) 		August 1999
;	V8.0
;			
;-
PRO change_zplot_param

@colour_indices
COMMON pia_dspchz_cmn, zoom_psymch, zoom_linech, zoom_color

	IF N_ELEMENTS(zoom_color) EQ 0 THEN zoom_color=red
	zoom_color = zoom_color+1
	IF zoom_color EQ white THEN zoom_color = green

	IF N_ELEMENTS(zoom_psymch) EQ 0 THEN zoom_psymch = 4
	zoom_psymch = zoom_psymch + 1
	IF zoom_psymch EQ 8 THEN zoom_psymch=1

	RETURN
	END

	
