;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO CLA_INIT, index=index 
;+
; NAME:
;       cla_init
; PURPOSE:
;       Initializes the structure PHTCLA defining the contents as
;	a template structure PHTCLA_TYPE. It can be used for clearing
;	the whole CLA structure, in case this should show as necessary. 
; CATEGORY:
;	PIA - initialization
;
; CALLING SEQUENCE:
;       CLA_INIT
;
; INPUT PARAMETERS:
;	None       
;
; OUTPUT PARAMETERS: 
;	None
;
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtcla
;               phtcla_init
;
; MODIFICATION HISTORY:
;       Written by: W. M. Tai (DIAS)			May 1996
;	modified for releasing the handle (WMT)		May 1996
;-

@phtcla

	flag = intarr(N_ELEMENTS(phtcla))
	
	IF NOT KEYWORD_SET(index) THEN index = indgen(N_ELEMENTS(phtcla)-1)+1

	flag(index) = 1
		
	nele = N_ELEMENTS(index)

  if nele ge 1 then $
    for i = 0, nele - 1 do $
      for ihan = cla_first_handle, cla_last_handle do $
	handle_free, phtcla(index(i)).(ihan)

	ind = WHERE(flag EQ 0)
	phtcla = phtcla(ind)
END

