;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       CONV_PROCDATE
;
; PURPOSE:
;	Convert a date from Sun systime() format into IDL !stime string format
;
; CATEGORY:
;       PIA - miscellaneous
;
; CALLING SEQUENCE:
;       CONV_PROCDATE, procdate, date
;
; INPUT:
;	procdate	Date in sun systime format
;
; OUTPUT:
;	date		Date in IDL !stime format
;
; PROCEDURES USED:
;
; MODIFICATION HISTORY:
;       Written by: C. Gabriel (ESA/VILSPA-SAI)		January 1996
;			
;-
PRO conv_procdate, procdate, date

	IF STRLEN(procdate) NE 24 THEN BEGIN
		MESSAGE, /INFO, 'Wrong input format'
		date = ''
		RETURN
	ENDIF
	year = STRMID(procdate,20,4)
	day = STRMID(procdate,8,2)
	month = STRMID(procdate,4,3)
	homise = STRMID(procdate,11,8)
	
	date = day+'-'+month+'-'+year+' '+homise
RETURN
END
	  
