PRO correct_s_offset, tmpdata, newhdr, dy, dz, error=error,$
	off_cor=off_cor

	error = 0

	IF STRMID(tmpdata.det, 0,1) NE 'S' THEN BEGIN
	   MESSAGE, /INFO, $
	   	'Wrong detector, returning'
	   ERROR=1
	   RETURN
	ENDIF
	
	IF is_file_exist(!CALSAVE + 'SL_footprint.sav') THEN $ 
	 RESTORE, !CALSAVE + 'SL_footprint.sav' ELSE BEGIN
	   MESSAGE, /INFO, $
	   	'PHT-S Footprint file not found, returning'
	   ERROR=1
	   RETURN
	ENDELSE
	  
	IF N_ELEMENTS(tmpdata.ra) GT 1 THEN BEGIN
;	   ra = median([tmpdata.ra])
;	   dec = median([tmpdata.dec])
;	   roll = median([tmpdata.roll])
;	   
;	   MESSAGE, /INFO, $
;	   	'Warning, more than one point, taking median of ra,dec,roll '
	   MESSAGE, /INFO, $
	   	'More than one astronomical point, returning'
	   ERROR=1
	   RETURN    
	ENDIF ELSE BEGIN
	   ra = tmpdata.ra
	   dec = tmpdata.dec
	   roll = tmpdata.roll
	ENDELSE
	
	IF ra EQ -99. AND dec EQ -99. AND roll EQ -99. THEN BEGIN
	   MESSAGE, /INFO, $
	   	'Astronomical coordinates are missed in data, returning'
	   ERROR = 1
	   RETURN
	ENDIF

;	diff_radec_yz, ra, dec, roll, ra_true, dec_true, dy, dz

	diff_yz_radec, ra, dec, roll, dy, dz, ra_true, dec_true
	
	i = 60 + round(dy/0.2)
	j = 60 + round(dz/0.2)
	
	IF tmpdata.det EQ 'SS' THEN $
	 off_cor = footprint(i,j,0:63) ELSE $
	 off_cor = footprint(i,j,64:*)
	
	indtag = WHERE(TAG_NAMES(tmpdata) EQ 'MNFL') 
	indtag=indtag(0)
	FOR i = indtag,indtag+9 DO $
	 tmpdata.(i) = tmpdata.(i) / off_cor
	 
	FXADDPAR, newhdr, 'PRA_SOFR', ra_true, $
	   'PHT-S offset correction - RA taken', BEFORE='XTENSION' 
	FXADDPAR, newhdr, 'PRA_SOFD', dec_true, $
	   'PHT-S offset correction - DEC taken', BEFORE='XTENSION' 
	FXADDPAR, newhdr, 'PRA_SOFY', dy, $
	   'PHT-S offset correction Delta Y ["]', BEFORE='XTENSION' 
	FXADDPAR, newhdr, 'PRA_SOFZ', dz, $
	   'PHT-S offset correction Delta Z ["]', BEFORE='XTENSION' 
		 
	RETURN
	END
	
	
	
	
	
