;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO DARKCUR_INIT, filename = filename
;+
; NAME:
;       DARKCUR_INIT
;
; PURPOSE:
;       Initializes the DARK CURRENT COMMON BLOCK
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       DARKCUR_INIT
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; COMMON BLOCKS:
;	phtdarkcur
;
; SIDE EFFECTS:
;	The values in the phtdarkcur common blockare initialised
;
; PROCEDURES USED:
;       ASTRO LIB: fxhread
;
; MODIFICATION HISTORY:
;       Written by:	Wai-Ming Tai
;	Modified by:	C. Gabriel
;	added optional filename and change the openr to use /block
;	esp for vms  (WMT)			March 1996
;	Oct 95 Version 3.5
;	free_lun instead of close (CG)		May 1996
;-
;

@phtdarkcur

ON_ERROR, 2
	if keyword_set(filename) then file = filename else $
	  file = !CALG + 'PDARKCURR.FITS'
	openr, unit, file, /block, /GET_LUN
	fxhread, unit, DARKCURHDR
; swap C2 pixels
	DARKC = FXPAR(DARKCURHDR, 'DARK2C*')
	c2p_pipe2ia, darkc, darknew
	FOR i=0,3 DO FXADDPAR, DARKCURHDR, 'DARK2C'+STRTRIM(i+1,2), darknew(i)  
; swap C2 pixels
	
	free_lun, unit
END
