;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO DARKCUR_STR_INIT
;+
; NAME:
;       DARKCUR_STR_INIT
;
; PURPOSE:
;       Initializes the DARK CURRENT Structures
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       DARKCUR_STR_INIT
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; PROCEDURES USED:
;       None
;
; MODIFICATION HISTORY:
;       Written by:	Carlos Gabriel
;	Oct 95 Version 3.5
;       Two more tags are included: ADMN and RESP  .-  J. Acosta March 1996
;	Tags Proc_date, TRESET added  (JAcosta)			October 1997
;	V6.5
;-
;
ON_ERROR, 2

	detpix = 128
      cal_darkc_str = {SLDARKSTR_typ, FLAG:0, ADMN:'', DATE:'', ORBPOS:-1., $
            TRESET:'', RESCOR:0, TEMP:0., DARKC:fltarr(detpix),             $
            DARKU:fltarr(detpix), NEP:fltarr(detpix), RESP:fltarr(detpix),  $
            SFLG: intarr(detpix), JDATE:-1.,REV:0,PROC_DATE:''}

	detpix = 4
      cal_darkc_str = {C2DARKSTR_typ, FLAG:0, ADMN:'', DATE:'', ORBPOS:-1., $
            TRESET:'', RESCOR:0, TEMP:0., DARKC:fltarr(detpix),             $
            DARKU:fltarr(detpix), NEP:fltarr(detpix), RESP:fltarr(detpix),  $
            SFLG: intarr(detpix), JDATE:-1.,REV:0,PROC_DATE:''}

	detpix = 9
      cal_darkc_str = {C1DARKSTR_typ, FLAG:0, ADMN:'', DATE:'', ORBPOS:-1., $
            TRESET:'', RESCOR:0, TEMP:0., DARKC:fltarr(detpix),             $
            DARKU:fltarr(detpix), NEP:fltarr(detpix), RESP:fltarr(detpix),  $
            SFLG: intarr(detpix), JDATE:-1.,REV:0,PROC_DATE:''}
 
	detpix = 1
      cal_darkc_str = {PDARKSTR_typ, FLAG:0, ADMN:'', DATE:'', ORBPOS:-1.,  $
            TRESET:'', RESCOR:0, TEMP:0., DARKC:fltarr(detpix),             $
            DARKU:fltarr(detpix), NEP:fltarr(detpix), RESP:fltarr(detpix),  $
            SFLG: intarr(detpix), JDATE:-1.,REV:0,PROC_DATE:''}


END
