;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO Deglitch_Param_Init
;+
; NAME:
;	DEGLITCH_PARAM_INIT
;
; PURPOSE:
;	Initialise the deglitch_param common block
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE
;	DEGLITCH_PARAM_INIT
;
; INPUTS:
;	None
;
; OUTPUTS:
; 	None
;
; COMMON BLOCKS:
;	deglitch_param
;
; SIDE EFFECTS:
;	The values of the deglitch_param common block are initialised
;
; PROCEDURES USED:
; 	None
;
; MODIFICATION HISTORY:
;	Written by:	Huw Morris
;	Modified by CG		November 1996
;	V5.x
;	Max/Min clipping set as default (CG)		Aug. 1999
;	V8.0 
;-

@deglitch_param

	Min_Deglitch = 5
	Max_Error = 1.0
	Max_Iter = 2
	Num_Bad = 2
	Num_Local = 20
	Num_Sigma = 3.0
	Num_Step = 1
	Per_Chop = 0
	Per_Raster = 1
	Degl_Clip = 1

	END
