;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO DRIFT_INIT, index=index 
;+
; NAME:
;       DRIFT_INIT
;
; PURPOSE:
;       Re-Initializes the structure PHTDRIFT defining the contents as
;	a template structure PHTDRIFT_TYPE. It can be used for clearing
;	the whole DRIFT structure, in case this should show as necessary. 
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       DRIFT_INIT
;
; INPUTS:
;	None       
;
; OUTPUTS: 
;	None
;
; KEYWORDS:
;	Index:	If set, only those will be deleted from buffer
;
; COMMON BLOCKS:
;	phtdrift
;	
; PROCEDURES USED:
;
; MODIFICATION HISTORY:
;       Written by:	Carlos Gabriel (ESA/SAI-VILSPA)		Dec 1999
;	V8.2
;-

@phtdrift

	nelbuf = N_ELEMENTS(phtdrift)
	IF nelbuf EQ 1 THEN RETURN

	flag = intarr(nelbuf)
	
	IF NOT KEYWORD_SET(index) THEN index = indgen(nelbuf-1)+1

	flag(index) = 1
		
	nele = N_ELEMENTS(index)

	IF nele GE 1 THEN $
	   FOR I = 0, nele - 1 DO $
		FOR ihan = drift_first_handle, drift_last_handle DO $
		  HANDLE_FREE, phtdrift(index(i)).(ihan)


	ind = WHERE(flag EQ 0)
	phtdrift = phtdrift(ind)
	

END

