PRO assign_flag_db

; define exceptional cases 
exception_list = ['SL0159401302_RS','SL0173600902_RS','SL_ZLdrift', $
   'SL_aveTTSUJI','SL_aveRWEHRSE']
nexcep = N_ELEMENTS(exception_list)
npix = 128
flag_excep = BYTARR(npix,nexcep)

;SL0159401302  alpha-Bootes, pixels 0:30,33:34,64:65 are saturated
flag_excep(0:30,0) = 2
flag_excep(33:34,0) = 2
flag_excep(64:65,0) = 2

;'SL0173600902'  HR8775, pixels 13:22 are saturated
flag_excep(13:22,1) = 2

;'SL_ZLdrift'  Background from average ZL drift curve
flag_excep(0:63,2) = 2

;'SL_aveTTSUJI' Average spectra from TTSUJI, long wavelength part not used
flag_excep(63,3) = 2
flag_excep(94:127,3) = 2

;'SL_aveRWEHRSE' Average spectra from RWEHRSE
flag_excep(63,4) =2
 

;check if measlist is specified
IF NOT KEYWORD_SET(PATH) THEN path = !CALSAVE + '/dyncal/'
IF N_PARAMS() EQ 0 THEN measlist = path + 'SL_cheby.lst'

readcol,measlist,flist,format='A'

nele = N_ELEMENTS(flist)

s=' '

FOR iele=0, nele-1 DO BEGIN
  tmpflag = BYTARR(npix)
  ;check if exception
  ;admn = strmid(flist(iele),0,12)
  admn = STRMID(flist(iele),0,STRPOS(flist(iele),'_cheby'))
  ind_excep = WHERE(exception_list EQ admn,is_excep)
  IF is_excep GT 0 THEN tmpflag(*) = flag_excep(*,ind_excep(0))
  ; write  
  tmpfile = path + STRMID(flist(iele),0,strpos(flist(iele), '.coef'))+'.flag'
  openw,u_f,tmpfile,/get_lun  
  FOR ipix=0,npix-1 DO printf,u_f,ipix+1, tmpflag(ipix)
  ;check if 
  free_lun,u_f
  
ENDFOR

RETURN
END

