;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       ASSIGN_FLUX_DB
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;
;
; MODIFICATION HISTORY:
;       Written by:     Jose Acosta (ISO SOC - VILSPA)          May 1998
;       Version 7.1
;
;-
PRO ASSIGN_FLUX_DB,list_dyncalib,flux, flux_L_N, srcname, PATH=path, $
   FNAME=fname, DET = det


IF NOT KEYWORD_SET(path) THEN path = './'
IF NOT KEYWORD_SET(det) THEN det = 'SL'
IF NOT KEYWORD_SET(fname) THEN fname = 'PHTS_FLUXCAL.SAV'

; restore a structure 'flux_srcbck', created by add_srdbck
restore,path+fname

nele = N_ELEMENTS(list_dyncalib)
npix =pixel_det(det)

flux = FLTARR(npix,nele)
flux_L_N = FLTARR(2,nele)
srcname = STRARR(nele)

FOR iele=0,nele-1 DO BEGIN 
   admn = list_dyncalib(iele)
   ind_admn = WHERE(flux_srcbck.admn eq admn,nadmn)
   srcname(iele) = flux_srcbck(ind_admn(0)).name
   flux(*,iele) = flux_srcbck(ind_admn(0)).flux_add
   flux_L_N(*,iele) = flux_srcbck(ind_admn(0)).flux_L_N
ENDFOR 
 
 
RETURN
END 
