;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       BUILD_LOTABLE
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;
;
; MODIFICATION HISTORY:
;       Written by:     Jose Acosta (ISO SOC - VILSPA)          May 1998
;       Version 7.1
;
;-
PRO build_lotable, measlist, LOTABLE=lotable, DET = det, PATH_DB = path_db, $ 
   PATH_FLUXDB = path_fluxdb

;this programs reads a list of measurements and write a look-up table containing
; the signal values at 16, 32, 64, 128, 256, 512 sec

IF N_PARAMS() EQ 0 THEN measlist = !CALSAVE + '/dyncal/SL_cheby.lst'
IF NOT KEYWORD_SET(det) THEN det = 'SL'
IF NOT KEYWORD_SET(lotable) THEN lotable= !CALSAVE + '/dyncal/'+ $ 
       det + 'LOTABLE.SAV'
IF NOT KEYWORD_SET(path_db) THEN path_db = !CALSAVE + '/dyncal/'
IF NOT KEYWORD_SET(path_fluxdb) THEN path_fluxdb = !CALSAVE + '/dyncal/'

readcol, measlist, namelist, splist, flist, flag_fcalib, format='A,A,A,I'

;define needed variables
nele = N_ELEMENTS(flist)

FOR iele = 0, nele-1 DO BEGIN 
   read_chebydb, flist(iele), lotable_rec, PATH_COEFDB = path_db, DET = det, $
       /LOTABLE
   IF iele GT 0 THEN lotable_db = [lotable_db, lotable_rec] $ 
       ELSE lotable_db = lotable_rec
ENDFOR

mask_lotable_db = flag_fcalib

; assign flux 
assign_flux_db, lotable_db.admn, flux, flux_L_N, srcname, PATH = path_fluxdb
lotable_db.name = srcname 
lotable_db.flux = flux
lotable_db.sptype = splist
lotable_db.flux_l_n = flux_L_N

save, lotable_db, mask_lotable_db, file=lotable

RETURN

END
