;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	GET_SIGUPTO
;
; PURPOSE:
;	Get the index of signal up to where to discard, using the information
;	contained in a structure like phtacc_ratsig
;	  	
;
; CATEGORY:
;	PIA - process - signal selection
;
; CALLING SEQUENCE:
; MODIFICATION HISTORY:
;       Written by: J.Acosta (ISO-SOC, VILSPA)               October 1998
;	V7.x
;-
FUNCTION get_sigupto, discsig_str, nsignal, treset

selcrit = discsig_str.selcrit

    CASE selcrit OF
          0: sigupto = discsig_str.firstsig
          1: sigupto = ROUND(discsig_str.mfrac * nsignal)
          2: sigupto = discsig_str.sigfrom
          3: sigupto = ROUND(discsig_str.timefrom/treset)
          ELSE: sigupto = 0
    ENDCASE 
      

RETURN, sigupto
END
