;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; MODIFICATION HISTORY:
;       Written by:     J. Acosta (ISO-SOC, Vilspa)      	August 1998
;       Version 7.x
;-
PRO pia_presel_dyncal, inlotable, ind_mask_tmp, ind_mask_org, ind_mask_def
;;sl_lotable(*).admn  -> administration name, TDTNR
;;sl_lotable(*).name  -> name of the star
;;sl_lotable(*).wgref(*,ipix) is 1 for 

ncal_lot = N_ELEMENTS(inlotable)
det = inlotable(0).det

junkbase = WIDGET_BASE(title='Preselection of calibrators - '+STRTRIM(det,2), $
         /COLUMN, xsize=500)
	  
junk = WIDGET_LABEL(junkbase, /ALIGN_LEFT, $
   VAL='    Measurement        Source name   Sp_Typ   Fl_3.6um   Fl_10.6um ')

wid_val = STRARR(ncal_lot)
ini_val = BYTARR(ncal_lot)
ini_val(ind_mask_tmp) = 1
FOR i=0,ncal_lot-1 DO wid_val(i) = STRING(inlotable(i).admn,$
    inlotable(i).name,inlotable(i).sptype,inlotable(i).flux_l_N(0), $
    inlotable(i).flux_l_N(1), FORMAT='(A12,3x,A15,2x,A6,3x,G9.3,3x,G9.3)')
wid_selmeas = CW_BGROUP(junkbase,wid_val,/NONEXCLUSIVE,UVALUE='SELI',$
          SET_VALUE=ini_val, XOFFSET=20)
   
junkbase1 = WIDGET_BASE(junkbase,/COLUMN)
junkbase2 = WIDGET_BASE(junkbase1, /ROW)
junk = WIDGET_BUTTON(junkbase2, VAL='Select all', UVALUE='SELA')
junk = WIDGET_BUTTON(junkbase2, VAL='Deselect all', UVALUE='SELN')
junk = WIDGET_BUTTON(junkbase2, VAL='Previous values ',UVALUE='RESET')

junkbase2 = WIDGET_BASE(junkbase1, /ROW)
junk = WIDGET_BUTTON(junkbase2, VAL='   Accept & Quit   ', UVALUE='EXIT')
junk = WIDGET_BUTTON(junkbase2, VAL='   Cancel   ',UVALUE='CANCEL') 	 
junk = WIDGET_BUTTON(junkbase2, VAL='Default values ',UVALUE='DEFAULT')


WIDGET_CONTROL, junkbase, /REALIZE

;start loop until exit is selected
exit_wid = 0 
exit_sav = 0
REPEAT  BEGIN
    event = WIDGET_EVENT(junkbase)
    WIDGET_CONTROL, event.id, GET_UVALUE= uvalue
    CASE uvalue OF 
     'SELA': WIDGET_CONTROL, wid_selmeas, SET_VALUE=ini_val
     'SELN': WIDGET_CONTROL, wid_selmeas, SET_VALUE=ini_val*0
     'DEFAULT': BEGIN 
                  ini_val = ini_val *0
	          ini_val(ind_mask_def) = 1
                  WIDGET_CONTROL, wid_selmeas, SET_VALUE = ini_val
	        END
     'RESET': BEGIN 
                  ini_val = ini_val *0
	          ini_val(ind_mask_org) = 1
                  WIDGET_CONTROL, wid_selmeas, SET_VALUE = ini_val
	        END
     'CANCEL': exit_wid =1 
     'EXIT': BEGIN
     		exit_wid = 1
		exit_sav = 1
	     END	
    ELSE: 
    ENDCASE

ENDREP UNTIL exit_wid

WIDGET_CONTROL, wid_selmeas, GET_VALUE = measmask

WIDGET_CONTROL, junkbase,/DESTROY

IF exit_sav THEN ind_mask_tmp = WHERE(measmask EQ 1)

RETURN
END
