PRO read_chebydb,file,entry_caldb,PATH_COEFDB =path_coefdb, det = det,  $
   LOTABLE = lotable, PATH_FLUXDB = path_fluxdb, NOASSIGN_FLUX=noassign_flux

@phtdyncaldb


IF N_PARAMS() EQ 0 THEN BEGIN 
 print,   $
   'Syntax: read_chebydb, file_bestcheby_fit, entry_caldb   ' + $
        '[, DET=det] [, /LOTABLE] [, PATH_COEFDB=path] [, PATH_FLUXDB=path]' 
ENDIF


IF NOT KEYWORD_SET(path_fluxdb) THEN path_fluxdb = !CALSAVE + '/dyncal/'
IF NOT KEYWORD_SET(path_coefdb) THEN path_coefdb = !CALSAVE + '/dyncal/'
IF NOT KEYWORD_SET(det) THEN det = 'SL'

npix = pixel_det(det)

;Initialize arrays
coef = FLTARR(!polycheby_maxdeg,npix)
sgref = FLTARR(6,npix)
wsgref = BYTARR(6,npix)
grado = INTARR(npix)

;open file with the flag per pixel
tmpfile = path_coefdb + STRMID(file,0,STRPOS(file,'.coef')) + '.flag'
readcol,tmpfile,tmppix,flagref,format='I,I',/silent



;open file with the coefficients
tmpfile = path_coefdb + file
openr,u_f,tmpfile,/get_lun


s=' '

; skip first line
readf,u_f, s
  junk = gettok(s,' ')
  admn = gettok(s,' ')
  

WHILE NOT EOF(u_f) DO BEGIN 
  readf,u_f,s
  measname = gettok(s,' ')
  ipix = FIX(GETTOK(s,' '))-1
  FOR ival=0,5 do sgref(ival,ipix) =  FLOAT(GETTOK(s,' '))
  ind_nrefi = WHERE(sgref(*,ipix) NE -99.,nref)
  IF nref GT 0 THEN wsgref(ind_nrefi,ipix) = 1B
  ; discard all values if pixel is flagged as 2
  IF flagref(ipix) EQ 2 THEN wsgref(*,ipix) = 0B       
  t1 = FLOAT(GETTOK(s,' '))
  t2 = FLOAT(GETTOK(s,' '))
  grado(ipix) = FIX(GETTOK(s,' '))
  FOR igr = 0, grado(ipix) DO coef(igr,ipix) = FLOAT(GETTOK(s,' '))
ENDWHILE


free_lun,u_f

IF KEYWORD_SET(LOTABLE) THEN BEGIN 
  entry_caldb = {SLDYNCALDBLOT_TYPE}
  entry_caldb.admn = admn
  entry_caldb.measname = measname
  entry_caldb.det = det
  entry_caldb.sgref = sgref
  entry_caldb.wgref = wsgref
  entry_caldb.flref = flagref
  entry_caldb.proc_date = !STIME
ENDIF ELSE BEGIN  
  entry_caldb = {PHTDYNCALDB_TYPE}
  FOR ihan=DYNCALDB_FIRST_HANDLE, DYNCALDB_LAST_HANDLE DO $
      entry_caldb.(ihan) = HANDLE_CREATE()
  entry_caldb.admn = admn
  entry_caldb.measname = measname
  entry_caldb.det = det
  entry_caldb.time1 = t1
  entry_caldb.time2 = t2
  HANDLE_VALUE, entry_caldb.grado, grado, /SET
  HANDLE_VALUE, entry_caldb.coefcheby, coef, /SET
  HANDLE_VALUE, entry_caldb.flagcoef, flagref, /SET
  IF NOT KEYWORD_SET(noassign_flux) THEN BEGIN
     IF N_ELEMENTS(sl_lotable) EQ 0 THEN get_lotable_all
     ind_lot = WHERE(sl_lotable.admn EQ admn) 
     flux = sl_lotable(ind_lot(0)).flux
     HANDLE_VALUE, entry_caldb.flux, flux,/SET
     entry_caldb.name = sl_lotable(ind_lot(0)).name
  ENDIF   
ENDELSE               

RETURN
END
