PRO select_dyncalib,srd, cal_str, NCALUSE = ncaluse, LOTABLE_DB = lotable_DB, $
     VERBOSE= verbose

@phtdyncaldb
ON_ERROR,2

IF NOT KEYWORD_SET(lotable_db) THEN BEGIN 
	IF N_ELEMENTS(sl_lotable) EQ 0 THEN get_lotable_all
	CASE srd.det OF 
	  'SL': lotable_db = sl_lotable 
	  ELSE:  MESSAGE, 'Dynamic calibration is not valid for '+srd.det 
	ENDCASE 
	
	;use only the preselected elements from the lookup table
        lotable_db = lotable_db(ind_mask_lotable) 
 
ENDIF 	


IF NOT KEYWORD_SET(ncaluse) THEN ncaluse = ncal_use
npix = pixel_det(srd.det)

time_ref = [16.,32.,64.,128.,256.,512.]
nref = N_ELEMENTS(time_ref)
slop_ref = FLTARR(nref,npix)
mask_ref = INTARR(nref,npix)
nele = N_ELEMENTS(srd.stim)

;compute reference signals for all time_ref not exceeding 10% of its value 
obstime = MAX(srd.stim)
ind_val_ref = WHERE(time_ref*0.9 - obstime LE 0.)
mask_ref(ind_val_ref,*) = 1

FOR ipix=0,npix-1 DO BEGIN 
    ;select only valid signals to perfom interpolation 
    ind_val = WHERE(srd.flag(ipix,*) LE 1,nval)
    ; if at least 2 valid points make interpolation if not mask the pixel 
    IF nval GT 1 THEN slop_ref(ind_val_ref,ipix) = $
       INTERPOL(srd.slop(ipix,ind_val),srd.stim(ind_val),  $
       time_ref(ind_val_ref))  $ 
    ELSE mask_ref(ind_val_ref,ipix) = 0
ENDFOR    


cal_admn = STRARR(ncaluse,npix)
cal_name = STRARR(ncaluse,npix)

; give more weight to reference signals at later times
wgref = [0.5,0.6,0.7,0.8,0.9,1.0]

; load reference signals from the lookup table
; sgref = FLTARR(6,npix,ndb)
cal_sgref = lotable_db.sgref
cal_wgref = lotable_db.wgref
cal_flref = lotable_db.flref

cal_rat = FLTARR(ncaluse,npix)
cal_flux = FLTARR(ncaluse,npix)
ncal = N_ELEMENTS(lotable_db.admn)
scal = FLTARR(ncal)

cal_str = {admn:STRARR(npix),name:STRARR(npix),rat:FLTARR(npix), $
    flux:FLTARR(npix)}
cal_str = REPLICATE(cal_str,ncaluse)

rat_tmp  = FLTARR(ncaluse) 
IF KEYWORD_SET(verbose) THEN  $ 
    print,'Using '+STRTRIM(ncaluse,2)+' calibrators/pixel'

FOR ipix=0,npix-1 DO BEGIN
  IF KEYWORD_SET(verbose) THEN  print,'Calibrating pixel '+STRTRIM(ipix+1,2)
  ind_valref = WHERE(mask_ref(*,ipix) EQ 1,nvalref)
  IF nvalref EQ 0 THEN GOTO, NOVALID_SIGNAL
   FOR ical=0,ncal-1 DO BEGIN 
    IF cal_flref(ipix,ical) EQ 0 THEN 					    $    
         scal(ical) = TOTAL(cal_wgref(ind_valref,ipix,ical)  *    	    $
               wgref(ind_valref) * 					    $
               ABS(ALOG10(ABS(slop_ref(ind_valref,ipix)/ 		    $
               cal_sgref(ind_valref,ipix,ical))))) / 			    $
	       TOTAL(cal_wgref(ind_valref,ipix,ical) * wgref(ind_valref))   $
    ELSE scal(ical) = 100.    
  ENDFOR
       
  sort_cal = SORT(scal)     
  ;select the ncaluse closest calibrators
  ind_c = sort_cal(0:ncaluse-1) 
  FOR ic=0,ncaluse-1 DO rat_tmp(ic) = TOTAL(cal_wgref(*,ipix,ind_c(ic)) *  $
    wgref * mask_ref(*,ipix) * slop_ref(*,ipix) / cal_sgref(*,ipix,ind_c(ic)))/ $
       TOTAL(cal_wgref(*,ipix,ind_c(ic)) * mask_ref(*,ipix) *  wgref)    
 
  cal_str(*).admn(ipix) = lotable_db(ind_c).admn
  cal_str(*).name(ipix) = lotable_db(ind_c).name
  cal_str(*).rat(ipix) = rat_tmp
  cal_str(*).flux(ipix) = lotable_db(ind_c).flux(ipix)  
  
  NOVALID_SIGNAL:  
        
ENDFOR  


RETURN
END
