;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO DYNRESP_INIT, index=index 
;+
; NAME:
;       dynresp_init
; PURPOSE:
;       Initializes the structure PHTSRD defining the contents as
;	a template structure PHTSRD_TYPE. It can be used for clearing
;	the whole SRD structure, in case this should show as necessary. 
; CATEGORY:
;	PIA - initialization
;
; CALLING SEQUENCE:
;       DYNRESP_INIT
;
; INPUT PARAMETERS:
;	None       
;
; OUTPUT PARAMETERS: 
;	None
;
; KEYWORDS:
;	Index:	If set, only those will be deleted from buffer
;
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtdynresp
;               phtdynresp_init
;
; MODIFICATION HISTORY:
;       Written by: J. Acosta (IAC)				February 2000
;	V8.2
;-

@phtdynresp

	nelbuf = N_ELEMENTS(phtdynresp)
	IF nelbuf EQ 1 THEN RETURN

	flag = intarr(N_ELEMENTS(phtdynresp))
	
	IF NOT KEYWORD_SET(index) THEN index = indgen(nelbuf-1)+1

	flag(index) = 1
		
	nele = N_ELEMENTS(index)

	IF nele GE 1 THEN $
	   FOR I = 0, nele - 1 DO $
		FOR ihan = dynresp_first_handle, dynresp_last_handle DO $
		  HANDLE_FREE, phtdynresp(index(i)).(ihan)

	ind = WHERE(flag EQ 0)
	phtdynresp = phtdynresp(ind)
	
END

