;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	GET_FLUPTO
;
; PURPOSE:
;	Get the index of flux up to where to discard, using the information
;	contained in a structure like phtacc_ratsig
;	  	
;
; CATEGORY:
;	PIA - process - signal selection
;
; CALLING SEQUENCE:
; MODIFICATION HISTORY:
;       Written by: J.Acosta (IAC, La Laguna)               February 2000
;	V8.2
;-
FUNCTION get_flupto, discsig_str, time, nsignal

selcrit = discsig_str.selcrit

    CASE selcrit OF
          0: sigupto = discsig_str.firstsig
          1: sigupto = ROUND(discsig_str.mfrac * nsignal)
          2: sigupto = discsig_str.sigfrom
          3: BEGIN
	         ind = WHERE(time GE discsig_str.timefrom,ng)
		 IF ng GT 0 THEN sigupto = ind(0) $
	         ELSE sigupto = 0
	      END
          ELSE: sigupto = 0
    ENDCASE 
      

RETURN, sigupto
END
