;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       PHTACC
; PURPOSE:
;       Define common block ACC for information about acceptance/discarding 
;       of data points.
;
; CATEGORY:
;       PIA - common block
;
; CALLING SEQUENCE:
;       @phtacc_ratsig
;
; COMMON BLOCK PARAMETERS:
;
; MODIFICATION HISTORY:
;       Written by: Jose Acosta (ISO-SOC, Vilspa)		Jul 98
;       Version 7.x
;-
PRO phtacc_fldynr_init

COMMON phtacc_fldynr, phtacc_fldynr

   phtacc_fldynr = {firstsig:1,	   $; discard first signal
   		    mfrac:0.,  	   $; initial fraction of measurement discarded
   		    sigfrom:0,     $; number of signals to discard
		    timefrom:8.,   $; discard up to time
		    selcrit:0      $
		    }
		    
RETURN
END		    
