;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             !
 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       phtdynresp_init
;
; PURPOSE:
;       Initializes the structure phtdyncalib (dynamic calibration) 
;       defining the contents as a template structure phtdyncalib_type
;       It can be used for clearing the whole structure, in case 
;       this should show as necessary. 
;
; CATEGORY:
;       PIA - initialization
;
; CALLING SEQUENCE:
;       @phtdynresp_init
;
; COMMON BLOCKS:
;       phtdynresp
;
; MODIFICATION HISTORY:
;       Written by: J.Acosta (ESA/ESTEC)                  	February 2000
;       Version 8.2
;
;-
;
PRO phtdynresp_init, INDEX = index
@phtdynresp
        ON_ERROR, 2
;
	
	PHTDYNRESP_GEN = {PHTDYNRESP_TYPE,	$
	ADMN:' ',				$
        MEAS_NAME:' ',                          $
	DET: '??',				$
	TEMPERATURE: [0.,0.],			$
	SLDI: 0L,				$
	PROC_TIME:'',				$
	HDR: HANDLE_CREATE(),			$
	TIME: HANDLE_CREATE(),			$
	FLUX: HANDLE_CREATE(),			$
	UFLUX: HANDLE_CREATE(),			$
	WEIGHT: HANDLE_CREATE(),		$
	FLAG:  HANDLE_CREATE() }
	
	DYNRESP_FIRST_HANDLE = 6
	DYNRESP_LAST_HANDLE = 11
	
	PHTDYNRESP_DESC = [ 				$
                'ADMN Name ',                     	$
                'User Meas. Name ',                     $
                'Detector ',                		$
                'Temperature ',                		$
		'Number of calibrated signals',		$
                'Last processing time ',                $
                'Header',                               $
		'Signals Time ',			$
		'Calibrated signals',			$
		'Uncertainty Calibrated signals',	$
                'Weight of calibrated signals',		$
		'Flag of calibrated signals'		$
                ]
 


	PHTDYNRESP = {PHTDYNRESP_TYPE}
	
RETURN
END	
