;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO FCSPOW_STR_INIT
;+
; NAME:
;       FCSPOW_STR_INIT
;
; PURPOSE:
;       Initializes the structures corresponding to the FCS Power Tables
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       FCSPOW_STR_INIT
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; PROCEDURES USED:
;       None
;
; MODIFICATION HISTORY:
;       Written by Carlos Gabriel
;	Oct 95 Version 3.5
;	Structure changed	CG	October 1995
;	Structure extension	CG	December 1995
;	Structure extension (TDTNR & PSF_COR) JAcosta   (June 1996)
;-
;
ON_ERROR, 2


	detpix = 4
          cal_fcspow_str = {C2_fcspow_typ, FLAG:0, TDTNR:'',DATE:'', SOURCE:'',$
		  Filt_id:'', Aper_id:'', F_star: 0., Qb_star:0., $
		  PSF_COR:0., FCS:0, TRS:0, Heatpow:0., $
	    	  FCSPOW:fltarr(detpix), FCSPUN:fltarr(detpix), $ 
		  SFLG: intarr(detpix), Proc_time:'', SED_file: STRARR(2)}

	detpix = 9
          cal_fcspow_str = {C1_fcspow_typ, FLAG:0, TDTNR:'',DATE:'', SOURCE:'',$
		  Filt_id:'', Aper_id:'', F_star: 0., Qb_star:0., $
		  PSF_COR:0., FCS:0, TRS:0, Heatpow:0., $
	    	  FCSPOW:fltarr(detpix), FCSPUN:fltarr(detpix), $ 
		  SFLG: intarr(detpix), Proc_time:'', SED_file: STRARR(2)}

	detpix = 1
          cal_fcspow_str = {P_fcspow_typ, FLAG:0, TDTNR:'', DATE:'', SOURCE:'',$
		  Filt_id:'', Aper_id:'', F_star: 0., Qb_star:0., $
		  PSF_COR:0., FCS:0, TRS:0, Heatpow:0., $
	    	  FCSPOW:fltarr(detpix), FCSPUN:fltarr(detpix), $ 
		  SFLG: intarr(detpix), Proc_time:'', SED_file: STRARR(2)}

END
