;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO FCSPRE_STR_INIT
;+
; NAME:
;       FCSPRE_STR_INIT
;
; PURPOSE:
;       Initializes the structures corresponding to the FCS Pre-reduced
;	Signal Table
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       FCSPRE_STR_INIT
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; PROCEDURES USED:
;       None
;
; MODIFICATION HISTORY:
;       Written by Carlos Gabriel	October 1995
;	TDTnr now a string (CG)		June 1996
;-
;
ON_ERROR, 2


	detpix = 4
 	        cal_fcspre_str = {C2fcspre_typ, Type_ID: '', $
		  Filt_id:'', Aper_ID:'', Orb_pos: 0., Date: '',$
		  TDTnr:'', $
		  Source:'', FCS:0, TRS:0, Heatpow:0., t_int:0., $
		  Signal:fltarr(detpix), Sigunc:fltarr(detpix), $
		  Red_sig:fltarr(detpix), Red_sun:fltarr(detpix), $
		  Sig_flg: intarr(detpix), Flag:0, Proc_time:''}


	detpix = 9
 	        cal_fcspre_str = {C1fcspre_typ, Type_ID: '', $
		  Filt_id:'', Aper_ID:'', Orb_pos: 0., Date: '',$
		  TDTnr:'', $
		  Source:'', FCS:0, TRS:0, Heatpow:0., t_int:0., $
		  Signal:fltarr(detpix), Sigunc:fltarr(detpix), $
		  Red_sig:fltarr(detpix), Red_sun:fltarr(detpix), $
		  Sig_flg: intarr(detpix), Flag:0, Proc_time:''}

	detpix = 1
 	        cal_fcspre_str = {Pfcspre_typ, Type_ID: '', $
		  Filt_id:'', Aper_ID:'', Orb_pos: 0., Date: '', TDTnr:'', $
		  Source:'', FCS:0, TRS:0, Heatpow:0., t_int:0., $
		  Signal:fltarr(detpix), Sigunc:fltarr(detpix), $
		  Red_sig:fltarr(detpix), Red_sun:fltarr(detpix), $
		  Sig_flg: intarr(detpix), Flag:0, Proc_time:''}


END
