;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO Find_Param_Init
;+
; NAME:
;	FIND_PARAM_INIT
;
; PURPOSE:
;	Initialise the find_param common block
;
; CATEGORY:
; 	PIA - initialisation
;
; CALLING SEQUENCE:
;	FIND_PARAM_INIT
;
; INPUTS:
;	None
;
; OUTPUTS:
;	None
;
; COMMON BLOCKS:
;	find param
;
; PROCEDURES USED:
;	None
;
; MODIFICATION HISTORY:
;	Written by:	?
;	Oct 95 Version 3.5
;-

@find_param

	hmin = 1e-14
	fwhm = 1.0
	sharplin = [0.2, 1.0]
	roundlin = [-1.0, 1.0]

	END
