pro firstq_ff, tmp, ff, hdr=hdr, USE_VAR=use_var, percentile=percentile
;
; This flatfields the C200 pixels for imaging and display
; purposes only. It uses the 'first-quartile' (the median 
; of the values below the median) to average the four pixels
;
;
	IF not KEYWORD_SET(percentile) THEN percentile=25
	
	factor = 100 / percentile
	
	IF tmp.det EQ 'C1' THEN npix = 9 ELSE IF tmp.det EQ 'C2' THEN npix=4 $
		ELSE BEGIN
			PRINT, 'Not applicable detector, returning'
			RETURN
		ENDELSE
	
	IF not KEYWORD_SET(USE_VAR) THEN use_var=0
	CASE use_var of
	0: var = tmp.mnbr
	2: var = tmp.mdbr
	1: var = tmp.mnfl
	3: var = tmp.mdfl
	ELSE: var=tmp.mnbr
	ENDCASE
	
	IF not KEYWORD_SET(hdr) THEN hdr=tmp.hdr

	ff = fltarr(npix)
	FOR ipix=0,npix-1 DO BEGIN
	 junk = BSORT(var(ipix,*), varsort)
	 npos = N_ELEMENTS(varsort) / factor
	 ff(ipix) = var(ipix,npos) 
	ENDFOR
	ff = ff / avg(ff)
	for i=0,npix-1 do BEGIN
		tmp.mnbr(i,*) = tmp.mnbr(i,*) / ff(i)
		tmp.mnbu(i,*) = tmp.mnbu(i,*) / ff(i)
		tmp.mnfl(i,*) = tmp.mnfl(i,*) / ff(i)
		tmp.mnfu(i,*) = tmp.mnfu(i,*) / ff(i)
		tmp.mdfl(i,*) = tmp.mdfl(i,*) / ff(i)
		tmp.q1fl(i,*) = tmp.q1fl(i,*) / ff(i)
		tmp.q3fl(i,*) = tmp.q3fl(i,*) / ff(i)
		tmp.mdbr(i,*) = tmp.mdbr(i,*) / ff(i)
		tmp.q1br(i,*) = tmp.q1br(i,*) / ff(i)
		tmp.q3br(i,*) = tmp.q3br(i,*) / ff(i)
	ENDFOR
	
	STRPERCENTILE = STRTRIM(percentile,2)
	FOR I=0,npix-1 DO $
	 FXADDPAR, hdr, 'PRA_FQF'+STRTRIM(i+1,2), ff(i), $
	 	STRPERCENTILE + ' percentile FF factor applied' 
	
	RETURN
	END
