pro firstq_ff_tmp, bright, unc, ff, error=error, percentile=percentile
;
; This flatfields the C100 and C200 pixels for imaging and display
; purposes only. It uses the 'first-quartile' (the median 
; of the values below the median) to average the four pixels
;
;
	error = 0
	IF not KEYWORD_SET(percentile) THEN percentile=25
	factor = 100 / percentile
	
	npix = N_ELEMENTS(bright(*,0))
	IF npix NE 4 AND npix NE 9 THEN BEGIN
		PRINT, 'Wrong array, returning'
		error = 1
		RETURN
	ENDIF
	var = bright		

	fmed = fltarr(npix)
	ff = fltarr(npix)
	FOR ipix=0,npix-1 DO BEGIN
	 junk = BSORT(var(ipix,*), varsort)
	 npos = N_ELEMENTS(varsort) / factor
	 	   
	 ff(ipix) = var(ipix,npos)
	ENDFOR
	ff = ff / avg(ff)
	for i=0,npix-1 do BEGIN
		var(i,*) = var(i,*) / ff(i)
		unc(i,*) = unc(i,*) / ff(i)
	ENDFOR
	bright = var
		
	RETURN
	END
