;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO get_respstr, det, respstr
;+
; NAME:
;       GET_RESPSTR
;
; PURPOSE:
;       Returns the responsivity structure corresponding to detector from the
;       save file.
; 
; CATEGORY:
;	PIA - I/O
;       
; CALLING SEQUENCE:
;       GET_RESPSTR, Det, Respstr
;
; INPUTS:
;       Det: Detector name. One of -- P1, P2, P3, C1, C2, SL
;
; OUTPUTS:
;       Respstr: The corresponding responsivity structure
;
; PROCEDURES USED:
;	None
;
; MODIFICATION HISTORY:
;	Written by:	Carlos Gabriel
;	Modified by:	Wai-Ming Tai
;	Oct 95 Version 3.5
;-
ON_ERROR, 2

	detind = STRMID(STRUPCASE(det),0,2)

        CASE detind of
                'C2': resp_str = {C2RESPSTR_typ}
                'C1': resp_str = {C1RESPSTR_typ}
                ELSE: resp_str = {PRESPSTR_typ}
        ENDCASE

	filename = !CALSAVE+ detind + 'CALRESP_STR.SAV'
	RESTORE, filename
	respstr = resp_str 
	
END

