;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO getsave
;+
; NAME:
;	GETSAVE
;
; PURPOSE:
;	Initialises the phtaap common block with values in the tmparr
;	structure.
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;	GETSAVE
;
; INPUTS:
;	None
;
; OUTPUTS:
;	None
;
; COMMON BLOCKS:
;	phtaap
;
; PROCEDURES USED:
;	PIA LIB: pia_mktrans
;	         pia_xy2rd
;
; MODIFICATION HISTORY:
;	Written by:	?
;	Oct 95 Version 3.5
;
;-


@phtaap_init

	restore,'dka100:[ia_edat]aafile.sav'

	i = 0

	phtaap(i).admn	= tmpaar.admn
	phtaap(i).det	= tmpaar.det
	phtaap(i).dims	= tmpaar.dims
	phtaap(i).filt	= tmpaar.filt
	phtaap(i).aper	= tmpaar.aper
	phtaap(i).polz	= tmpaar.polz

	phtaap(i).hdr	= HANDLE_CREATE( VALUE = tmpaar.hdr )
	phtaap(i).time	= HANDLE_CREATE( VALUE = tmpaar.time )
	phtaap(i).cstp	= HANDLE_CREATE( VALUE = tmpaar.cstp )
	phtaap(i).cpos	= HANDLE_CREATE( VALUE = tmpaar.cpos )
	phtaap(i).dwel	= HANDLE_CREATE( VALUE = tmpaar.dwel )
	phtaap(i).mnfl	= HANDLE_CREATE( VALUE = tmpaar.mnfl )
	phtaap(i).mnfu	= HANDLE_CREATE( VALUE = tmpaar.mnfu )
	phtaap(i).mdfl	= HANDLE_CREATE( VALUE = tmpaar.mdfl )
	phtaap(i).q1fl	= HANDLE_CREATE( VALUE = tmpaar.q1fl )
	phtaap(i).q3fl	= HANDLE_CREATE( VALUE = tmpaar.q3fl )
	phtaap(i).mnbr	= HANDLE_CREATE( VALUE = tmpaar.mnbr )
	phtaap(i).mnbu	= HANDLE_CREATE( VALUE = tmpaar.mnbu )
	phtaap(i).mdbr	= HANDLE_CREATE( VALUE = tmpaar.mdbr )
	phtaap(i).q1br	= HANDLE_CREATE( VALUE = tmpaar.q1br )
	phtaap(i).q3br	= HANDLE_CREATE( VALUE = tmpaar.q3br )
	phtaap(i).rpid	= HANDLE_CREATE( VALUE = tmpaar.rpid )
	phtaap(i).flag	= HANDLE_CREATE( VALUE = tmpaar.flag )

	x = tmpaar.rpid(0,*)	; s/c Y-axis
	y = tmpaar.rpid(1,*)	; s/c Z-axis
	nx = max(x)
	ny = max(y)
	x = x-1
	y = ny-y

	ref = [0.,0.]
	middle = [nx,ny]/2.-0.5
	dist = [360.,360.]      
	rota = 0.

	trans = pia_mktrans(ref,middle,dist,rota)
	pia_xy2rd, x,y,trans,ra,dec

	roll = tmpaar.roll * 0.

	phtaap(i).ra	= HANDLE_CREATE( VALUE = ra )
	phtaap(i).dec	= HANDLE_CREATE( VALUE = dec )
	phtaap(i).roll	= HANDLE_CREATE( VALUE = roll )

	return
	end
