PRO PIA_correct_s_offset_EVENT, EVENT

@phtslwavlen	
	
	WIDGET_CONTROL, event.id, GET_UVALUE=action
	WIDGET_CONTROL, event.top, GET_UVALUE=hsave
	HANDLE_VALUE, hsave, save

	; get the widget IDs and program parameters
	HANDLE_VALUE, save.hid, id
	HANDLE_VALUE, save.hpar, par
	
	CASE ACTION of
	

	  'QUIT': WIDGET_CONTROL, event.top, /DESTROY

	  'PLOT': BEGIN
	  	subt = 'DeltaY: ' + par.dy_off + '   DeltaZ: ' + par.dz_off  
		xtitle = ' !4k 	   [l!3m]'
	  	PIA_XPLOT, par.wlen, par.s_corr, psym=4, $
			TITLE='Pointing correction - '+subt, $
			Xtitle=xtitle, $
			ytitle=' Correction factor '
	  END
	  
	  'PLOTS': BEGIN
		
		xtitle = ' !4k 	   [l!3m]'
	  	PIA_XPLOT, par.wlen, par.tmp.mnfl, par.tmp.mnfu, psym=4, $
			TITLE='PHT-S spectra before and after correction', $
			Xtitle=xtitle, LEGEND='Before correction', $
			ytitle=' Flux    [Jy] '
	  	PIA_XPLOT, par.wlen, par.tmpcor.mnfl, psym=6, $
			/OVERPLOT, color=126, LEGEND='After correction'
	  END
	  
	  'SAVE': BEGIN
	  	fill_aap, par.tmpcor, par.hdr
		decnam = dec_admn(par.tmpcor.admn)
                PIA_DISP_PRINT_FILE, "", $
                         TITLE = "Measurement in Buffer", $
                         WIDTH = 50, $
                         HEIGHT = 5, $
                         TEXT = ["The corrected measurement is now in the ", $
                                 "AAP buffer as: " + decnam ]
 	  END
	  
	  'DERDELTA': BEGIN

		WIDGET_CONTROL, id.posra_id, GET_VALUE=valr
		ra_int = DOUBLE(valr(0))
		WIDGET_CONTROL, id.posdec_id, GET_VALUE=vald
		dec_int = DOUBLE(vald(0))
		diff_radec_yz, par.ra, par.dec, par.roll, ra_int, dec_int, $
			dy_off, dz_off
		par.dy_off = dy_off
		par.dz_off = dz_off
		
		WIDGET_CONTROL, id.rdy_id, SET_VALUE=STRTRIM(dy_off,2)
		WIDGET_CONTROL, id.rdz_id, SET_VALUE=STRTRIM(dz_off,2)
		HANDLE_VALUE, save.hpar, par, /SET
		HANDLE_VALUE, hsave, save, /SET
		WIDGET_CONTROL, event.top, SET_UVALUE=hsave
		
	  END	

	  'DERRADEC': BEGIN

		WIDGET_CONTROL, id.rdy_id, GET_VALUE=valy
		dy_off = FLOAT(valy(0))
		WIDGET_CONTROL, id.rdz_id, GET_VALUE=valz
		dz_off = FLOAT(valz(0))

		diff_yz_radec, par.ra, par.dec, par.roll, dy_off, dz_off, $
			ra_int, dec_int
		par.rat = STRTRIM(ra_int,2)
		par.dect = STRTRIM(dec_int,2)
		
		WIDGET_CONTROL, id.posra_id, SET_VALUE=par.rat
		WIDGET_CONTROL, id.posdec_id, SET_VALUE=par.dect
		HANDLE_VALUE, save.hpar, par, /SET
		HANDLE_VALUE, hsave, save, /SET
		WIDGET_CONTROL, event.top, SET_UVALUE=hsave
		
	  END	

	  'CORRECT': BEGIN
	  	WIDGET_CONTROL, event.top, /HOURGLASS
	  	tmp = par.tmp
		hdr = par.hdr
		
		WIDGET_CONTROL, id.rdy_id, GET_VALUE=valy
		dy = FLOAT(valy(0))
		WIDGET_CONTROL, id.rdz_id, GET_VALUE=valz
		dz = FLOAT(valz(0))


		IF valy(0) EQ '' OR valz(0) EQ '' THEN BEGIN
			PRINT, 'Please give Delta Y and Delta Z'
			RETURN
		ENDIF

		IF ABS(dy) GT 12. or ABS(dz) GT 12. THEN BEGIN
			PRINT, 'You better throw this observation away'
			PRINT, 'if it was that far from the source ...'
			RETURN
		ENDIF

		diff_yz_radec, par.ra, par.dec, par.roll, dy, dz, $
			ra_int, dec_int
			
		correct_s_offset, tmp, hdr, dy, dz, $
			ERROR=error, off_cor=off_cor
		
		IF error NE 0 THEN RETURN
		
		par.rat = STRTRIM(ra_int,2) 
		par.dect = STRTRIM(dec_int,2) 
		par.dy_off = STRTRIM(dy,2)
		par.dz_off = STRTRIM(dz,2)
		par.s_corr = off_cor
		IF par.tmp.det EQ 'SS' THEN $
		 par.wlen = slwavelen(0:63) ELSE par.wlen = slwavelen(64:*)
		
		par.tmpcor = tmp   ; correct measurement in tmpcor
		par.hdr = hdr
		
		HANDLE_VALUE, save.hpar, par, /SET
		HANDLE_VALUE, hsave, save, /SET
		WIDGET_CONTROL, event.top, SET_UVALUE=hsave
		
		WIDGET_CONTROL, id.p_id, /SENSITIVE 
		WIDGET_CONTROL, id.ps_id, /SENSITIVE 
		WIDGET_CONTROL, id.s_id, /SENSITIVE 

		WIDGET_CONTROL, id.rdy_id, SET_VALUE=STRTRIM(dy,2)
		WIDGET_CONTROL, id.rdz_id, SET_VALUE=STRTRIM(dz,2)
		
	  END
	  ELSE: 

	ENDCASE	    
	RETURN
	END	



PRO PIA_correct_s_offset, tmpdata, newhdr, GROUP=group

	IF NOT KEYWORD_SET(newhdr) THEN newhdr = tmpdata.hdr

	par = {tmp:tmpdata, hdr:newhdr, s_corr:FLTARR(64), wlen:fltarr(64),$
		dy_off:'', dz_off:'', rat:'', dect:'', $
		ra:0.D0, dec:0.D0, roll:0., tmpcor:tmpdata }
	
	IF STRMID(tmpdata.det, 0,1) NE 'S' THEN BEGIN
	   MESSAGE, /INFO, $
	   	'Wrong detector, returning'
	   ERROR=1
	   RETURN
	ENDIF
	
	IF is_file_exist(!CALSAVE + 'SL_footprint.sav') THEN $ 
	 RESTORE, !CALSAVE + 'SL_footprint.sav' ELSE BEGIN
	   MESSAGE, /INFO, $
	   	'PHT-S Footprint file not found, returning'
	   ERROR=1
	   RETURN
	ENDELSE
	  
	IF N_ELEMENTS(tmpdata.ra) GT 1 THEN BEGIN
	   MESSAGE, /INFO, $
	   	'More than one sky position in data, returning'
	   ERROR=1
	   RETURN    
	ENDIF ELSE BEGIN
	   ra  = tmpdata.ra
	   dec = tmpdata.dec
	   roll= FLOAT(tmpdata.roll)
	ENDELSE
	par.ra = ra
	par.dec = dec
	par.roll = roll
	
	ra_int = FXPAR(newhdr,'ATTRA')
	dec_int = FXPAR(newhdr,'ATTDEC')
	
	diff_radec_yz, ra, dec, roll, ra_int, dec_int, dy_off, dz_off
	par.dy_off = dy_off
	par.dz_off = dz_off
	
	IF ra EQ -99. AND dec EQ -99. AND roll EQ -99. THEN BEGIN
	   MESSAGE, /INFO, $
	   	'Astronomical coordinates are missed in data, returning'
	   ERROR = 1
	   RETURN
	ENDIF

	IF not KEYWORD_SET(GROUP) THEN group=!pia_top_wid


	base = WIDGET_BASE(TITLE="PIA pointing offset correction", /COLUMN, $
			 Group=group)
	

	label = WIDGET_LABEL(base, $
		VAL='Observation parameters:')

	imbas = WIDGET_BASE(base, /ROW)
			

	label = WIDGET_LABEL(imbas, $
		VAL='RA: ' + STRTRIM(ra,2) + '   ')

	label = WIDGET_LABEL(imbas, $
		VAL='DEC: ' + STRTRIM(dec,2) + '   ')

	label = WIDGET_LABEL(imbas, $
		VAL='ROLL: ' + STRTRIM(roll,2))

	label = WIDGET_LABEL(base, $
		VAL=' ')

	label = WIDGET_LABEL(base, $
		VAL='Intended parameters:')

	imbas = WIDGET_BASE(base, /ROW)
			

	label = WIDGET_LABEL(imbas, $
		VAL='RA: ' + STRTRIM(ra_int,2) + '   ')

	label = WIDGET_LABEL(imbas, $
		VAL='DEC: ' + STRTRIM(dec_int,2) + '   ')

	label = WIDGET_LABEL(base, $
		VAL='    ')
	label = WIDGET_LABEL(base, $
		VAL='    ')


	bbase = WIDGET_BASE(base, /COLUMN, /FRAME)
	label = WIDGET_LABEL(bbase, $
		VAL='You can change all the following parameters ')
	label = WIDGET_LABEL(bbase, $
		VAL='(Please take into account that the shown ')
	label = WIDGET_LABEL(bbase, $
		VAL='Delta Y and Z will be used for the corrections)')
	label = WIDGET_LABEL(bbase, $
		VAL='    ')
		
	imbas = WIDGET_BASE(bbase, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Object RA position (dec. degrees): ', $
		 /ALIGN_LEFT)
	posra_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(ra_int,2), $
		XSIZE=12, UVAL='CHANGE')

	imbas = WIDGET_BASE(bbase, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Object DEC position (dec.degrees): ', $
		 /ALIGN_LEFT)
	posdec_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(dec_int,2), $
		XSIZE=12, UVAL='CHANGE')
	der_id = WIDGET_BUTTON(bbase, $
		VAL=" Derive Deltas from RA and DEC", UVA="DERDELTA" )
	
		
	imbas = WIDGET_BASE(bbase, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Offset Delta Y ["]            : ', $
		 /ALIGN_LEFT)
	resdely_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(dy_off,2), $
		XSIZE=12, UVAL='CHANGE')
	
	imbas = WIDGET_BASE(bbase, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Offset Delta Z ["]            : ', $
		 /ALIGN_LEFT)
	resdelz_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(dz_off,2), $
		XSIZE=12, UVAL='CHANGE')
	der_id = WIDGET_BUTTON(bbase, $
		VAL=" Derive RA and DEC from Deltas ", UVA="DERRADEC" )
	
	label = WIDGET_LABEL(base, $
		VAL=' ')
	label = WIDGET_LABEL(base, $
		VAL='Offset corrections:')

 	imbas = WIDGET_BASE(base, /ROW)
	c_id = WIDGET_BUTTON( imbas,  VAL="      Calculate       ", $
		UVA="CORRECT" )
	p_id = WIDGET_BUTTON( imbas,  VAL="   Plot corrections   ", $
		UVA="PLOT" )

	label = WIDGET_LABEL(base, $
		VAL='Obtained Data:')
 	imbas = WIDGET_BASE(base, /ROW)
	ps_id = WIDGET_BUTTON( imbas, VAL="  Plot Corr. Spectrum ", $
		UVA="PLOTS" )
	s_id = WIDGET_BUTTON( imbas,  VAL=" Corr. Data -> buffer ", $
		UVA="SAVE" )

	WIDGET_CONTROL, p_id, SENSITIVE=0
	WIDGET_CONTROL, ps_id, SENSITIVE=0
	WIDGET_CONTROL, s_id, SENSITIVE=0
	
	quit_id = WIDGET_BUTTON( base, VAL=" Quit ", UVA="QUIT" )

	id = {posra_id:posra_id, posdec_id:posdec_id, p_id:p_id, s_id:s_id,$
		rdy_id:resdely_id, rdz_id:resdelz_id, ps_id:ps_id}
		
	hsave = HANDLE_CREATE()
	
	hid = 	HANDLE_CREATE( hsave,  VALUE=id )
	hpar = 	HANDLE_CREATE( hsave,  VALUE=par )
	
	HANDLE_VALUE, hsave, {hid:hid, hpar:hpar}, /SET
	
	WIDGET_CONTROL, base, /REALIZE, SET_UVALUE=hsave
	
	xMANAGER,No_BLOCK=1, "PIA_Correct_s_offset", base, GROUP=group
	
	RETURN
	END
	
	
	
	

