;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_def_biweight
;
; PURPOSE:
;	Simple widget I/F for defining !BIWEIGHTS_C and !BIWEIGHTS_S 
;	(using bi_weighted means or not for chopped and staring case) 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_def_noweight
;
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	May 2002
;	Version 5.x
;-

; ****************************************************************************
;  PIA_def_noweight 
; ****************************************************************************

PRO pia_def_biweight


        junkbase = WIDGET_BASE(TITLE=$
          'Using Biweight mean for mean computations ', $
            /COLUMN, XSIZE=500)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, $
	  VAL='PIA can use bi-weight means instead of weighted/simple means ', $
		UVAL='JUNK')

	jun2base = WIDGET_BASE(junkbase, /COLUMN, /FRAME, /EXCLUSIVE)
	buton = WIDGET_BUTTON(jun2base, $
		VAL='USE biweight mean for chopped case', UVAL='C_USE')
	butoff = WIDGET_BUTTON(jun2base, $
		VAL="Don't USE biweight mean for chopped case", UVAL='C_NOUSE')

	jun2base = WIDGET_BASE(junkbase, /COLUMN, /FRAME, /EXCLUSIVE)
	sbuton = WIDGET_BUTTON(jun2base, $
		VAL='USE biweight mean for staring case', UVAL='S_USE')
	sbutoff = WIDGET_BUTTON(jun2base, $
		VAL="Don't USE biweight mean for staring case", UVAL='S_NOUSE')

	corig = 0
	DEFSYSV, '!BIWEIGHT_C', exists=exi
	IF exi THEN BEGIN
	   IF !BIWEIGHT_C THEN WIDGET_CONTROL, buton, /SET_BUTTON $
	    ELSE WIDGET_CONTROL, butoff, /SET_BUTTON 
	   corig = !BIWEIGHT_C
	ENDIF ELSE WIDGET_CONTROL, buton, /SET_BUTTON 

	sorig = 1
	DEFSYSV, '!BIWEIGHT_S', exists=exi
	IF exi THEN BEGIN
	   IF !BIWEIGHT_S THEN WIDGET_CONTROL, sbuton, /SET_BUTTON $
	    ELSE WIDGET_CONTROL, sbutoff, /SET_BUTTON 
	   sorig = !BIWEIGHT_S
	ENDIF ELSE WIDGET_CONTROL, sbutoff, /SET_BUTTON 

	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue
	IF uvalue EQ 'C_USE' THEN defsysv, '!BIWEIGHT_C', 1
	IF uvalue EQ 'C_NOUSE' THEN defsysv, '!BIWEIGHT_C', 0
	IF uvalue EQ 'S_USE' THEN defsysv, '!BIWEIGHT_S', 1
	IF uvalue EQ 'S_NOUSE' THEN defsysv, '!BIWEIGHT_S', 0
	
	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   defsysv, '!BIWEIGHT_C', corig
	   defsysv, '!BIWEIGHT_S', sorig
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE BEGIN
          GOTO, WAITING
        ENDELSE

END

