;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_def_corrcoor
;
; PURPOSE:
;	Simple widget I/F for defining !CORRCOOR (using corrected coord or not) 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_def_corrcoor
;
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	September 1997
;	Version 6.5
;-

; ****************************************************************************
;  PIA_def_corrcoor 
; ****************************************************************************

PRO pia_def_corrcoor


        junkbase = WIDGET_BASE(TITLE=$
          'Use of astronomical coordinates ', $
            /COLUMN, XSIZE=500)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, $
		VAL='PIA uses the corrected astron. coordinates by default ', $
		UVAL='JUNK')

	jun2base = WIDGET_BASE(junkbase, /COLUMN, /FRAME, /EXCLUSIVE)
	buton = WIDGET_BUTTON(jun2base, $
		VAL='USE corrected astronomical coordinates', UVAL='USE')
	butoff = WIDGET_BUTTON(jun2base, $
		VAL="USE the uncorrected coordinates", UVAL='NOUSE')

	orig = 0
	DEFSYSV, '!CORRCOOR', exists=exi
	IF exi THEN BEGIN
	   DEFSYSV, '!CORRCOOR', !CORRCOOR
	   IF !CORRCOOR THEN WIDGET_CONTROL, butoff, /SET_BUTTON $
	    ELSE WIDGET_CONTROL, buton, /SET_BUTTON 
	   orig = !CORRCOOR
	ENDIF ELSE WIDGET_CONTROL, buton, /SET_BUTTON 

	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue
	IF uvalue EQ 'USE' THEN defsysv, '!CORRCOOR', 0
	IF uvalue EQ 'NOUSE' THEN defsysv, '!CORRCOOR', 1
	
	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   defsysv, '!CORRCOOR', orig
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE BEGIN
          GOTO, WAITING
        ENDELSE

END

