;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_def_ffield
;
; PURPOSE:
;	Simple widget I/F for defining !PIA_FFUSE (using external flat field) 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_def_ffield
;
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	June 1997
;	Version 6.3
;	Change nomenclature (external ff to filter2filter) CG - Jul99
;	V7.9
;-

; ****************************************************************************
;  PIA_def_ffield 
; ****************************************************************************

PRO pia_def_ffield


        junkbase = WIDGET_BASE(TITLE=$
          'Filter to filter ("Ext.FF") corrections ', $
            /COLUMN, XSIZE=500)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, $
		VAL='PIA can use Filter2filter ("Ext.FF") corrections ', $
		UVAL='JUNK')

	jun2base = WIDGET_BASE(junkbase, /COLUMN, /FRAME, /EXCLUSIVE)
	butoff = WIDGET_BUTTON(jun2base, $
		VAL="Don't USE Filter2filter", UVAL='NOUSE')
	buton = WIDGET_BUTTON(jun2base, $
		VAL="USE Filter2filter", UVAL='USE')

	orig = 0
	DEFSYSV, '!PIA_FFUSE', exists=exi
	IF exi THEN BEGIN
	   IF !PIA_FFUSE THEN WIDGET_CONTROL, buton, /SET_BUTTON $
	    ELSE WIDGET_CONTROL, butoff, /SET_BUTTON 
	   orig = !PIA_FFUSE
	ENDIF ELSE WIDGET_CONTROL, butoff, /SET_BUTTON 

	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue
	IF uvalue EQ 'USE' THEN defsysv, '!PIA_FFUSE', 1
	IF uvalue EQ 'NOUSE' THEN defsysv, '!PIA_FFUSE', 0
	
	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   defsysv, '!PIA_FFUSE', orig
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE BEGIN
          GOTO, WAITING
        ENDELSE

END

