;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_def_plot_limits
;
; PURPOSE:
;	Simple widget I/F for defining !PIA_PLOT_LIMIT and !PIA_XPLOT_LIMIT
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_def_plot_limits
;
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	January 1998
;	Version 7.0
;-

; ****************************************************************************
;  PIA_def_plot_limits
; ****************************************************************************

PRO pia_def_plot_limits


        junkbase = WIDGET_BASE(TITLE=$
          'Limiting the number of elements in plots ', $
            /COLUMN)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, $
		VAL='PIA can limit the number of elements in plots ', $
		UVAL='JUNK')

	plot1base = WIDGET_BASE(junkbase, /COLUMN, /FRAME)
	label = WIDGET_LABEL(plot1base, VAL='Limits for plots in MAIN windows: ')

	plot2base = WIDGET_BASE(plot1base, /ROW)
	label = WIDGET_LABEL(plot2base, VAL='From element ')
	plotll = WIDGET_TEXT(plot2base, /EDITABLE, $
		VAL=STRTRIM(!PIA_PLOT_LIMIT(0),2), UVAL='junk', XSIZE=6)
	label = WIDGET_LABEL(plot2base, VAL='to ')
	plotul = WIDGET_TEXT(plot2base, /EDITABLE,$
		VAL=STRTRIM(!PIA_PLOT_LIMIT(1),2), UVAL='junk', XSIZE=6)


	xplot1base = WIDGET_BASE(junkbase, /COLUMN, /FRAME)
	label = WIDGET_LABEL(xplot1base, VAL='Limits for plots in ZOOM windows: ')

	xplot2base = WIDGET_BASE(xplot1base, /ROW)
	label = WIDGET_LABEL(xplot2base, VAL='From element ')
	xplotll = WIDGET_TEXT(xplot2base, /EDITABLE,$
		VAL=STRTRIM(!PIA_xPLOT_LIMIT(0),2), UVAL='junk', XSIZE=6)
	label = WIDGET_LABEL(xplot2base, VAL='to ')
	xplotul = WIDGET_TEXT(xplot2base, /EDITABLE,$
		VAL=STRTRIM(!PIA_xPLOT_LIMIT(1),2), UVAL='junk', XSIZE=6)



	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue
	
	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, plotll, GET_VALUE=plotll
	   WIDGET_CONTROL, plotul, GET_VALUE=plotul
	   WIDGET_CONTROL, xplotll, GET_VALUE=xplotll
	   WIDGET_CONTROL, xplotul, GET_VALUE=xplotul
	   plotll = FIX(plotll(0)) & plotul = FIX(plotul(0)) 
	   xplotll = FIX(xplotll(0)) & xplotul = FIX(xplotul(0)) 
	   IF plotul(0) LT plotll(0) OR xplotul(0) LT xplotll(0) THEN BEGIN
	      PRINT, STRING(7B), ' Not accepted values'
	   ENDIF ELSE BEGIN
	      !PIA_PLOT_LIMIT = [plotll,plotul]
	      !PIA_XPLOT_LIMIT = [xplotll,xplotul]
	   ENDELSE
	   
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE BEGIN
          GOTO, WAITING
        ENDELSE

END

