;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_def_resporb
;
; PURPOSE:
;	Simple widget I/F for defining how the orbital dependant default 
;	responsivity has to be taken 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_def_resporb
;
;	
; COMMON BLOCKS:
;	phtresporb
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	January 1998
;	Version 7.0
;-

; ****************************************************************************
;  PIA_def_resporb
; ****************************************************************************

PRO pia_def_resporb
@phtresporb


        junkbase = WIDGET_BASE(TITLE=$
          'How to apply orbit default responsivity calculation', $
            /COLUMN, XSIZE=500)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, $
	 VAL='PIA can calculate default responsivity interpolated for every measurement', $
		UVAL='JUNK')

	jun2base = WIDGET_BASE(junkbase, /COLUMN, /FRAME, /EXCLUSIVE)
	butmeas = WIDGET_BUTTON(jun2base, $
		VAL="Interpolate one value for whole measurement", UVAL='MEAS')
	butaot = WIDGET_BUTTON(jun2base, $
		VAL="Use central AOT value (pipeline mode)", UVAL='AOT')

;check if dark current cal-G files have been read 
	IF N_ELEMENTS(respprom) EQ 0 THEN BEGIN
	 respprom = 1
	 respproaot = 0
	ENDIF

	orig_m = respprom
	orig_aot = respproaot
	IF respprom THEN $
	WIDGET_CONTROL, butmeas, /SET_BUTTON  ELSE $
	WIDGET_CONTROL, butaot, /SET_BUTTON

	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	CASE uvalue OF
	'MEAS': BEGIN
	    respprom=1 & respproaot=0
	END
	'AOT': BEGIN
	    respprom=0 & respproaot=1
	END
	'OK': BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        END
	'CANCEL': BEGIN
	   respprom=orig_m & respproaot=orig_aot
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        END
	ELSE:
	ENDCASE
	
	GOTO, WAITING

END

