PRO pia_drizzle_if_event, event

	WIDGET_CONTROL, event.id, GET_UVALUE=action
	WIDGET_CONTROL, event.top, GET_UVALUE=hsave
	HANDLE_VALUE, hsave, save

	; get the widget IDs and program parameters
	HANDLE_VALUE, save.hid, id
	HANDLE_VALUE, save.hpar, par
	
	CASE ACTION of
	
	   'QUIT': BEGIN
	   	WIDGET_CONTROL, id.imnam_id, GET_VALUE=val
		par.name = val(0)
	   	WIDGET_CONTROL, id.scale_id, GET_VALUE=val
		par.scale = val(0)
	   	WIDGET_CONTROL, id.pixx_id, GET_VALUE=val
		par.pixsize(0) = val(0)
	   	WIDGET_CONTROL, id.pixy_id, GET_VALUE=val
		par.pixsize(1) = val(0)
	   	WIDGET_CONTROL, id.posang_id, GET_VALUE=val
		par.rota = val(0)
	   	WIDGET_CONTROL, id.dropf_id, GET_VALUE=val
		par.dropf = val(0)
	   	WIDGET_CONTROL, id.rac_id, GET_VALUE=val
		par.rac = val(0)
	   	WIDGET_CONTROL, id.decc_id, GET_VALUE=val
		par.decc = val(0)
	   	WIDGET_CONTROL, id.imext_id, GET_VALUE=val
		par.imext = val(0)
;	   	WIDGET_CONTROL, id.ignpix_id, GET_VALUE=val
		
		WIDGET_CONTROL, event.top, /DESTROY
		
	   END
	   
	   'CANCEL': BEGIN
	        par.error = 1
		WIDGET_CONTROL, event.top, /DESTROY
	   END

	   'TYPE': par.type = event.value

	   'VAL': par.val = event.value
	   
	   'EVPIX': par.evpix = event.value
	   
	   'PROJ': par.proj = event.value

	   'COOR': par.sccoor = event.value

	   'FITS': par.fits = event.value

	   ELSE:
	ENDCASE
	
	HANDLE_VALUE, hsave, save

	; get the widget IDs and program parameters
	HANDLE_VALUE, save.hpar, par, /SET
	HANDLE_VALUE, hsave, save, /SET
	
	RETURN
	END	

PRO pia_drizzle_if, par_out, GROUP=group


	par = {name:'', pixsize:[0.,0.], rac:0., decc:0., imext:0, $
		type:0, val:0, evpix:0, proj:0, sccoor:0, $
		fits:1, scale:0.5, rota:0., dropf:0.65, error:0 }
		
	IF not KEYWORD_SET(GROUP) THEN group=!pia_top_wid


	base = WIDGET_BASE(TITLE="PIA-IRAF Drizzle I/F menu", /COLUMN, $
			/modal, Group=group)
			
	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Name of IRAF map to be created:', $
		XSIZE=250, /ALIGN_LEFT)
	imnam_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=12, UVAL='junk')
	label = WIDGET_LABEL(imbas, VAL='If empty, default name')

	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Ratio image / detector pixsize:', $
		XSIZE=250, /ALIGN_LEFT)
	scale_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(par.scale,2), $
	        XSIZE=12, UVAL='junk')

	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Image pixel size (arcsec):', $
		XSIZE=250, /ALIGN_LEFT)
	pixx_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=4, UVAL='junk')
	pixy_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=4, UVAL='junk')
	label = WIDGET_LABEL(imbas, VAL='If not given, Ratio image/det taken')

	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Rotation angle (N thr E) wrt RA-DEC:', $
		XSIZE=250, /ALIGN_LEFT)
	posang_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(par.rota,2), $
		XSIZE=12, UVAL='junk')

	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Drizzle drop factor:', $
		XSIZE=250, /ALIGN_LEFT)
	dropf_id = WIDGET_TEXT(imbas, /EDITABLE, VAL=STRTRIM(par.dropf,2), $
		XSIZE=12, UVAL='junk')

	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Predefined RA-DEC center:', $
		XSIZE=250, /ALIGN_LEFT)
	rac_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=5, UVAL='junk')
	decc_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=5, UVAL='junk')
	label = WIDGET_LABEL(imbas, VAL='If empty, observation center')
	
	imbas = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(imbas, VAL='Increase nr of pixels in image:', $
		XSIZE=250, /ALIGN_LEFT)
	imext_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=12, UVAL='junk')

;	imbas = WIDGET_BASE(base, /ROW)
;	label = WIDGET_LABEL(imbas, VAL='Ignore detector pixels for image:', $
;		XSIZE=250, /ALIGN_LEFT)
;	ignpix_id = WIDGET_TEXT(imbas, /EDITABLE, VAL='', XSIZE=12, UVAL='junk')
;	label = WIDGET_LABEL(imbas, VAL='Example: 1,2,4  ')
	
	
	imbas = WIDGET_BASE(base, /ROW)
	type = CW_BGROUP(imbas, LABEL_TOP='Output map unit:', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.type, $
		UVAL='TYPE', ["Flux [Jy]", "Surf.Br. [MJy/sr]"])
		
	type = CW_BGROUP(imbas, LABEL_TOP='Use as input:', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.val, $
		UVAL='VAL', ["Avrg.", "Median"])
		
	imbas = WIDGET_BASE(base, /ROW)
	type = CW_BGROUP(imbas, LABEL_TOP='1 Map per pixel?', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.evpix, $
		UVAL='EVPIX', ["No", "Yes"])
		
	type = CW_BGROUP(imbas, LABEL_TOP='Projection', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.proj, $
		UVAL='PROJ', ["Simple", "Gnomonic"])
		
	type = CW_BGROUP(imbas, LABEL_TOP='Align to S/C?', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.sccoor, $
		UVAL='COOR', ["No", "Yes"])
		
	type = CW_BGROUP(imbas, LABEL_TOP='Produce FITS file', $
		/EXCLUSIVE, /FRAME, COLUMN=2, SET_VALUE=par.fits, $
		UVAL='FITS', ["No", "Yes"])
			

	imbas = WIDGET_BASE(base, /ROW)
	quit = WIDGET_BUTTON( imbas, VAL="   Quit   ", UVA="QUIT" )
	quit = WIDGET_BUTTON( imbas, VAL="  Cancel  ", UVA="CANCEL" )

	id = {imnam_id:imnam_id, scale_id:scale_id, pixx_id:pixx_id, $
		pixy_id:pixy_id, $
		posang_id:posang_id, dropf_id:dropf_id, rac_id:rac_id, $
		decc_id:decc_id, imext_id:imext_id}
		
		  ;;;; , ignpix_id:ignpix_id, $
		  ;;;;  detff_id:detff_id} 
	
	hsave = HANDLE_CREATE()
	
	hid = 	HANDLE_CREATE( hsave,  VALUE=id )
	hpar = 	HANDLE_CREATE( hsave,  VALUE=par )
	
	HANDLE_VALUE, hsave, {hid:hid, hpar:hpar}, /SET
	
	WIDGET_CONTROL, base, /REALIZE, SET_UVALUE=hsave
	
	xMANAGER,No_BLOCK=1, "PIA_DRIZZLE_IF", base, GROUP=group
	
	handle_value, hsave, save
	handle_value, save.hpar, par_out
	
	RETURN
	END
	
