;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_factor
;
; PURPOSE:
;	Ask the interactive user for a factor, and pass it back to the PIA 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_factor, anythin, anythout
;
; INPUTS:
;	anythin:
;		A string indicating what is the calling routine looking for
; 	
; KEYWORD PARAMETERS:
;	proposal:
;		Output proposed
;	
; OUTPUT:
;	anythout:
;		The factor chosen by the user
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	September 1995
;	Oct 95 Version 3.5
;-

; ****************************************************************************
;  PIA_write_anything - menu definition procedure
; ****************************************************************************

PRO pia_factor, anythin, anythout, proposal


        junkbase = WIDGET_BASE(TITLE=$
          'Factor for '+anythin, /COLUMN, XSIZE=500)
        

	jun2base = WIDGET_BASE(junkbase, /ROW)
	FOR i=0, N_ELEMENTS(proposal)-1 DO BEGIN
          button = WIDGET_BUTTON(jun2base, $
          		VALUE=STRING(proposal(i)), UVALUE='JUNK')
	ENDFOR
	jun2base = WIDGET_BASE(junkbase, /ROW)
	junk = WIDGET_LABEL(jun2base, VAL='Value chosen:  ', UVAL='JUNK')
	text_id = WIDGET_TEXT(jun2base, VAL='  ',UVAL='JUNK')

	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
	anythout = 0
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_VALUE=value
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   anythout = 0
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE BEGIN
	  anythout = FIX(value(0))
	  WIDGET_CONTROL, text_id, SET_VALUE=STRING(anythout)
          GOTO, WAITING
        ENDELSE

END

