;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_GET_STEP
;
; PURPOSE:
;	Simple Menu for choosing a chopper step from a list
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_get_step, steps
;
; INPUTS:
;	STEPS
;		Number of chopper steps
;	
; KEYWORD PARAMETERS:
;	GROUP
;		The group leader of the widget hirarchy;	
;
; OUTPUTS:
;	STEPS
;		The step chosen
;	
; METHOD:
;	Widgets
;	
; COMMON BLOCKS:
;	none	
;
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/ESTEC)		October 1994
;	Oct 95 Version 3.5
;-

; ****************************************************************************
;  PIA_get_step - menu definition procedure
; ****************************************************************************

PRO pia_get_step, steps, GROUP=group


        base = WIDGET_BASE(TITLE = 'Chopper Steps choice', /column, xsize=400)


        label = WIDGET_LABEL(base, VALUE='Choose the step to be plotted')

	list = 'Chopper Step 1'
	FOR I=2,steps DO list = [list,'Chopper Step '+strtrim(string(i),2)]

	junk = WIDGET_LIST(base, VALUE=list, YSIZE=5)

	WIDGET_CONTROL, base, /REALIZE


	event = WIDGET_EVENT(BASE)

	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	steps = event.index + 1

	WIDGET_CONTROL, base, /DESTROY

        RETURN
END

