PRO pia_plot_spectra, flux, unc, type=type, wtype=wtype, ra=ra, dec=dec, $
	overplot=overplot, flagged=flagged

@phtslwavlen

	IF not KEYWORD_SET(type) THEN type = 0
	IF not KEYWORD_SET(flagged) THEN flagged=FIX(flux*0.) ELSE $
			flagged=FIX(flagged / 2) 
		
	IF not KEYWORD_SET(overplot) THEN overplot = 0
	
	IF wtype EQ 0 THEN wavlen = slwavelen(0:63) ELSE $
	if wtype EQ 1 THEN wavlen = slwavelen(64:127) ELSE $
	wavlen = slwavelen
	
	IF KEYWORD_SET(ra) AND KEYWORD_SET(dec) THEN BEGIN
		RADEC, ra, dec, rh, rm, rs, dd, dm, ds
		IF dec LT 0 THEN BEGIN
			dd = -ABS(dd)
			dm = ABS(dm)
			ds = ABS(ds)
		ENDIF
		sra = STRING(rh,rm,rs,FORMAT="(I2,'h ',I2,'m ',I2,'s')")
		sdec = STRING(dd,dm,ds,FORMAT="(I3,'d ',I2,'m ',I2,'s')")
	  STRRADEC = '-RA: ' + sra + ' -DEC: ' + sdec + '-' 
	ENDIF ELSE STRRADEC = ''
	 
	xtitle = ' !4k 	   [l!3m]'
	CASE type of
	
	0: BEGIN
	    title = ' Flux Density ' + STRRADEC 
	    ytitle = ' Flux Density        [Jy]'
	   END
	1: BEGIN
; Convert Fnu to Flambda
		light_sp = 299792500D0
		conv_fct = light_sp / wavlen^2 * 1.e-20
		flux = flux * conv_fct
		unc = unc * conv_fct
	    
	    title = ' Flux Density ' + STRRADEC 
	    ytitle = ' Flux Density      [W/m^2/!4l!3m]'
	   END
	2: BEGIN
	    title = '    Surface Brightness ' +  STRRADEC 
	    ytitle = '    Surface Brightness      [MJy/sr]'
	   END
	3: BEGIN
	    title = ' Median Flux Density ' + STRRADEC 
	    ytitle = ' Median Flux Density        [Jy]'
	   END
	4: BEGIN
; Convert Fnu to Flambda
		light_sp = 299792500D0
		conv_fct = light_sp / wavlen^2 * 1.e-20
		flux = flux * conv_fct
		unc = unc * conv_fct
	    
	    title = ' Median Flux Density ' + STRRADEC 
	    ytitle = ' Median Flux Density      [W/m^2/!4l!3m]'
	   END
	5: BEGIN
	    title = '  Median Surface Brightness ' +  STRRADEC 
	    ytitle = '  Median Surface Brightness      [MJy/sr]'
	   END
	     
	ELSE: RETURN
	ENDCASE
	pia_xplot, wavlen, flux, unc, title=title, flagged=flagged, $
		ytitle=ytitle, xtitle=xtitle, annotation=title+ytitle, $
		legend=title, overplot=overplot
	RETURN
	END
