;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_PRINT_UM
;
; PURPOSE:
;	Send the full User Manual to the printer
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_PRINT_UM
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;	(none)
;
; PROCEDURES USED:
;	PIA Procedure(s):
;		print_um (unix script)
;		print_um.com (VMS command)
;
; COMMON BLOCKS:
; MODIFICATION HISTORY:
;	Written by:		C. Gabriel, ESA/VILSPA		July 1996
;	Printing now TeX - PS files (CG)			June 1998
;	V7.2
;-
PRO PIA_PRINT_UM_EVENT, event



	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	CASE uvalue of

	   
	   'OK': BEGIN

		WIDGET_CONTROL, event.top, /hourglass
	   	WIDGET_CONTROL, event.top, GET_UVALUE=hsave
		HANDLE_VALUE, hsave, psave
		WIDGET_CONTROL, psave.printer, GET_VALUE=cmd
		spawn, cmd(0) 

		WIDGET_CONTROL, event.top, /DESTROY		 
 		 
 	  END
 	  
 	  'QUIT': WIDGET_CONTROL, event.top, /DESTROY
 	  
 	  ELSE:
 	  
 	ENDCASE
 	  
 	RETURN
 	END	
		
;;;;;;;;;;;;;;;               The menu routine      ;;;;;;;;;;;;;;;;;;;;;;	
	     

PRO PIA_PRINT_UM



	
	base = WIDGET_BASE(TITLE="PIA Print full user manual", /COLUMN)
	
	parbase = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(parbase, XSIZE = 250, $
		VALUE='Sure you want to print ~ 200 pages?: ')

	psprinter = getenv('pslaser')
	parbase = WIDGET_BASE(base, /ROW)
	label = WIDGET_LABEL(parbase, $
		VALUE='Print command to be used: ')
	
	command = 'lpr -P' + psprinter + ' $PIA_HTML/um/ps_tex/*.ps'
	
	printer = WIDGET_TEXT(parbase, /EDITABLE, VALUE = command, XSIZE=40, $
		UVALUE='JUNK')
	
	label = WIDGET_LABEL(base,  $
	 VALUE='To print the html PS version replace .../ps_tex/ by .../ps/')

	cont_base = WIDGET_BASE(base, /ROW)
	
	test_id = WIDGET_BUTTON(cont_base, VALUE='   OK  ', UVALUE='OK')
	
	quit_id = WIDGET_BUTTON(cont_base, VALUE= '  Cancel ', $
		UVALUE= 'QUIT')


	psave = {printer:printer}
	
	hsave = HANDLE_CREATE()
	HANDLE_VALUE, hsave, psave, /SET, /NO_COPY

        WIDGET_CONTROL, base, /REALIZE, TLB_SET_XOFFSET=150, $
                        TLB_SET_YOFFSET=150, SET_UVALUE=hsave

        xMANAGER,No_BLOCK=1, "pia_print_um", base, GROUP=group
	
        RETURN
END
	
