; ***************************************************************************
; PIA_SELECT_PIXELS_EVENT  -  event handling routine for PIA_SELECT_PIXELS
;****************************************************************************

PRO PIA_SELECT_PIXELS_EVENT, event

COMMON PIA_SELECT_PIXELS_CMN, pixselect

	WIDGET_CONTROL, event.id, GET_UVALUE=action
	WIDGET_CONTROL, event.top, GET_UVALUE=hsave
	HANDLE_VALUE, hsave, save

	; get the widget IDs and program parameters
	HANDLE_VALUE, save.hid, idpsel

	CASE action OF 
	
	  'OK': BEGIN
		WIDGET_CONTROL, idpsel.pixbase, GET_UVALUE=pixselect 
		ind = WHERE(pixselect EQ 0, count)
		IF count GT 0 THEN $
		   ind4 = WHERE(ind EQ 4, count4) ELSE count4 = 0

		  
		IF (count GT 2 AND idpsel.pixnr LT 5) or count4 NE 0 THEN $
		 PIA_DISP_PRINT_FILE, "", $
                	TITLE = "Not acceptable choice ", $
                	WIDTH = 60, $
                	HEIGHT = 6, $
                	TEXT = ["It is not allowed to discard more ",$
                		"than 2 pixels by C200 or  ", $
                		"to discard the central C100 pixel "] ELSE $
 		WIDGET_CONTROL, event.top, /DESTROY

		END
	   ELSE: CASE STRMID(action,0,3) OF

		'SEL':	BEGIN
			CASE STRMID(action,3,1) OF

			'A':	BEGIN
				FOR i = 0,idpsel.pixnr-1 DO $
					WIDGET_CONTROL, idpsel.pixselect(i), $
						SET_BUTTON=1
				WIDGET_CONTROL, idpsel.pixbase, $
					SET_UVALUE=[1,1,1,1,1,1,1,1,1]
				END

			'N':	BEGIN
				FOR i = 0,idpsel.pixnr-1 DO $
					WIDGET_CONTROL, idpsel.pixselect(i), $
						SET_BUTTON=0
				WIDGET_CONTROL, idpsel.pixbase, $
					SET_UVALUE=[0,0,0,0,0,0,0,0,0]
				END

			ELSE:	BEGIN
				i = FIX(STRMID(action,3,1)) - 1
				WIDGET_CONTROL, idpsel.pixbase, $
					GET_UVALUE=pixselect
				pixselect(i) = event.select

				WIDGET_CONTROL, idpsel.pixbase, $
					SET_UVALUE=pixselect
				END

			ENDCASE
			END

		ELSE:
		ENDCASE
	ELSE:
	ENDCASE
	RETURN
	END
	  	




PRO PIA_SELECT_PIXELS, npixels, det=det, GROUP=group

; define widget IDs

	idpsel = { $
		pixbase:0L,	$
		pixselect:[0L,0L,0L,0L,0L,0L,0L,0L,0L],	$
		pixnr: npixels	$
	}

	IF not KEYWORD_SET(group) THEN group = !pia_top_wid

	IF KEYWORD_SET(det) THEN title=det + ' Pixels Selection' ELSE $
				 title='General Pixels Selection
	pixbase = WIDGET_BASE(TITLE=title, /COLUMN, /MODAL, group=group )
	
	id_0 = WIDGET_LABEL( pixbase, VAL="Select detector pixels:" )
	id_0 = WIDGET_BASE( pixbase, /ROW )
	id_1 = WIDGET_BUTTON( id_0, VAL="Select all", UVA="SELA" )
	id_1 = WIDGET_BUTTON( id_0, VAL="Deselect all", UVA="SELN" )

	idpsel.pixbase = WIDGET_BASE( pixbase, /NONEXCLUSIVE, $
						UVAL=idpsel.pixselect )
	FOR i = 1,npixels DO BEGIN
		pstr = 'Pixel # ' + STRING(i)
		uv = 'SEL'+STRTRIM(i,2)
		idpsel.pixselect(i-1) = WIDGET_BUTTON(idpsel.pixbase, $
					VAL=pstr, UVAL=uv )
	ENDFOR


	quit = WIDGET_BUTTON(pixbase, VAL=" OK ", UVAL='OK')
; store program parameters

	hsave = HANDLE_CREATE()
	hid = HANDLE_CREATE( hsave,  VALUE=idpsel )
	HANDLE_VALUE, hsave, $
		{ hid:hid}, /SET
	


	WIDGET_CONTROL, idpsel.pixbase, $
					SET_UVALUE=[1,1,1,1,1,1,1,1,1]
	WIDGET_CONTROL, pixbase, /REALIZE, SET_UVALUE=hsave
	FOR i=0,npixels-1 DO $
		WIDGET_CONTROL, idpsel.pixselect(i), SET_BUTTON = 1
	
	xMANAGER,No_BLOCK=1, "PIA_SELECT_PIXELS", pixbase, GROUP=group
	RETURN
	END
