;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_WRITE_ANYTHING
;
; PURPOSE:
;	Ask the interactive user for a string, and pass it back to the PIA 
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_write_anything, anythin, anythout
;
; INPUTS:
;	anythin:
;		A string indicating what is the calling routine looking for
; 	
; KEYWORD PARAMETERS:
;	proposal:
;		Output proposed
;	
; OUTPUT:
;	anythout:
;		The string given by the user
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/VILSPA-SAI)	September 1995
;	Oct 95 Version 3.5
;-

; ****************************************************************************
;  PIA_write_anything - menu definition procedure
; ****************************************************************************

PRO pia_write_anything, anythin, anythout, proposal=proposal


        junkbase = WIDGET_BASE(TITLE=$
          'Text input', /COLUMN)

        junkbase2 = WIDGET_BASE(junkbase, /ROW)

	label= WIDGET_LABEL(junkbase2,VAL=anythin+':')
	IF KEYWORD_SET(proposal) THEN   valtxt = proposal ELSE $
					valtxt = anythin+'?'
        text = WIDGET_TEXT(junkbase2, /EDITABLE, VALUE=valtxt, $
			UVALUE='JUNK')
	jun2base = WIDGET_BASE(junkbase, /ROW)
	ok = WIDGET_BUTTON(jun2base, VALUE=' OK ', UVALUE='OK')
 	cancel = WIDGET_BUTTON(jun2base, VALUE=' Cancel ', UVALUE='CANCEL')
       WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, text, GET_VALUE=anythout
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
	ENDIF ELSE IF uvalue EQ 'CANCEL' THEN BEGIN
	   anythout = ''
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE GOTO, WAITING

END

