;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_WRITE_AUTHOR
;
; PURPOSE:
;	Ask for a string to be quoted as "author" (needed by some output files)
;
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_write_author, author
;
; INPUTS:
;	none
;	
; KEYWORD PARAMETERS:
;	none
;
; OUTPUT:
;	author:
;		The string "author"
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by: C.Gabriel (ESA/ESTEC-SAI)		April 1995
;	Oct 95 Version 3.5
;-

; ****************************************************************************
;  PIA_write_author - menu definition procedure
; ****************************************************************************

PRO pia_write_author, author


        junkbase = WIDGET_BASE(TITLE=$
          'Author to be added as AUTHOR keyword', /COLUMN,XSIZE=600)

        text = WIDGET_TEXT(junkbase, /EDITABLE, VALUE='Author?', YSIZE=10, $
			UVALUE='JUNK')
	ok = WIDGET_BUTTON(junkbase, VALUE=' OK ', UVALUE='OK')
        WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, text, GET_VALUE=author
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE GOTO, WAITING

END

