;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_WRITE_COMMENT
;
; PURPOSE:
;	Ask for a string array to be quoted as "comment" (needed by some output
;	files)
;	
; CATEGORY:
;	PIA - graphics
;
; CALLING SEQUENCE:
;	PIA_write_comment, comment
;
; INPUTS:
;	none
;
; KEYWORD PARAMETERS:
;	instcom:
;		A string indicating what is the comment good for
;	
; OUTPUT:
;	comment:
;		A string (array) "comment"
;	
; COMMON BLOCKS:
;	none
;
; PROCEDURES USED:
;	none
;	
; MODIFICATION HISTORY:
;	Written by:	C.Gabriel (ESA/ESTEC-SAI)	March 1995
;	Modified by:	CG				May 1995
;	Oct 95 Version 3.5 
;-

; ****************************************************************************
;  PIA_write_comment - menu definition procedure
; ****************************************************************************

PRO pia_write_comment, instcom=instcom, comment

	IF KEYWORD_SET(instcom) then instcom=instcom ELSE instcom="COMMENT"

        junkbase = WIDGET_BASE(TITLE=$
           instcom + ' to be taken as '+ instcom +' keyword', /COLUMN,XSIZE=600)

        text = WIDGET_TEXT(junkbase, /EDITABLE, VALUE='No '+instcom, YSIZE=10, $
			UVALUE='JUNK')
	ok = WIDGET_BUTTON(junkbase, VALUE=' OK ', UVALUE='OK')
        WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, text, GET_VALUE=comment
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE GOTO, WAITING

END

