;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PIA_WRITE_VERSION
;
; PURPOSE:
;	Simple Menu for getting a string as the version to be added 
;	to FITS files
;
; CATEGORY:
;	PIA - graphics
;	PIA - I/O
;
; CALLING SEQUENCE:
;	PIA_write_version, version
;
; INPUTS:
;
; OPTIONAL INPUTS:
;	
; KEYWORD PARAMETERS:
;	
; OUTPUT:
;	version:
;		The string "version"
;	
; OPTIONAL OUTPUTS:
;	
; SIDE EFFECTS:
;	
; RESTRICTIONS:
;	
; METHOD:
;	
; EXAMPLE:
;	
; CALLED ROUTINES:
;	
; COMMON BLOCKS:
;
; PROCEDURES USED:
;	
; MODIFICATION HISTORY:
;	Written by: C.Gabriel
;	Oct 95 Version 3.5
;-

; ****************************************************************************
;  PIA_write_version - menu definition procedure
; ****************************************************************************

PRO pia_write_version, version


        junkbase = WIDGET_BASE(TITLE=$
          'Version to be added as VERSION keyword', /COLUMN,XSIZE=600)

        text = WIDGET_TEXT(junkbase, /EDITABLE, VALUE='Version?', YSIZE=10, $
			UVALUE='JUNK')
	ok = WIDGET_BUTTON(junkbase, VALUE=' OK ', UVALUE='OK')
        WIDGET_CONTROL, junkbase, /REALIZE

WAITING:
	event = WIDGET_EVENT(junkbase)
	WIDGET_CONTROL, event.id, GET_UVALUE=uvalue

	IF uvalue EQ 'OK' THEN BEGIN
	   WIDGET_CONTROL, text, GET_VALUE=version
	   WIDGET_CONTROL, junkbase, /DESTROY
           RETURN
        ENDIF ELSE GOTO, WAITING

END

