;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	IS_NUM
;
; PURPOSE:
;	Function to determine if character is numerical
; 	returns 1 if numerical
; 	returns -1 if not
;
; CATEGORY:
;	PIA - processing
;
; CALLING SEQUENCE:
;	IS_NUM(string)
;
; INPUT:
;	string:		(string) any single character string
;
; KEYWORD PARAMETERS:	
;	none
;
; OUTPUT:
;	function:	(integer) as defined above
;
; COMMON BLOCKS:
;
; RESTRICTIONS:
;
; PROCEDURES USED:	
;
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;	Written by:	Bernhard Schulz
;	21/03/97	first version		BS
;-

function is_num, char

x=where(strupcase(char) EQ ['0','1','2','3','4','5','6', $
		'7','8','9' ,'.','-','+','E','D'], num)

if num LE 0 then ret = -1 else ret = 1

return, ret

end
