FUNCTION GIVE_FILTER_ID, det, filtnr

;+
; NAME:
;       GIVE_FILTER_ID
;
; PURPOSE:
;       Get the filter id
;
; CALLING SEQUENCE:
;       RESULT = GIVE_FILTER_ID(det,filtnr)
;
; INPUTS:
;       DET		The detector id: 'C1' or 'C2'
;
;	FILTNR		The number used in GEN_MAP to designate the filters
;
; OUTPUTS:
;	The filter id 
;
; COMMON BLOCKS: 
;       PHTFILTER
;
; MODIFICATION HISTORY:
;       Written by:             Carlos Gabriel, ESA/VILSPA      April 1999
;       Modified (last) by:     Min Hur, IPAC/Caltech		April 1999
;				Program header added
;-


@phtfilter

	FILT_ID = -1
	IF N_ELEMENTS(c1filters) EQ 0 THEN PHTFILTER_INIT
	IF STRUPCASE(STRMID(det,0,2)) EQ 'C1' THEN $
	   filt_id = c1filters(filtnr-2)
	IF STRUPCASE(STRMID(det,0,2)) EQ 'C2' THEN $
	   filt_id = c2filters(filtnr-9)
	   
	RETURN, filt_id
	END
