FUNCTION ID_GIVE_FILTER, det, filt_id

;+
; NAME:
;       ID_GIVE_FILTER
;
; PURPOSE:
;       Get the filter id number
;
; CALLING SEQUENCE:
;       RESULT = ID_GIVE_FILTER(det,filt_id)
;
; INPUTS:
;       DET             The detector id: 'C1' or 'C2'
;
;       FILT_ID          The number used in GEN_RASTER to designate the filters
;
; OUTPUTS:
;       The filter id number 
;
; COMMON BLOCKS: 
;       PHTFILTER
;
; MODIFICATION HISTORY:
;       Written by:             Carlos Gabriel, ESA/VILSPA      April 1999
;       Modified (last) by:     Min Hur, IPAC/Caltech           April 1999
;                               Program header added
;-

@phtfilter

	FILT = -1
	IF N_ELEMENTS(c1filters) EQ 0 THEN PHTFILTER_INIT
	IF STRUPCASE(STRMID(det,0,2)) EQ 'C1' THEN BEGIN
	   filt = WHERE(c1filters EQ filt_id, n)
	   IF n GT 0 THEN filt = filt(0) +2
	ENDIF ELSE $
	IF STRUPCASE(STRMID(det,0,2)) EQ 'C2' THEN BEGIN
	   filt = WHERE(c2filters EQ filt_id, n)
	   IF n GT 0 THEN filt = filt(0) + 9
	ENDIF
	RETURN, filt
	END
