FUNCTION mapsim_defparr

;+
; NAME:
;       MAPSIM_DEFPARR
;
; PURPOSE:
;       Create a structure to hold default parameters for the raster
;
; CALLING SEQUENCE:
;       PAR = MAPSIM_DEFPARR()
;
; INPUTS:
;       (None)
;
; OUTPUTS:
;       PAR             The structure containing the default parameters
;
; MODIFICATION HISTORY:
;       Written by:             Carlos Gabriel, ESA/VILSPA      April 1999
;       Modified (last) by:     Min Hur, IPAC/Caltech           April 1999
;                               Program header added
;	  Seed parameter (for starting randoms) added (CG)	March 2000
;	V8.2 
;-

	par={pos_rst:[0.,0.], p32:0, nrpts:10, nrlns:10, $
	       dpts:23., dlns:23., roll:30., orie:1, rota:0., unflat:20., $
	       noise:10., sigunc:10., dersrd:1, trans:1, glitch:1, $
	       tr_p:0.48, tr_e:36., seed:0L, $
	       ownt:0, inttime:1., onptime: 18., tsweep:7., rpchpl:4} 
	RETURN, par
	END	
