PRO meas_mann, tmpdata, rpchopstep, sig_disc, srdhdr, taver, tavun, tavsd, $
	pixel=pixel, mann_str
 
COMMON pht_mann_st, conflvl, intdiv, minp, tmann_min

	aver_all = taver
	avun_all = tavun
	avsd_all = tavsd
	slop = tmpdata.slop
	step = tmpdata.step
	slun = tmpdata.slun
	time = tmpdata.stim
	rpid = tmpdata.rpid
	sslop = taver * 0.
	stabflag = FIX(sslop)
	tpoints = stabflag
;  Initialize parameters if not already present in common block
		 IF N_ELEMENTS(conflvl) EQ 0 THEN BEGIN
			conflvl=0.05
			intdiv = 1
			minp=7
			tmann_min = 8.
		 ENDIF
		 tint = time(1) - time(0)
		 minpt = MAX([minp, FIX(tmann_min/tint)]) 
		 mann_par = [conflvl, float(intdiv), float(minpt), tmann_min]
; Log into header the relevant parameters used
		 fxaddpar, srdhdr, 'PRS_DCLV', conflvl, $
		   ' Confidence level for drift analysis ', before='XTENSION'
		 fxaddpar, srdhdr, 'PRS_DINT', intdiv, $
		   ' Interval division for drift analysis ', before='XTENSION'
		 fxaddpar, srdhdr, 'PRS_DMNP', minpt, $
		   ' Minimum number of points for drift analysis ', $
		   before='XTENSION'

		IF KEYWORD_SET(pixel) THEN BEGIN
		  firstpix = pixel
		  npix = pixel+1
		ENDIF ELSE BEGIN
		  firstpix=0
		  npix = N_ELEMENTS(slop(*,0))
		ENDELSE
		 
		FOR irpchop=1, max(rpchopstep) DO BEGIN

		 indrpchop = WHERE(rpchopstep EQ irpchop)    

		 FOR ipix=firstpix,npix-1 DO BEGIN
	            ind = WHERE (sig_disc(ipix,indrpchop) EQ 0, nc)
		    ok = 0
                    IF nc GE minpt THEN BEGIN

			mann, slop(ipix,indrpchop(ind)), conflvl, tu, td, $
			   /optimize

			IF tu EQ 0 AND td EQ 0 THEN BEGIN 
			   indm = indrpchop(ind)
			   IF !NO_WEIGHTS THEN weights=slun(ipix,indm)*0.+1. $
			   ELSE BEGIN 
			  
			   	weights = 1./slun(ipix,indm)^2
			   	icutoff = WHERE(weights GT 30000., ncut)
			   	IF ncut GT 0 THEN $
			   	  	weights(icutoff) = 30000.
			   ENDELSE
			   
 			   weight_mean, slop(ipix,indm), $
				     slun(ipix,indm), avwe, unwe, avsi  
		           taver(ipix,irpchop-1) = avwe
			   tavun(ipix,irpchop-1) = unwe
			   tavsd(ipix,irpchop-1) = avsi
			   res = polyfitw(time(indm),slop(ipix,indm),weights,1)
			   sslop(ipix,irpchop-1) = res(1) * 60.
			   stabflag(ipix,irpchop-1) = 0
			   tpoints(ipix,irpchop-1) = nc
			   
			   ok = 1
			ENDIF ELSE BEGIN
			   mid = N_ELEMENTS(ind) / 2^intdiv
			   indnew = indrpchop(ind(mid:*))
			   npoints = N_ELEMENTS(indnew)
			   IF mid EQ 0 THEN npoints = 0
			   
			   WHILE npoints GE minpt DO BEGIN
			     mann, slop(ipix,indnew), conflvl, tu2, td2, $
			        /optimize
			       
				IF tu2 EQ 0 AND td2 EQ 0 THEN BEGIN 
			   		IF !NO_WEIGHTS THEN $
			   		  weights=slun(ipix,indnew)*0.+1. $
			   		ELSE BEGIN 
			   	  	  weights = 1./slun(ipix,indnew)^2
			   	  	  icutoff = $
			   	  	    WHERE(weights GT 30000., ncut)
			   	  	  IF ncut GT 0 THEN $
			   	  	   weights(icutoff) = 30000.
			   		ENDELSE
			          res = $
			     polyfitw(time(indnew),slop(ipix,indnew),weights,1)
				  weight_mean, slop(ipix,indnew), $
				     slun(ipix,indnew), avwe, unwe, avsi  
				  taver(ipix,irpchop-1) = avwe
				  tavun(ipix,irpchop-1) = unwe
				  tavsd(ipix,irpchop-1) = avsi

			          sslop(ipix,irpchop-1) = res(1) * 60
				  ok = 1
			   	  stabflag(ipix,irpchop-1) = 1
			   	  tpoints(ipix,irpchop-1) = npoints
				  npoints = 0
				ENDIF ELSE BEGIN
			          mid = mid + N_ELEMENTS(indnew) / 2^intdiv
			          indnew = indrpchop(ind(mid:*))
			   	  npoints = N_ELEMENTS(indnew)
				  IF mid EQ 0 THEN npoints = 0				
				ENDELSE
			     ENDWHILE
			 ENDELSE	

			 IF ok EQ 0 THEN BEGIN
			   indnew = indrpchop(ind(N_ELEMENTS(ind)-minpt:*))
			   npoints = N_ELEMENTS(indnew)
			   weights = 1./slun(ipix,indnew)^2
			   	  icutoff = WHERE(weights GT 30000., ncut)
			   	  IF ncut GT 0 THEN $
			   	  	weights(icutoff) = 30000.
			   res = polyfitw(time(indnew),slop(ipix,indnew),weights,1)
			   weight_mean, slop(ipix,indnew), $
				     slun(ipix,indnew), avwe, unwe, avsi  
			   taver(ipix,irpchop-1) = avwe
			   tavun(ipix,irpchop-1) = unwe
			   tavsd(ipix,irpchop-1) = avsi
			   sslop(ipix,irpchop-1) = res(1) * 60
			   stabflag(ipix,irpchop-1) = 2
			   tpoints(ipix,irpchop-1) = minpt
			ENDIF

		   ENDIF ELSE BEGIN
; Case of end with just discarded points
			IF nc EQ 0 THEN BEGIN
				sslop(ipix,irpchop-1) = 0.
			        stabflag(ipix,irpchop-1) = 3
			        tpoints(ipix,irpchop-1) = 0
			ENDIF ELSE BEGIN
			   IF !NO_WEIGHTS THEN weights=slun(ipix,ind)*0.+1. $
			    ELSE weights = 1./slun(ipix,ind)^2
			   res = $
				 polyfitw(time(ind),slop(ipix,ind),weights,1)
			   sslop(ipix,irpchop-1) = res(1) * 60
			   stabflag(ipix,irpchop-1) = 4
			   tpoints(ipix,irpchop-1) = nc
			ENDELSE


		   ENDELSE
		ENDFOR

	    ENDFOR

; Mann structure definition
	    mann_str = {admn:tmpdata.admn, mann_par:mann_par, $ 
	    		aver:taver, avun:tavun, avsd:tavsd,$
	    		aver_all:aver_all, avun_all:avun_all, $
	    		avsd_all:avsd_all,$
	    		slopvar:sslop, tpoints:tpoints, stabflag:stabflag} 


	RETURN
	END
