PRO minimap_extr, omap, mappar, method, flux, flun, bckfl, bcksig, $
	bright=bright, error=error, mapunc=omapunc

@phtfilter
@phtppsf
@phtfpsf

	map = omap
	IF not KEYWORD_SET(omapunc) THEN BEGIN
	  print, 'Warning: no uncertainties given'
	  mapunc=map*0. 
	ENDIF ELSE mapunc=omapunc
	
	IF N_ELEMENTS(c1filters) EQ 0 THEN phtfilter_init
	IF N_ELEMENTS(phtfpsf) EQ 0 THEN phtfpsf_init
	
	filter = STRTRIM(mappar.filter,2)
	IF STRPOS(filter, '_UM') NE -1 THEN BEGIN
	   res1 = STRPOS(filter, '_')
	   res2 = STRPOS(filter, '_', res1+1)
	   IF res1 NE -1 AND res2 NE -1 THEN BEGIN
	     filter = STRMID(filter,0,2) + STRMID(filter,res1,res2-res1)
;	     help, filter
	   ENDIF
	ENDIF	
	

	siz = size(map)
	IF siz(0) NE 2 THEN goto, errcond
	
	latpix = [[-1,0], [1,0], [0,1], [0,-1]]
	diapix = [[-1,-1], [1,-1], [-1,1], [1,1]]
	cenpix = [(siz(1) - 1) / 2, (siz(2) - 1) / 2]

	for i=0,3 do latpix(*,i) = latpix(*,i) + cenpix
	for i=0,3 do diapix(*,i) = diapix(*,i) + cenpix
	
	CASE mappar.detector OF
	'C1': BEGIN
	   ind = WHERE(c1filters EQ filter, count)
	   indf = ind
	   IF count NE 1 THEN GOTO, errcond
	   IF TOTAL(mappar.pixsize - [46.,46.]) NE 0. THEN BEGIN
	  MESSAGE, /INFO, 'Pixel size of C100 maps must be 46"x46", returning'
	    GOTO, errcond
	   ENDIF
	END
	'C2': BEGIN
	   ind = WHERE(c2filters EQ filter, count)
	   IF count NE 1 THEN GOTO, errcond
	   IF TOTAL(mappar.pixsize - [92.,92.]) NE 0. THEN BEGIN
	  MESSAGE, /INFO, 'Pixel size of C200 maps must be 92"x92", returning'
	    GOTO, errcond
	   ENDIF
	   indf = ind+7
	END
	ELSE: BEGIN
	   MESSAGE, /INFO, 'Not implemented for this detector'
	   GOTO, errcond
	END
	ENDCASE
	
	cpsf = phtfpsf.cpsf(indf)
	lpsf = phtfpsf.lpsf(indf)
	dpsf = phtfpsf.dpsf(indf)
	
	IF KEYWORD_SET(bright) THEN BEGIN
	    omega = get_omega(mappar.detector, 0, ind)
	    Epsilon = 0.3
	    map = map * omega(0) * (1-epsilon^2) * 1.E06
	    mapunc = mapunc * omega(0) * (1-epsilon^2) * 1.E06
;	    PRINT, 'Converting units brightness -> flux'
	ENDIF
	
	CASE method of
	
	0: BEGIN
	
		bckfl = [map(latpix(0,0), latpix(1,0)), $
			map(diapix(0,0), diapix(1,0))]
		FOR I=1,3 DO bckfl = [bckfl, map(latpix(0,i), latpix(1,i)), $
					map(diapix(0,i), diapix(1,i))]
		
		bcksig = sigma(bckfl)
		bckfl = AVG(bckfl)

		flux = ( map(cenpix(0),cenpix(1)) - bckfl ) / cpsf
		flun = SQRT(mapunc(cenpix(0),cenpix(1))^2. + bcksig^2.)/cpsf
	END
	
	1: BEGIN
		f_lat = map(latpix(0,0), latpix(1,0))
		f_dia = map(diapix(0,0), diapix(1,0))
		FOR I=1,3 DO BEGIN
			f_lat = [f_lat,map(latpix(0,i), latpix(1,i))] 
			f_dia = [f_dia,map(diapix(0,i), diapix(1,i))]
		END
		
		bcksig = ROBUST_SIGMA([f_lat,f_dia])

		
		f_lat = AVG(f_lat)
		f_dia = AVG(f_dia)
		 
		bckfl = (f_lat * dpsf - f_dia * lpsf) / (dpsf - lpsf)
		f_cen = map(cenpix(0),cenpix(1))
		flux = (f_cen - bckfl) / cpsf
		flun = SQRT(mapunc(cenpix(0),cenpix(1))^2. + bcksig^2.)/cpsf
	END
	ENDCASE
	
	ERROR=0
	RETURN

errcond:
	ERROR=1
	RETURN
	
	END			 
				

	
