pro choploss, sig=sig, unsig=unsig, tchp=tchp, kdiff=kdiff, selpix=selpix, $
onsig=onsig, offsig=offsig, det=det, unonsig=unonsig, unoffsig=unoffsig
; Changed for C100 to onsig = max() and offsig = min() according to PA (240300)
; Changed for C100 to onsig = avg() and offsig = avg() according to UK (140400)

@phtchoploss

if (n_elements(choploss_str) EQ 0) THEN read_chop


det=strupcase(det)
nsig = N_ELEMENTS(sig)

 if (det eq 'C1') then begin 
   tim=choploss_str.c1onchop_time
   pix=choploss_str.c1pix
   raw=choploss_str.c1chopraw
   corr=choploss_str.c1chopcor
   sel=where(tim eq tchp and pix eq selpix, np)
   onsig=AVG(sig(nsig/2:*))
   offsig=AVG(sig(0:(nsig/2)-1))
   
   unonsig=avg(unsig(nsig/2:*))
   unoffsig=avg(unsig(sig(0:(nsig/2)-1)))  

 endif  $
 else  if (det eq 'C2') then begin 
   tim=choploss_str.c2onchop_time
   pix=(choploss_str.c2pix)
   raw=choploss_str.c2chopraw
   corr=choploss_str.c2chopcor
   sel=where(tim eq tchp and pix eq selpix, np)
   onsig=avg(sig(nsig-2:nsig-1))
   offsig=avg(sig((nsig/2)-2:(nsig/2)-1))

   unonsig=(unsig(nsig-2)+unsig(nsig-1))/2.
   unoffsig=(unsig((nsig/2)-2)+unsig((nsig/2)-1))/2.

 endif  $ 
 else  if (det eq 'P1') then begin 
   tim=choploss_str.ponchop_time
   raw=choploss_str.p1chopraw
   corr=choploss_str.p1chopcor
   sel=where(tim eq tchp, np)   
   onsig=med(sig(nsig/2:*))
   offsig=med(sig(0:nsig/2-1))

   unonsig=avg(unsig(nsig/2:*))
   unoffsig=avg(unsig(0:nsig/2-1))
 endif   $
 else  if (det eq 'P2') then begin 
   tim=choploss_str.ponchop_time
   raw=choploss_str.p2chopraw
   corr=choploss_str.p2chopcor
   sel=where(tim eq tchp, np)
   onsig=med(sig(nsig/2:*))
   offsig=med(sig(0:(nsig/2)-1))

   unonsig=avg(unsig(nsig/2:*))
   unoffsig=avg(unsig(0:(nsig/2)-1))
 endif   $ 
else  if (det eq 'P3') then begin 
   tim=choploss_str.ponchop_time
   raw=choploss_str.p3chopraw
   corr=choploss_str.p3chopcor
   sel=where(tim eq tchp, np)
   onsig=max(sig(nsig/2:*))
   offsig=min(sig(0:(nsig/2)-1))
  
   ipos=where(sig eq onsig)
   unonsig=unsig(ipos(0))
   ipos=where(sig eq offsig)
   unoffsig=unsig(ipos(0))  
 endif 

if (np LE 0) then stop
 
 uncorr1=raw(sel)
 corr1=corr(sel)
 
obsdiff=(onsig-offsig)   

;slow=max(where(uncorr1 le obsdiff, nlow))
;shigh=min(where(uncorr1 ge obsdiff, nhigh))
;if (nlow gt 0 and nhigh gt 0) then begin 
;   if (uncorr1(shigh) eq obsdiff) then kdiff=corr1(shigh) $
;   else if (uncorr1(slow) eq obsdiff) then kdiff=corr1(slow) $
;   else  kdiff=$
;  (corr1(shigh)-corr1(slow))/(uncorr1(shigh)-uncorr1(slow))*obsdiff
;endif  $
;else begin 
;   print, "Out of range"
;endelse  


; Compute signal-loss corrected signal from interpolation of the CAL G tables

intv=interpol(corr1, uncorr1, obsdiff)
kdiff = intv(0)

; Derive absolute signal using the "corrected" symmetry assumption 
; (otherwise the signal difference kdiff may be directly given, as in PIA)   

   IF (det EQ 'P1' or det EQ 'P2') THEN RETURN
   abs_sig=(offsig+onsig)/2.
   cont=kdiff/abs_sig
   aa=[0.355774,-8.12902e-07, 2.57930, 0.647155, 1.46322e-08, -0.000128523]
   z=(cont-aa(1))/aa(2)
   asym=aa(0)*exp(-z*z/2.)+aa(3)+aa(4)*cont+aa(5)*cont*cont
    
   onsig=(abs_sig+kdiff/2.)
   offsig=(abs_sig-kdiff/2.)
   
   if(kdiff ge 0.) then begin
      onsig=onsig/asym
      offsig=onsig-kdiff 
   endif else begin
      offsig=offsig/asym
      onsig=offsig+kdiff
   endELSE
 

 return
end   
