pro read_chop, path=path
;path="/data/radovich/Calib/calg5/"
@phtchoploss

dets=['P1','P2','P3','C1','C2']

FOR idet = 0,N_ELEMENTS(dets)-1 DO BEGIN
 det = dets(idet)
 IF KEYWORD_SET(path) THEN $ 
  calg=path+'P'+det+'CHOPSIG.FITS' ELSE $ 
  calg=!CALG + 'P'+det+'CHOPSIG.FITS'
 fxbopen, unit, calg, 1, hdr

 tfield='P'+det+'CSCPT'
 fxbread, unit, tim, tfield
 tim=2^(tim-1)

 tfield='P'+det+'CSOOU'
 fxbread, unit, uncorr, tfield

 tfield='P'+det+'CSOOC'
 fxbread, unit, corr, tfield


 if (det eq 'C1' or det eq 'C2') then begin 
   tfield='P'+det+'CSPIX'
   fxbread, unit, pix, tfield  
 endif 

 fxbclose, unit
 CASE det of
  'P1': BEGIN
  		ptim=tim
  		p1unc = uncorr
  		p1corr= corr
  END
  'P2': BEGIN
  		p2unc = uncorr
  		p2corr= corr
  END
  'P3': BEGIN
  		p3unc = uncorr
  		p3corr= corr
  END
  'C1': BEGIN
  		c1tim=tim
  		c1unc = uncorr
  		c1corr= corr
  		c1pix = pix-1
  END
  'C2': BEGIN
  		c2tim=tim
  		c2unc = uncorr
  		c2corr= corr
  		iapix = [1,2,0,3]
  		c2pix = pix
  		FOR ii=1,4 DO BEGIN
  		  ind = WHERE(pix EQ ii,nn)
  		  IF nn GT 0 THEN c2pix(ind) = iapix(ii-1)
  		ENDFOR
  END
  ELSE: RETURN
 ENDCASE
 
ENDFOR


choploss_str={ponchop_time:ptim, c1onchop_time:c1tim, c2onchop_time:c2tim,$
		c1pix:c1pix, c2pix:c2pix, p1chopraw:p1unc, p2chopraw:p2unc,$
		p3chopraw:p3unc, p1chopcor:p1corr, p2chopcor:p2corr,$
		p3chopcor:p3corr, c1chopraw:c1unc, c2chopraw:c2unc, $
		c1chopcor:c1corr, c2chopcor:c2corr} 

return

end
