;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             !
 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       PCONT_MREMOVE
;
; PURPOSE:
;       This is part of the pia_control panel support routines.
; 	And therefore is designed entirely with the pia_control,
;	pia_read_ext and pia_man_mea in mind.
;	It is used for removing the file in the multiple file list
;	in pia_control and pia_read_ext.
;
; CATEGORY:
;       PIA - utilities
;
; CALLING SEQUENCE:
;       PCONT_FILTER, ID, PAR, MFILELIST
;
; INPUT:
;	ID: the structure for the widget handle
;	PAR: the parameter
;	MFILELIST: the multiple file list

; OUTPUT:
;
; COMMON BLOCKS:
;
; PROCEDURES USED:
;       PIA LIB:
;	Astronomical Library:
; MODIFICATION HISTORY:
;	Written by: Wai-Ming Tai (DIAS)			March 1996
;
;-
pro pcont_mremove, id, par, mfilelist

  n = par.mfileindex + 1
  removefile = mfilelist(n).filename
  ind = where(mfilelist.filename NE removefile, matches)

  if matches GT 0 then begin
  mfilelist = mfilelist(ind)
  m = n_elements(mfilelist)

  if m EQ 1 then tmpfile = [''] $
  else tmpfile = mfilelist(1:m-1).filename

  widget_control, id.hmread_list, set_value = tmpfile
  pcont_msgline, 'File: ' + removefile + ' has been removed', id.hmsgline
  endif
end
