;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             !
 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       PCONT_READFILE
;
; PURPOSE:
;       This is part of the pia_control panel support routines.
; 	And therefore is designed entirely with the pia_control,
;	pia_read_ext and pia_man_mea in mind.
;	It is used for handling the read file event.
;
; CATEGORY:
;       PIA - utilities
;
; CALLING SEQUENCE:
;       PCONT_READFILE, ID, STYPE, FILENAME, PATH
;
; INPUT:
;	ID: the structure for the widget handle
;	STYPE: the selection type, (ie pipeline, pia fits or internal)
;	FILENAME: the filename to read
;	PATH: the path containing the file

; OUTPUT:
;
; COMMON BLOCKS:
;
; PROCEDURES USED:
;       PIA LIB:
;	  pia_read_fits
;	  pia_read_ifile
;	Astronomical Library:
; MODIFICATION HISTORY:
;	Written by: Wai-Ming Tai (DIAS)			March 1996
;
;-
;-----------------------------------------------------------------------
; read the external file
;-----------------------------------------------------------------------
pro pcont_readfile, id, stype, filename, path

; begin reading file
  pcont_msgline, 'Please wait while reading file...', id.hmsgline

; stype = 2 means the file is internal idl save file
  if stype LT 2 then $
    pia_read_fits, filename, path = path $
  else pia_read_ifile, filename, path = path

  pcont_msgline, 'File: ' + filename + ' has been read!', id.hmsgline

end
