;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             !
 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       PCONT_SUBDIR
;
; PURPOSE:
;       This is part of the pia_control panel support routines.
; 	And therefore is designed entirely with the pia_control,
;	pia_read_ext and pia_man_mea in mind.
;	It is used for handling the subdirectories event
;
; CATEGORY:
;       PIA - utilities
;
; CALLING SEQUENCE:
;       PCONT_SUBDIR, ID, PAR, EVENT
;
; INPUT:
;	ID: the structure for the widget handle
;	PAR: parameter
;	EVENT: the caller event
; OUTPUT:
;
; COMMON BLOCKS:
;
; PROCEDURES USED:
;       PIA LIB:
;	  pcont_valid_dir
;	Astronomical Library:
; MODIFICATION HISTORY:
;	Written by: Wai-Ming Tai (DIAS)			March 1996
;	Extension with PFITDIR (CG)			October 1997
;	V6.5
;
;-
pro pcont_subdir, id, par, event
      WIDGET_CONTROL, id.hsubdir, GET_UVALUE = directories
      IF (event.index GT N_ELEMENTS(directories) - 1) THEN RETURN

   ;  Check an see if the directory is valid

      if(not pcont_valid_dir(directories(event.index)) ) then return

      IF (!version.os EQ "vms") THEN BEGIN
      ; Fixed logic error. If the users selects [-], the strpos/mid
      ; combo would return a null string. Added a check for [-],index=0

        if(event.index eq 0)then   $
           found = 3               $ ; len of [-]
        else                       $
           found = STRPOS(directories(event.index), ".", 0)

        CD, STRMID(directories(event.index), 0, found)
        CD, CURRENT = here   ;get pwd

      ENDIF ELSE IF !version.os EQ "windows" THEN BEGIN
        message,"Unsupported on this platform"
      ENDIF ELSE BEGIN
        CD, directories(event.index)
        CD, CURRENT = here
        here = here + par.separator
      ENDELSE
      par.pathtxt(par.sel_index) = here
; set the system variable
    CASE par.sel_index OF
     0: !FITDIR = here
     1: !PFITDIR = here 
     2: !xdrdir = here 
     ELSE:
    ENDCASE
;
      WIDGET_CONTROL, id.hpathtxt(par.sel_index), SET_VALUE = here
      directories = pcont_getdirs()
      widget_control, id.hfilt, get_uvalue = filt
      files = pcont_getfiles(filt)
      WIDGET_CONTROL, id.hfiles, SET_VALUE = files
      WIDGET_CONTROL, id.hfiles, SET_UVALUE = files
      WIDGET_CONTROL, id.hsubdir, SET_VALUE = directories
      WIDGET_CONTROL, id.hsubdir, SET_UVALUE = directories
end
