;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       Phtcap_init
;
; PURPOSE:
;       Initializes the common block PHTCAP 
;
; CATEGORY:
;          PIA - initialization
;
; CALLING SEQUENCE:
;       PHTCAP_INIT
;
; COMMON BLOCKS:
;	phtcap
;
; MODIFICATION HISTORY:
;	Written by: Carlos GABRIEL(ESA/ESTEC) 	October 1994
;       Modified (last) by:  cg			April 1995
;	Oct 95 Version 3.5
;	November 95 (new values acc to cal U)	November 1995
;	
;-
;
PRO PHTCAP_INIT

@phtcap
	P1CAP = 9.E-14
	P2CAP = 9.E-14
	P3CAP = 9.E-14
	C1CAP = 9.E-14
	C2CAP = 14.E-14
	SLCAP = 6.3E-14
	SSCAP = 5.26E-14
RETURN
END
