;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PHTDARKORB
;
; PURPOSE:
;	Define the common block DARKORB, containing the PHT dark currents.
;
; CATEGORY:
;       PIA - common block
;
; CALLING SEQUENCE:
;	@phtdarkorb
;
;
; MODIFICATION HISTORY:
;	Written by: J. Acosta                  			NOVEMBER 1997
;	Version 6.6
;	Extension for DARKPROAOT  (CG)				January 1998
;	V7.0
;	Extension for SLDARKTIME+DARKTDEP (JAc)			August 1998
;	V7.2
;-
;
	COMMON DARKORB, ORBPOS_DARK, C1DARKORB, C2DARKORB, PPDARKORB, $
	   SLDARKORB, DARKPRORP, DARKPROM, DARKPROAOT, SLDARKTIME, DARKTDEP
	
