;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       PHTFILTER_INIT
; PURPOSE:
;       Initializes the PHTFILTER (PHT filter mnemonics) common block.
;
; CATEGORY:
;       PIA - initialization
;
; CALLING SEQUENCE:
;       PHTFILTER_INIT
;
; COMMON BLOCKS:
;	phtfilter
;
; MODIFICATION HISTORY:
;       Written by: Carlos GABRIEL (ESA/ESTEC-SAI)          March 1995
;	Oct 95 Version 3.5
;	Blanks removed from C100 filter IDs (CG)	    February 1996
;			
;-
;
PRO PHTFILTER_INIT

@phtfilter

ON_ERROR, 2

	p1filters = ['P1_3.29', 'P1_3.60', 'P1_4.85', 'P1_7.30', 'P1_7.70', $
			'P1_10.0', 'P1_11.3', 'P1_12.8', 'P1_16.0', 'P1_11.5']
	p2filters = ['P2_20', 'P2_25']
	p3filters = ['P3_60', 'P3_100']
	c1filters = ['C1_90b', 'C1_50', 'C1_60', 'C1_70', $
			'C1_100', 'C1_105', 'C1_90']
	c2filters = ['C2_160', 'C2_200', 'C2_180', 'C2_135','C2_120']

END
