;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
;  Name:
;	PHTfpsf_init
;
;  Purpose:
;	Initialises the phtfpsf common block
;
; CATEGORY:
;      	PIA - initialization
;
; CALLING SEQUENCE:
;	PHTFPSF
;
; COMMON BLOCKS:
;	phtfpsf
;
; MODIFICATION HISTORY:
; 	Written by:	C. Gabriel (ESA/VILSPA)		June 1999
;	V7.4
;-
PRO phtfpsf_init

@phtppsf
@phtfpsf

	IF N_ELEMENTS(phtppsf) EQ 0 THEN read_pcpsf
	cpsf = phtppsf(15,1:12)
; lateral values 
	lpsf = [0.055, 0.047, 0.038, 0.063, 0.060, 0.070, 0.055,$   ;C100
		0.066, 0.099, 0.095, 0.076, 0.059]		    ;C200
	lpsf = lpsf * cpsf
; diagonal values	
	dpsf = [0.019, 0.008, 0.006, 0.017, 0.029, 0.034, 0.019,$   ;C100
		0.030, 0.053, 0.037, 0.027, 0.016]		    ;C200
	dpsf = dpsf * cpsf
	
	phtfpsf = {cpsf:cpsf, lpsf:lpsf, dpsf:dpsf}
	
	RETURN
	END
