;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	PHTFTOF
;
; PURPOSE:
;	Definition of the common block PHTFTOF (External Filter to filter
;	Factors) for inclusion into other routines.  
;
; CATEGORY:
;       PIA - common block
;
; CALLING SEQUENCE:
;	@phtftof
;
; COMMON BLOCK PARAMETERS:
;	This file stores the external filter to filter factors
;
;	PHTFTOF contains the following variables:
;
;	PPFTOF : The P1, P2, P3 filter to filter corrections and uncertainties
;
;
; MODIFICATION HISTORY:
;	Written by: Carlos GABRIEL, ESA/VILSPA 		April 1999
;	V7.4
;			
;-

	COMMON PHTFTOF, PPFTOF, PPFTOFU
