;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO READ_CRELIN
;+
; NAME:
;	READ_CRELIN
; PURPOSE:
;	Read the default PHT CRE linearisations from a FITS file into 
;       the COMMON phtcrelin
; CATEGORY:
;	PIA - I/O
;
; CALLING SEQUENCE:
;	READ_CRELIN
;
; INPUT PARAMETERS:
;	NONE
;
; OPTIONAL INPUT PARAMETERS:
;
; OUTPUT PARAMETERS:
;	NONE
;
; RESTRICTIONS:
;
; METHOD:
;
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtcrelin
;       Astronomical Library:
;               fxread
;
; MODIFICATION HISTORY:
;	Written by: C. Gabriel
;	Oct 95 Version 3.5
;-
;
; Needed common blocks :
@phtcrelin
	ON_ERROR, 2                                          

	FXREAD, !CALG+'PPCRELIN.FITS', ppcrelin
	FXREAD, !CALG+'PC1CRELIN.FITS', pc1crelin
	FXREAD, !CALG+'PC2CRELIN.FITS', pc2crelin

; change pixel order for C200
	newcrelin = pc2crelin
	FOR ifreq = 0,2 DO $
	   FOR ierr = 0,1 DO BEGIN
	      newcrel = TRANSPOSE(pc2crelin(*,*,ifreq,ierr))
	      C2P_PIPE2IA, newcrel, iacrel
	      iacrel = TRANSPOSE(iacrel)
	      newcrelin(*,*,ifreq,ierr) = iacrel
	   ENDFOR
        pc2crelin = newcrelin     
; change pixel order

	RETURN
	END
