;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO read_pcpsf
;+
; Name:
;	READ_PCPSF
;
; Purpose:
;	Reads the PPPSF and the PCPSF FITS file into the common phtppsf
; CATEGORY:
;	PIA - I/O
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtppsf
;       Astronomical Library:
;		fxbopen
;		fxbread
;               fxread
; History:
;	Written by: Carlos GABRIEL (ESA/VILSPA)		June 1999
;	V7.4
;-
@phtppsf

;  The point spread function is in a file called PPSF
	FXREAD, !CALG+'PPPSF.FITS', tmpp
	FXBOPEN, unit, !CALG+'PCPSF.FITS', 1,hdr
	FXBREAD, unit, tmpc, 'PCPSFARR'
	FXBREAD, unit, tmpc_pix, 'PCPSFPIX'
	tmpc = [0.,tmpc,0.]
	tmpc_pix = [0.,tmpc_pix,0.]
	 
	PHTPPSF = FLTARR(16,14)
	phtppsf(0:13,*) = tmpp
	phtppsf(14,*) = tmpc
	phtppsf(15,*) = tmpc_pix

	END
