;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO read_ppsf
;+
; Name:
;	READ_PPSF
;
; Purpose:
;	Reads the PPSF FITS file into the common phtppsf
; CATEGORY:
;	PIA - I/O
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtppsf
;       Astronomical Library:
;               fxread
; History:
;	Written by: Carlos GABRIEL
;	Oct 95 Version 3.5
;	Superseded by read_pcpsf - just call to it avoid changing all
;	the calls.
;	V7.4
;-
@phtppsf

;  The point spread function is in a file called PPSF
;	FXREAD, !CALG+'PPSF.FITS', phtppsf

	READ_PCPSF
	END
