;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;	READ_RLIN_TABLE
; PURPOSE:
;	Read an ASCII table as designed for the signal linearization
; CATEGORY:
;	PIA - I/O
;                
; CALLING SEQUENCE:
;	READ_RLIN_TABLE, TABLE, SIG_IN, SIG_OUT, LIMITS
;
; INPUT PARAMETERS:
;	table:		filename of the table
;	
; KEYWORDS:
;	(none)
;
; OUTPUT:
;	sig_in	: 	Array containing signals as observed
;	sig_out : 	Array (same dims as sig_in) containing corrected signals
;			after detector response linearization
;	limits  :	2-elements array containing lower und upper validity
;			bounds
;
; PROCEDURES USED:
;
;       Astronomical Library:
;               readcol
;
; MODIFICATION HISTORY:
;	Written by: C. Gabriel - ESA-VILSPA/SAI 		Dec.98
;
;-
PRO read_rlin_table, table, sig_in, sig_out, limits

	
	readcol, table, limits, numline=2, /silent
	
	readcol, table, sig_in, sig_out, skip=3, /silent
	
	RETURN
	END
