PRO REBUILD_TMPERD, tmperd, newconp, newflag

; Check that DR is defined 
          IF N_ELEMENTS(dr) EQ 0 THEN $
                  DECODE_PIXF, tmperd.pixf, SUSPECT, CHOPON, CHOPS, DR, OTF 
		  
     npix = PIXEL_DET(tmperd.det)
     	                      
     newconp = tmperd.conp
     newflag = tmperd.flag
     
     decode_piaflag, 'ERD', 'GLITCH', newflag(0:npix-1,*), rebflag, $ 
         DET = tmperd.det 
        
      
     time = tmperd.time
         
     tint = tmperd.tint
; Get index with the ramp ends.
     give_cs, tmperd, cst, rec
     GET_RAMPEND, time, dr, tint, rampflag, rampend, nramp, $ 
             SUB_RAMP=pseudoramp, datred=cst.drs(rec) 
	     
; Get all severe flags individually per pixel
     GET_VALIDFLAG, tmperd.flag, 'ERD', redflag, $
            det=tmperd.det, /allpix

  
iramp0 = 0
; loop on ramps 
FOR iramp=0, nramp-1 DO BEGIN 
   npt_ramp = rampend(iramp)-iramp0+1
   ind_ramp = INDGEN(npt_ramp) + iramp0
   xxt = time(ind_ramp)

   FOR ipix=0, npix-1 DO BEGIN
     fyt = redflag(ipix,ind_ramp)
     yyt = tmperd.conp(ipix,ind_ramp)
     indok = WHERE(fyt EQ 0, nok)
     indmask = WHERE(fyt NE 0, nmask)
     IF nok GT 1 AND nmask GT 0 THEN BEGIN 
       ; check that there is at least one good readout before last mask readout,
       ; except for the last readout in the ramp
       indmask_nolast = WHERE(indmask NE (npt_ramp-1),nnolast)
       IF nnolast GT 0 THEN BEGIN 
         indmask = indmask(indmask_nolast)
         indreb = WHERE(indmask GT MIN(indok),nreb)
         IF nreb GT 0 THEN indreb = indmask(indreb) 
       ENDIF
       ; reconstruct ramps only if there are valid reads in between masked points,
       ;  which are not the last readout
       IF nreb GT 0 AND nmask GT 0 THEN BEGIN
         yyt = rebuild_ramps(xxt, yyt, indok, indreb)
         rebflag(ipix,ind_ramp(indreb)) = 0 	 
       ENDIF
       newconp(ipix, ind_ramp) = yyt
     ENDIF  
      	  
   ENDFOR  ; close loop over pixels
   
   iramp0 = rampend(iramp)+1

ENDFOR ;close loop over ramps

encode_piaflag, 'ERD', 'GLITCH', newflag(0:npix-1,*), flagtmp, rebflag, $ 
  DET =tmperd.det  

  newflag(0:npix-1,*) = flagtmp

RETURN
END
