;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO RESPCHK_STR_INIT
;+
; NAME:
;       RESPCHK_STR_INIT
;
; PURPOSE:
;       Initializes the Responsivity check Structures
;
; CATEGORY:
;	PIA - initialisation
;
; CALLING SEQUENCE:
;       RESPCHK_STR_INIT
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; PROCEDURES USED:
;       None
;
; MODIFICATION HISTORY:
;       Written by:	Jose Acosta
;	May 97 Version 6.4
;-
;
ON_ERROR, 2

; use all pixels
	detpix = pixel_det('SL',/ALLPX)
      cal_respchk_str = {SLRESPCHKSTR_typ, FLAG:0, ADMN:'', DATE:'',JDATE:-1., 	$
            REV:-1,TEMP:0., FCSN:0, FCSPOW:0., ORBPOS:0.,TRESET:'', RESCOR:0,   $
            SIGNAL:fltarr(detpix), SGUNC:fltarr(detpix), SGFLG: intarr(detpix), $
            PROC_DATE:''} 

	detpix = pixel_det('C2',/ALLPX)
      cal_respchk_str = {C2RESPCHKSTR_typ, FLAG:0, ADMN:'', DATE:'',JDATE:-1., 	$
            REV:-1,TEMP:0., FCSN:0, FCSPOW:0., ORBPOS:0., TRESET:'', RESCOR:0,  $
            SIGNAL:fltarr(detpix), SGUNC:fltarr(detpix), SGFLG: intarr(detpix), $
            PROC_DATE:''}

	detpix = pixel_det('C1',/ALLPX) 
      cal_respchk_str = {C1RESPCHKSTR_typ, FLAG:0, ADMN:'', DATE:'',JDATE:-1., 	$
            REV:-1,TEMP:0., FCSN:0, FCSPOW:0., ORBPOS:0., TRESET:'',RESCOR:0, 	$
            SIGNAL:fltarr(detpix), SGUNC:fltarr(detpix), SGFLG: intarr(detpix), $
            PROC_DATE:''}
  
	detpix = pixel_det('P1',/ALLPX) 
      cal_respchk_str = {PRESPCHKSTR_typ, FLAG:0, ADMN:'', DATE:'', JDATE:-1., 	$
            REV:-1,TEMP:0., FCSN:0, FCSPOW:0., ORBPOS:0., TRESET:'',RESCOR:0,	$
            SIGNAL:fltarr(detpix), SGUNC:fltarr(detpix), SGFLG: intarr(detpix), $
            PROC_DATE:''}
 

END
