;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO RESPONS_STR_INIT
;+
; NAME:
;       RESPONS_STR_INIT
; PURPOSE:
;       Initializes the Responsivity Structures
; CATEGORY:
;	PIA - initialization
;
; CALLING SEQUENCE:
;       RESPONS_STR_INIT
;
; INPUT PARAMETERS:
;       None
;
; OUTPUT PARAMETERS:
;       None
;
; PROCEDURES USED:
;
; MODIFICATION HISTORY:
;       Written by: Carlos GABRIEL
;       Modified by: Wai-Ming Tai
;	Oct 95 Version 3.5
;	New structure definition (CG)		November 1995
;	Structure extension (CG)		December 1995
;	Structure extension (JAcosta)		April	 1996
;-
;
ON_ERROR, 2

	detpix = 4
      junk = {c2respstr_typ, flag:0, date:'', source: '',$
            TDTnr:'', orbpos:0., filter_id: '',          $
            f_star: 0., f_star_unc: 0.0, qb_star: 0.,    $
            resps:fltarr(detpix), respu:fltarr(detpix),  $
            eta:fltarr(detpix), err_eta:fltarr(detpix),  $
            nep:fltarr(detpix), err_nep:fltarr(detpix),  $
            sflg: intarr(detpix), Proc_time:'', SED_file:STRARR(2)}

	detpix = 9
      junk = {c1respstr_typ, flag:0, date:'', source: '',$
            TDTnr:'', orbpos:0., filter_id: '',          $
            f_star: 0., f_star_unc: 0.0, qb_star: 0.,    $
            resps:fltarr(detpix), respu:fltarr(detpix),  $
            eta:fltarr(detpix), err_eta:fltarr(detpix),  $
            nep:fltarr(detpix), err_nep:fltarr(detpix),  $
            sflg: intarr(detpix), Proc_time:'', SED_file:STRARR(2)}
            
	detpix = 1
      junk = {prespstr_typ, flag:0, date:'', source: '', $
            TDTnr:'', orbpos:0., filter_id: '',          $
            f_star: 0., f_star_unc: 0.0, qb_star: 0.,    $
            resps:fltarr(detpix), respu:fltarr(detpix),  $
            eta:fltarr(detpix), err_eta:fltarr(detpix),  $
            nep:fltarr(detpix), err_nep:fltarr(detpix),  $
            sflg: intarr(detpix), Proc_time:'', SED_file:STRARR(2)}

END
