;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       gencho_sm_init
;
; PURPOSE:
;       Initializes the structure COMMON block GENCHO_SM used for Serendipity
;	batch processing.
;
; CATEGORY:
;       PIA - initialization
;
; CALLING SEQUENCE:
;       @gencho_sm_init
;
; MODIFICATION HISTORY:
;       Written by: S. Bogun (MPIA)			August 1996
;	modified:   some new parameters (SB)		June 1997
;                   Completely new design according to SESAME-V4.0 (SB)
;                                                       December 1997
;-
;
	gen_file = 0
	gen_erd  = 0
	
	gen_cal  = 1

        gen_ramp   = 0
	gen_lin    = 1
	gen_deg2   = 0
	gen_flat   = 0
	gen_dar    = 1
	gen_deg    = 0
	gen_drf    = 0

        gen_f_ramp = 0
	gen_f_lin  = 1
	gen_f_deg2 = 1
	gen_f_flat = 0
	gen_f_dar  = 1
	gen_f_deg  = 1
	gen_f_drf  = 1

	gen_isrd   = 1
	gen_ismc   = 1
	gen_smc    = 1

	sm_drnacc = 0
	sm_ndr1nac = 1
	sm_nselndr = 0

        gen_rep = 0
	gen_resint = 1
