




Pro  PIA_SM_Logger,  SlewFlux, DiffFlux, FluxErr, BackFlux,                     $
                     SrcParams, UncSrcParams, ChiSqVec, NoFitPointsVec,         $
                     Fit2DInputs, Fit2DResults, Src1DFitParams,                 $
                     SrcStart, SrcEnd, SrcFitStart, SrcFitEnd, NWinds,          $
                     UsedPixels, SlewName, GlobalNoise, Sensitiv,               $
                     Distances,                                                 $
                     DblGauss2DPlane=DblGauss2DPlane, Ridge=Ridge,              $
                     Gauss2DPlane=Gauss2DPlane, RGauss2DPlane=RGauss2DPlane,    $
                     CGauss2DPlane=CGauss2DPlane, FGauss2DPlane=FGauss2DPlane,  $
                     SubPixel=SubPixel,                                         $
                     _EXTRA=EXTRA
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


;  /* SearchRadius for IRAS associations */

SearchRadius =  0.15  ; degrees


;  /* Check for existence of Parameters */

Dimen =  Size (Fit2DResults)
IF (Dimen(N_elements(Dimen)-2) EQ 0)  THEN  Fit2DResults =  0.0 * Fit2DInputs



ArcsecToRad = 2.0 * !PI / (360.0 * 3600.0)
ArcsecToRad2 = ArcsecToRad ^ 2

Dimen    = Size (SrcParams)
NSources = Dimen (1)
NParams  = Dimen (2)



HCHARACTER =  'h'
MCHARACTER =  'm'
SCHARACTER =  's'
DCHARACTER =  'd'


LogExtension =  '-NoSub'
SubPixelUsed =  'N'
IF  (Keyword_set (SubPixel)) $
    THEN BEGIN
      SubPixelUsed =  'Y'
      LogExtension =  '-Sub'
    endif



;  /* open logfile for output */

;;OpenW, OutUnit, StrCompress(SlewName+'.log', /REM), /GET_LUN, /APPEND
OpenW, OutUnit, StrCompress(!PIA_SERDIR+SlewName+LogExtension+'.log', /REM), /GET_LUN

Header = '# __SlewName__  _SrcNo_'  +                                  $
         ' ___RA (2000)___ ___Dec (2000)___ '  +                       $
         ' ___RA (1950)___ ___Dec (1950)___ '  +                       $
         ' ____l____ ____b____ '               +                       $
         ' ____TotFlx____UTotFlx_ _PeakFlx__UPeakFlx_' +               $
         ' ___SigX____USigX___  __SigY____USigY___ _____RA________URA_____' +             $
         ' ____Dec_______UDec____ __Dist_ ' +                               $
         ' ____Window___ _____Chi____ ___RChi___ __N__ _GdFit__ '  +     $
         ' _SNR1__ _SNR2__ _SNR3__ _SNR4__  _FNR1__ _FNR2__ _FNR3__ _FNR4__ '  +                              $
         ' _FSR1__ _FSR2__ _FSR3__ _FSR4__  _Bck1__ _Bck2__ _Bck3__ _Bck4__ '  +                              $
         ' _GNOI1_ _GNOI2_ _GNOI3_ _GNOI4_  _Sens1_ _Sens2_ _Sens3_ _Sens4_ '    +   $
         ' _UPIX_  _SubPix_ _IRAS_Name_ ____IRAS_Position____ _Dist_  _IRAS_Name_ ____IRAS_Position____ _Dist_'

Printf,  OutUnit ,  Format='(A)' , Header



;  /* ... for each source found */

For i = 0 , NSources-1  do begin

;  /* prepare parameters to be logged from fit results */

   SrcRa  = SrcParams(i,3)
   SrcDec = SrcParams(i,4)

   UncSrcRA  =  abs(UncSrcParams(i,3))
   UncSrcDec =  abs(UncSrcParams(i,4))

;;   SigmaX = 3600.0 * abs(SrcParams(i,1)) * ArcsecToRad * cos (SrcDec * !DTOR)
   SigmaX = 3600.0 * SrcParams(i,1) * ArcsecToRad
   SigmaY = 3600.0 * abs(SrcParams(i,2)) * ArcsecToRad
   Area   = abs (2.0 * !PI * SigmaX * SigmaY)


;;   SigmaAlpha =  abs(SrcParams(i,1)) * cos (SrcDec * !DTOR)
   SigmaAlpha =  abs(SrcParams(i,1))
   SigmaDelta =  abs(SrcParams(i,2))

   SigmaAlpha =  SigmaAlpha * 60.0
   SigmaDelta =  SigmaDelta * 60.0

;;   UncSigmaAlpha =  abs(UncSrcParams(i,1)) * cos (SrcDec * !DTOR)
   UncSigmaAlpha =  abs(UncSrcParams(i,1))
   UncSigmaDelta =  abs(UncSrcParams(i,2))

   UncSigmaAlpha =  UncSigmaAlpha * 60.0
   UncSigmaDelta =  UncSigmaDelta * 60.0

   TotalSrcFlux = 1.0E6 * SrcParams(i,0) * Area          ; Jy

   UncTotalSrcFlux = TotalSrcFlux * ( (UncSrcParams(i,0) / SrcParams(i,0))   +  $
                                      (UncSrcParams(i,1) / SrcParams(i,1))   +  $
                                      (UncSrcParams(i,2) / SrcParams(i,2)) )

;  /* 2000 + 1950 position */

   pia_sm_radec,  SrcRA, SrcDec,  ihr, imin, xsec,  ideg, imn, xsc, idecsign
   adecsign = '+'
   if (idecsign eq -1) then adecsign = '-'

   pia_sm_Bprecess, SrcRA, SrcDec, SrcRA_1950, SrcDec_1950
   pia_sm_radec,    SrcRA_1950, SrcDec_1950,     $
                    ihr_1950, imin_1950, xsec_1950,    $
                    ideg_1950, imn_1950, xsc_1950, idecsign_1950
   adecsign_1950 = '+'
   if (idecsign_1950 eq -1) then adecsign_1950 = '-'


;  /* also galactic longitude , lattitude */

   EULER,   SrcRA_1950, SrcDec_1950, SrcLgal, SrcBgal, 1




;  /* check iras galaxy catalog fir associations */

   IRASAssocSrc = PIA_SM_IRASGAL_ASSOC (SrcRA , SrcDec , SearchRadius , NAssoc)

   IF (NAssoc GT 0)  $
      THEN begin
          IRAS_Name1 = IRASAssocSrc(0).Name
          IRAS_RA1   =  IRASAssocSrc(0).RA
          IRAS_Dec1  =  IRASAssocSrc(0).Dec
          IRAS_Dist1 =  60.0 * IRASAssocSrc(0).Dist
      ENDIF

   IF (NAssoc GT 1)  $
      THEN begin
          IRAS_Name2 = IRASAssocSrc(1).Name
          IRAS_RA2   =  IRASAssocSrc(1).RA
          IRAS_Dec2  =  IRASAssocSrc(1).Dec
          IRAS_Dist2 =  60.0 * IRASAssocSrc(1).Dist
      ENDIF


;  /* prepare chi etc from fit parameters */


   NFree       = Float (NoFitPointsVec(i) - NParams)
   RChiSq      = ChiSqVec (i)
   ChiSq       = RChiSq * NFree
   GoodnessFit = 0.0
   NaNIndex    = WhereNaN (SrcParams(i,*) , NoNaNs)
   If (NFree ge 1)  $
      then begin
         If (NoNaNs le 0)  then  $
            GoodnessFit = Float (1.0D0 - IGAMMA (0.5D0*Double(NFree) , 0.5D0*ChiSq))
      endif




   NoSrcPoints =  SrcEnd(i) - SrcStart(i) + 1
   OffSet =  SrcFitEnd(i) - SrcFitStart(i) + 1


;  /* mean background at source position */

   MnBack1 =  Total (BackFlux (0 , SrcStart(i):SrcEnd(i))) / Float (NoSrcPoints)
   MnBack2 =  Total (BackFlux (1 , SrcStart(i):SrcEnd(i))) / Float (NoSrcPoints)
   MnBack3 =  Total (BackFlux (2 , SrcStart(i):SrcEnd(i))) / Float (NoSrcPoints)
   MnBack4 =  Total (BackFlux (3 , SrcStart(i):SrcEnd(i))) / Float (NoSrcPoints)

;  /* signal-to-noise ratios */

   SNR1 = Max (DiffFlux (0 , SrcStart(i):SrcEnd(i))) / GlobalNoise (0)
   SNR2 = Max (DiffFlux (1 , SrcStart(i):SrcEnd(i))) / GlobalNoise (1)
   SNR3 = Max (DiffFlux (2 , SrcStart(i):SrcEnd(i))) / GlobalNoise (2)
   SNR4 = Max (DiffFlux (3 , SrcStart(i):SrcEnd(i))) / GlobalNoise (3)


;  /* peak values of fit at source position */

   FitPeak1 = Max (Fit2DResults (i,0         :  OffSet-1))
   FitPeak2 = Max (Fit2DResults (i,OffSet    :2*OffSet-1))
   FitPeak3 = Max (Fit2DResults (i,2*OffSet  :3*OffSet-1))
   FitPeak4 = Max (Fit2DResults (i,3*Offset  :4*OffSet-1))

;  /* fit-to-noise  ratios */

   FNR1 =  FitPeak1 / GlobalNoise (0)
   FNR2 =  FitPeak2 / GlobalNoise (1)
   FNR3 =  FitPeak3 / GlobalNoise (2)
   FNR4 =  FitPeak4 / GlobalNoise (3)


;  /* fit-to-signal  ratios */

   FSR1 =  FitPeak1 / Max (DiffFlux (0 , SrcStart(i):SrcEnd(i)))
   FSR2 =  FitPeak2 / Max (DiffFlux (1 , SrcStart(i):SrcEnd(i)))
   FSR3 =  FitPeak3 / Max (DiffFlux (2 , SrcStart(i):SrcEnd(i)))
   FSR4 =  FitPeak4 / Max (DiffFlux (3 , SrcStart(i):SrcEnd(i)))




;  /* prepare positions in strings */

   RightAsc2000Str =  STRING (ihr, HCHARACTER , imin, MCHARACTER, xsec, SCHARACTER,   $
                              Format='(I2.2,A,I2.2,A,F5.2,A)')
   RightAsc2000String = RightAsc2000Str
   IF (StrPos (RightAsc2000Str ,' ') GT 0)   $
      THEN  RightAsc2000String =  REPSTR  (RightAsc2000Str , ' ' , '0')


   Declin2000Str =  STRING (adecsign, ideg, DCHARACTER, imn, MCHARACTER, xsc, SCHARACTER,  $
                               Format='(A,I2.2,A,I2.2,A,F5.2,A)')
   Declin2000String = Declin2000Str
   IF (StrPos (Declin2000Str ,' ') GT 0)   $
      THEN  Declin2000String =  REPSTR  (Declin2000Str , ' ' , '0')



   RightAsc1950Str =  STRING (ihr_1950,  HCHARACTER, imin_1950,   $
                              MCHARACTER, xsec_1950, SCHARACTER,           $
                              Format='(I2.2,A,I2.2,A,F5.2,A)')
   RightAsc1950String = RightAsc1950Str
   IF (StrPos (RightAsc1950Str ,' ') GT 0)   $
      THEN  RightAsc1950String =  REPSTR (RightAsc1950Str , ' ' , '0')


   Declin1950Str =  STRING (adecsign_1950, ideg_1950, DCHARACTER, imn_1950,   $
                               MCHARACTER, xsc_1950, SCHARACTER,  $
                               Format='(A,I2.2,A,I2.2,A,F5.2,A)')
   Declin1950String = Declin1950Str
   IF (StrPos (Declin1950Str ,' ') GT 0)   $
      THEN  Declin1950String =  REPSTR  (Declin1950Str , ' ' , '0')




;  /* start the print out to logfile */

   Printf,  OutUnit ,                $
              Format='(2x,A,2x,I4,5x,'   +                                             $
                     'A12, 4x, A13, 5x,'    +       $
                     'A12, 4x, A13, 4x,  F7.2,4x,F6.2,  $)' ,  $
              SlewName,                                                             $

              i,                                                                    $

              RightAsc2000String, Declin2000String ,                                $

              RightAsc1950String, Declin1950String ,                                $

              SrcLgal, SrcBgal




   Printf,  OutUnit ,                $
              Format='(4x,F11.2,1x,F8.2,3x,F7.2,2x,F7.2,4x,'                     +  $
                     'F8.4,1x,F8.4,3x, F8.4,1x,F8.4,3x,   2x,F9.5,1x,F9.5,4x, '  +  $
                     ' F9.5,1x,F9.5,3x,'  +        $
                     '1x,F5.2,5x,I4,1x,I4,4x,F9.3,2x,F9.5,3x,I4,2x,F7.4,2x,'      +                                 $
                     'F7.3,1x,F7.3,1x,F7.3,1x,F7.3,    $)' ,                  $

              TotalSrcFlux ,        $
              UncTotalSrcFlux ,     $

              SrcParams(i,0) ,      $
              UncSrcParams(i,0) ,   $

              SigmaAlpha ,          $
              UncSigmaAlpha ,       $

              SigmaDelta ,          $
              UncSigmaDelta ,       $

              SrcRA ,               $
              UncSrcRA,             $

              SrcDec ,              $
              UncSrcDec,            $

              Distances (i) ,       $

              SrcStart(i) ,         $
              SrcEnd(i) ,           $

              ChiSq ,               $
              RChiSq ,              $
              NoFitPointsVec (i) ,  $
              GoodnessFit ,         $

              SNR1 ,                $
              SNR2 ,                $
              SNR3 ,                $
              SNR4




   Printf,  OutUnit ,                $
              Format='(2x,F7.3,1x,F7.3,1x,F7.3,1x,F7.3,2x, '  +             $
                     'F7.3,1x,F7.3,1x,F7.3,1x,F7.3,2x,  '  +             $
                     'F7.1,1x,F7.1,1x,F7.1,1x,F7.1,2x,  '  +             $
                     'F7.3,1x,F7.3,1x,F7.3,1x,F7.3,2x,  '  +             $
                     'F7.3,1x,F7.3,1x,F7.3,1x,F7.3,4x,  '  +             $
                     'I1,I1,I1,I1,  6X, A1,    $)' ,                  $

              FNR1 ,                $
              FNR2 ,                $
              FNR3 ,                $
              FNR4 ,                $

              FSR1 ,                $
              FSR2 ,                $
              FSR3 ,                $
              FSR4 ,                $

              MnBack1 ,             $
              MnBack2 ,             $
              MnBack3 ,             $
              MnBack4 ,             $

              GlobalNoise (0) ,     $
              GlobalNoise (1) ,     $
              GlobalNoise (2) ,     $
              GlobalNoise (3) ,     $

              Sensitiv (0) ,        $
              Sensitiv (1) ,        $
              Sensitiv (2) ,        $
              Sensitiv (3) ,        $

              UsedPixels (0),       $
              UsedPixels (1),       $
              UsedPixels (2),       $
              UsedPixels (3),       $

              SubPixelUsed


;  /* at most two of IRAS associations are logged */

   IF (NAssoc EQ 0)  $
      THEN begin
        Printf,  OutUnit , Format='(3x,A)' , ' '
      ENDIF

   IF (NAssoc EQ 1)  $
      THEN begin
         Printf,  OutUnit ,                $
              Format='(5x, A, 2x, F9.5, 1x, F9.5, 2x, F5.2)' ,   $
              IRAS_Name1, IRAS_RA1, IRAS_Dec1, IRAS_Dist1
      ENDIF

   IF (NAssoc GT 1)  $
      THEN begin
         Printf,  OutUnit ,                $
              Format='(5x, A, 2x, F9.5, 1x, F9.5, 2x, F5.2, $)' ,   $
              IRAS_Name1, IRAS_RA1, IRAS_Dec1, IRAS_Dist1

        Printf,  OutUnit ,                $
              Format='(3x, A, 2x, F9.5, 1x, F9.5, 2x, F5.2)' ,   $
              IRAS_Name2, IRAS_RA2, IRAS_Dec2, IRAS_Dist2
      ENDIF


EndFor


Close, OutUnit
Free_Lun, OutUnit

Return
End















Pro  PIA_SM_Saver,  SlewName, SlewFlux, DiffFlux, BackFlux,                   $
                      CleanFlux, FluxErr, SlewNoise, MeanDiffFlux,              $
                      FilteredMeanDiffFlux, MeanDiffNoise, RunningSigma,        $
                      CosmicMask, Fit2DInputs, Fit2DResults, Fit1DResults,      $
                      SrcParams, UncSrcParams, CumuSrcMask,                     $
                      SrcStart, SrcEnd, SrcFitStart, SrcFitEnd, NWinds,         $
                      UsedPixels, GlobalNoise, Sensitiv, Distances,             $
                      RACenter, DecCenter, RollAngle, RAPosit, DecPosit,        $
                      RAPixelCorn, DecPixelCorn, SubPixel=SubPixel,             $
                      _EXTRA=EXTRA
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



Filename =  StrCompress(!PIA_SERDIR+SlewName+'.SESA', /REM)

Save , Filename=Filename , /XDR ,                                $
       SlewName, SlewFlux, DiffFlux, BackFlux,                   $
       CleanFlux, FluxErr, SlewNoise, MeanDiffFlux,              $
       FilteredMeanDiffFlux, MeanDiffNoise, RunningSigma,        $
       CosmicMask, Fit2DInputs, Fit2DResults, Fit1DResults,      $
       SrcParams, UncSrcParams, CumuSrcMask,                     $
       SrcStart, SrcEnd, SrcFitStart, SrcFitEnd, NWinds,         $
       UsedPixels, GlobalNoise, Sensitiv, Distances,             $
       RACenter, DecCenter, RollAngle, RAPosit, DecPosit,        $
       RAPixelCorn, DecPixelCorn, SubPixel


Return
END














Pro  PIA_SM_Plotter,  SlewName, SlewFlux, DiffFlux, BackFlux,                   $
                      CleanFlux, FluxErr, SlewNoise, MeanDiffFlux,              $
                      FilteredMeanDiffFlux, MeanDiffNoise, RunningSigma,        $
                      CosmicMask, Fit2DInputs, Fit2DResults, Fit1DResults,      $
                      SrcParams, UncSrcParams, CumuSrcMask,                     $
                      SrcStart, SrcEnd, SrcFitStart, SrcFitEnd, NWinds,         $
                      RACenter, DecCenter, RollAngle, RAPosit, DecPosit,        $
                      RAPixelCorn, DecPixelCorn,                                $
                      SubPixel=SubPixel,             $
                      _EXTRA=EXTRA
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



LogExtension =  '-NoSub'
SubPixelUsed =  'N'
IF  (Keyword_set (SubPixel)) $
    THEN BEGIN
      SubPixelUsed =  'Y'
      LogExtension =  '-Sub'
    endif


If (NWinds gt 0)  $
   then begin
      Dimen    = Size (SrcParams)
      NSources = Dimen (1)
      NParams  = Dimen (2)
   endif

Dimen   = Size (SlewFlux)
NPixels = Dimen (1)
NData   = Dimen (2)


Set_Plot, 'PS'
Device, File=StrCompress(!PIA_SERDIR+SlewName+LogExtension+'.ps', /REM), /Landscape

; /* slew data (flux, back, diff, cleaned) for each of the 4 detector pixels */

!P.MULTI = [0 , 0 , 4 , 0 , 0]
Plot, SlewFlux(0,*), /xst, /yst, Title=SlewName+', Flux, Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, BackFlux(0,*), /xst, /yst, Title=SlewName+', BackFlux, Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, DiffFlux(0,*), /xst, /yst, Title=SlewName+', DiffFlux, Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

ymax =  max (CleanFlux(0,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (0,*)) * (ymax - ymin))
Plot, CleanFlux(0,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10
;Plot, CleanFlux(0,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'


!P.MULTI = [0 , 0 , 4 , 0 , 0]
Plot, SlewFlux(1,*), /xst, /yst, Title=SlewName+', Flux, Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, BackFlux(1,*), /xst, /yst, Title=SlewName+', BackFlux, Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, DiffFlux(1,*), /xst, /yst, Title=SlewName+', DiffFlux, Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

ymax =  max (CleanFlux(1,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (1,*)) * (ymax - ymin))
Plot, CleanFlux(1,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10
;Plot, CleanFlux(1,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'


!P.MULTI = [0 , 0 , 4 , 0 , 0]
Plot, SlewFlux(2,*), /xst, /yst, Title=SlewName+', Flux, Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, BackFlux(2,*), /xst, /yst, Title=SlewName+', BackFlux, Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, DiffFlux(2,*), /xst, /yst, Title=SlewName+', DiffFlux, Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

ymax =  max (CleanFlux(2,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (2,*)) * (ymax - ymin))
Plot, CleanFlux(2,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10
;Plot, CleanFlux(2,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'


!P.MULTI = [0 , 0 , 4 , 0 , 0]
Plot, SlewFlux(3,*), /xst, /yst, Title=SlewName+', Flux, Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, BackFlux(3,*), /xst, /yst, Title=SlewName+', BackFlux, Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
Plot, DiffFlux(3,*), /xst, /yst, Title=SlewName+', DiffFlux, Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

ymax =  max (CleanFlux(3,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (3,*)) * (ymax - ymin))
Plot, CleanFlux(3,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10
;Plot, CleanFlux(3,*), /xst, /yst, Title=SlewName+', CleanFlux, Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'



; /* cleaned slew data for all 4 detector pixels */

!P.MULTI = [0 , 0 , 4 , 0 , 0]

ymax =  max (CleanFlux(0,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (0,*)) * (ymax - ymin))
Plot, CleanFlux(0,*), /xst, /yst, psym=10,   $
      Title=SlewName+', CleanFlux, Pixel 1',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10

ymax =  max (CleanFlux(1,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (1,*)) * (ymax - ymin))
Plot, CleanFlux(1,*), /xst, /yst, psym=10,   $
      Title=SlewName+', CleanFlux, Pixel 2',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10

ymax =  max (CleanFlux(2,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (2,*)) * (ymax - ymin))
Plot, CleanFlux(2,*), /xst, /yst, psym=10,   $
      Title=SlewName+', CleanFlux, Pixel 3',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10

ymax =  max (CleanFlux(3,*) , min=ymin)
ScrMask = (0.98*ymax) - (0.08 * Transpose (CosmicMask (3,*)) * (ymax - ymin))
Plot, CleanFlux(3,*), /xst, /yst, psym=10,   $
      Title=SlewName+', CleanFlux, Pixel 4',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10




; /* slew noise data for all 4 detector pixels */

!P.MULTI = [0 , 0 , 4 , 0 , 0]

ymin =  2. * min (MeanDiffNoise (*))
ymax =  4. * max (MeanDiffNoise (*))

Plot, SlewNoise(0,*), /xst, /yst, yr=[ymin,ymax], psym=10,   $
      Title=SlewName+', SlewNoise Pixel 1',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

Plot, SlewNoise(1,*), /xst, /yst, yr=[ymin,ymax], psym=10,   $
      Title=SlewName+', SlewNoise Pixel 2',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

Plot, SlewNoise(2,*), /xst, /yst, yr=[ymin,ymax], psym=10,   $
      Title=SlewName+', SlewNoise Pixel 3',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

Plot, SlewNoise(3,*), /xst, /yst, yr=[ymin,ymax], psym=10,   $
      Title=SlewName+', SlewNoise Pixel 4',   $
      XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'



; /* mean backgound subtracted slew data */

!P.MULTI = [0 , 0 , 1 , 0 , 0]
ymax =  max (MeanDiffFlux(*) , min=ymin)
ScrMask = -0.5 -(0.1 * CumuSrcMask * (ymax - ymin))
ymin =  min ([ymin , ScrMask(*)])
ymin =  ymin - 0.1
ymax =  ymax + 0.1
Plot,  MeanDiffFlux(*), /xst, /yst,  yr=[ymin,ymax],   $
       Title=SlewName+', Mean(BackSubtracted)',   $
       XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10


; /* filtered mean backgound subtracted slew data */

!P.MULTI = [0 , 0 , 1 , 0 , 0]
ymax =  max (FilteredMeanDiffFlux(*) , min=ymin)
ScrMask = -0.5 -(0.1 * CumuSrcMask * (Max(MeanDiffFlux)-Min(MeanDiffFlux)))
ymin =  min ([ymin , ScrMask(*)])
ymin =  ymin - 0.1
ymax =  ymax + 0.1
Plot,  FilteredMeanDiffFlux(*), /xst, /yst, yr=[ymin,ymax],   $
       Title=SlewName+', Filtered_Mean(BackSubtracted)',    $
       XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
OPlot, ScrMask, psym=10

; /* noise of mean of backgound subtracted slew data */

!P.MULTI = [0 , 0 , 1 , 0 , 0]
Plot,  MeanDiffNoise (*), /xst, /yst,   $
       Title=SlewName+', Noise (Mean(BackSubtracted))',   $
       XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'

; /* running sigma of mean of backgound subtracted slew data */

!P.MULTI = [0 , 0 , 1 , 0 , 0]
Plot,  RunningSigma(*), /xst, /yst,   $
       Title=SlewName+', RunningSigma (Mean(BackSubtracted))',   $
       XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'


;!P.MULTI = [0 , 0 , 4 , 0 , 0]
;Plot, Fit1DResults (0,*), /xst, Title=SlewName+', Fit1D Pixel 1', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
;Plot, Fit1DResults (1,*), /xst, Title=SlewName+', Fit1D Pixel 2', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
;Plot, Fit1DResults (2,*), /xst, Title=SlewName+', Fit1D Pixel 3', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
;Plot, Fit1DResults (3,*), /xst, Title=SlewName+', Fit1D Pixel 4', XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'



If (NWinds gt 0)  $
   then begin
      For i = 0 , NSources-1  do begin

         !P.MULTI = [0 , 0 , 3 , 0 , 0]

         SYSTEM_PlotPosition =  !P.Position

;        /* plot data , fitted data , and residuals */

      	 NPlotPnts = NPixels * (SrcFitEnd (i) - SrcFitStart (i) + 1)
      	 Width     = SrcFitEnd (i) - SrcFitStart (i) + 1
      	 XVec      = FIndGen (NPlotPnts) + Float (SrcFitStart (i))

      	 Plot,  XVec, Fit2DInputs(i,*), /xst, psym=10,      $
                Title=SlewName+', Source '+StrCompress(i,/REM),   $
                XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
      	 OPlot, XVec, Fit2DResults(i,*)
      	 OPlot, [SrcFitStart(i)+Width, SrcFitStart(i)+Width], [-1000,10000]
      	 OPlot, [SrcFitStart(i)+2*Width, SrcFitStart(i)+2*Width], [-1000,10000]
      	 OPlot, [SrcFitStart(i)+3*Width, SrcFitStart(i)+3*Width], [-1000,10000]


         Residuals = Fit2DInputs(i,*)-Fit2DResults(i,*)

      	 Plot,  XVec, Residuals, /xst, psym=10,      $
                Title=SlewName+', Source '+StrCompress(i,/REM)+' : Residuals',   $
                XTitle='SampleNo.', YTitle='Surf.Bright.[MJy/sr]'
      	 OPlot, [SrcFitStart(i)+Width, SrcFitStart(i)+Width], [-1000,10000]
      	 OPlot, [SrcFitStart(i)+2*Width, SrcFitStart(i)+2*Width], [-1000,10000]
      	 OPlot, [SrcFitStart(i)+3*Width, SrcFitStart(i)+3*Width], [-1000,10000]




	 XVecCenter = RACenter  ( ((SrcFitStart(i)-10) > 0) : ((SrcFitEnd(i)+10) < (NData-1)) )
	 YVecCenter = DecCenter ( ((SrcFitStart(i)-10) > 0) : ((SrcFitEnd(i)+10) < (NData-1)) )

         XVecPixel =  RAPosit (* , ((SrcFitStart(i)-10) > 0) : ((SrcFitEnd(i)+10) < (NData-1)) )
         YVecPixel =  DecPosit (* , ((SrcFitStart(i)-10) > 0) : ((SrcFitEnd(i)+10) < (NData-1)) )


;        /* plot issa / 100 um map centered on fitted src position */

         !P.Position =  [0.0 , 0.0 , 0.22 , 0.3]

         pia_sm_plotissa_src , SrcParams(i,3) , SrcParams(i,4) ,                $
;;                           ParabolaPos (i,0) , ParabolaPos (i,1) ,              $
                           XVecCenter , YVecCenter , XVecPixel , YVecPixel


;        /* plot issa / 100 um map with whole slew */

         !P.Position =  [0.35 , 0.0 , 0.57 , 0.3]

         pia_sm_plotissa_slew , SrcParams(i,3) , SrcParams(i,4) ,                 $
                           XVecCenter , YVecCenter , XVecPixel , YVecPixel




;        /* plot pixel positions along slew and source */


         !P.Position =  [0.7 , 0.0 , 1.0 , 0.3]

         XMax = SrcParams(i,3)
         YMax = SrcParams(i,4)
         XMin =  XMax
         YMin =  YMax
	 For k = 0 , NPixels-1  do  begin
            XMax = Max ([Transpose (RAPosit (k , SrcFitStart (i) : SrcFitEnd (i))) , XMax])
            YMax = Max ([Transpose (DecPosit (k , SrcFitStart (i) : SrcFitEnd (i))) , YMax])
            XMin = Min ([Transpose (RAPosit (k , SrcFitStart (i) : SrcFitEnd (i))) , XMin])
            YMin = Min ([Transpose (DecPosit (k , SrcFitStart (i) : SrcFitEnd (i))) , YMin])
	 EndFor



	 Plot, XVecCenter, YVecCenter,              $
               xr=[xmax+0.1*(xmax-xmin) , xmin-0.1*(xmax-xmin)] , /xst ,    $
               yr=[ymin-0.1*(ymax-ymin) , ymax+0.1*(ymax-ymin)] , /yst ,    $
		  Title=SlewName+', Source '+StrCompress(i,/REM)+'PixelPositions',  $
		  XTitle='RA', YTitle='Dec' , /NODATA

	 For k = 0 , NPixels-1  do  begin
            Oplot, RAPosit (k , *) , DecPosit (k,*) , Psym=3
	 EndFor

         Oplot, [SrcParams(i,3)] , [SrcParams(i,4)] , Psym=1

         SigmaX =  SrcParams(i,1)
         SigmaY =  SrcParams(i,2)

         DeltaSigX = SigmaX / 40.
         DeltaSigY = SigmaY / 40.

         XVec = (FIndGen (81) - 40.0) * DeltaSigX
         YVec = + SigmaY * sqrt (1.0 - ((XVec(*)/SigmaX)^2))

         XVec = [+XVec , -XVec , +XVec]
         YVec = [+YVec , -YVec , +YVec]

         XVec = XVec * Cos (SrcParams(i,4) * !DTOR)

         XVec (*) = XVec (*) + SrcParams(i,3)
         YVec (*) = YVec (*) + SrcParams(i,4)

         Oplot, XVec , YVec , psym=0


         !P.Position =  SYSTEM_PlotPosition

      EndFor
   endif



; /* positions : RA vs. Dec, RA vs. sample #, Dec vs. sample #  */

!P.MULTI = [0 , 0 , 1 , 0 , 0]

Plot,  RaCenter(*) , DecCenter (*) , /xst, /yst, Title=SlewName+', Slew-Positions', XTitle='RA [deg]', YTitle='Dec [deg]'

Plot,  RaCenter(*) , /xst, /yst, Title=SlewName+', Slew-Positions RA', XTitle='Sample Number', YTitle='RA [deg]'

Plot,  DecCenter(*) , /xst, /yst, Title=SlewName+', Slew-Positions DEC', XTitle='Sample Number', YTitle='Dec [deg]'




Device, /Close

!P.MULTI (*) = 0

Set_Plot, 'X'

Return
End













PRO  pia_sm_plotissa_slew ,  src_rapos , src_decpos , XVecCenter , YVecCenter ,   $
                            XvecPixel , YVecPixel , open=open
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

scale = 40.

xsize2 =  31
ysize2 =  31


Dimen   = Size (XVecPixel)
NPixel  = Dimen (1)
NData   = Dimen (2)


SlewRACenter =  XVecCenter(NData/2)
SlewDecCenter =  YVecCenter(NData/2)

precess, SlewRACenter , SlewDecCenter , 2000. , 1950.



srcrapos = src_rapos
srcdecpos = src_decpos

precess, srcrapos , srcdecpos , 2000. , 1950.



RACenterPos  = XVecCenter (*)
DecCenterPos =  YVecCenter (*)

RAPixelPos  = XVecPixel (*,*)
DecPixelPos =  YVecPixel (*,*)


precess, RACenterpos , DecCenterpos , 2000. , 1950.

For k = 0 , NPixel-1  do  begin
   TmpRA  =  Transpose (RAPixelPos (k,*))
   TmpDec =   Transpose (DecPixelPos (k,*))

   precess, TmpRA , TmpDec , 2000. , 1950.

   RAPixelPos (k,*) = TmpRA
   DecPixelPos (k,*) = TmpDec
ENDFOR




issamap = (!ISSA_DIR + ffield (SlewRACenter , SlewDecCenter))(0)

issadata  = readfits(issamap,h)
ra_cent   = fxpar(h,'CRVAL1')
dec_cent  = fxpar(h,'CRVAL2')
n_ra      = fxpar(h,'NAXIS1')
n_dec     = fxpar(h,'NAXIS2')


ms_deg2gno, SlewRACenter , SlewDecCenter , ra_cent, dec_cent, scale,   $
         n_ra, n_dec, SlewCnterRA_pix, SlewCnterDec_pix

xpixmin =  (SlewCnterRA_pix - xsize2)   >  0
xpixmax =  (SlewCnterRA_pix + xsize2)   <  n_ra-1

ypixmin =  (SlewCnterDec_pix - xsize2)   >  0
ypixmax =  (SlewCnterDec_pix + ysize2)   <  n_ra-1

subxsize = xpixmax - xpixmin + 1
subysize = ypixmax - ypixmin + 1




ms_deg2gno, SlewRACenter , SlewDecCenter , ra_cent, dec_cent, scale,   $
         n_ra, n_dec, SlewCnterRA_pix, SlewCnterDec_pix , /FLOAT


ms_deg2gno, srcrapos, srcdecpos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, srcra_pix, srcdec_pix , /FLOAT


ms_deg2gno, RACenterpos, DecCenterpos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, CenterRA_pix, CenterDec_pix , /FLOAT


ms_deg2gno, RAPixelPos , DecPixelPos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, PixelRA_pix, PixelDec_pix , /FLOAT


SlewCnterRA_pix = SlewCnterRA_pix - xpixmin
SlewCnterDec_pix = SlewCnterDec_pix - ypixmin

srcra_pix = srcra_pix - xpixmin
srcdec_pix = srcdec_pix - ypixmin

CenterRA_pix  = CenterRA_pix(*) - xpixmin
CenterDec_pix = CenterDec_pix(*) - ypixmin

PixelRA_pix  = PixelRA_pix (*,*) - xpixmin
PixelDec_pix = PixelDec_pix (*,*) - ypixmin



issa_subimage =  issadata(xpixmin:xpixmax , ypixmin:ypixmax)

medval = median (issa_subimage)
sigval = sigma (issa_subimage)

MINval = (MEDval - 2.0*SIGval) > 0.
MAXval = (MEDval + 4.0*SIGval)

issa_subimage_scld = bytscl(issa_subimage, min=minval, max=maxval)

IF (keyword_set (open))  $
   THEN BEGIN
      set_plot , 'ps'
      device , file='idl.ps'
   ENDIF


plot,[subxsize-1,0], [0,subysize-1], /nodata, xst=5, yst=5, /noerase

tv , issa_subimage_scld , !X.Window(0) , !Y.Window(0) ,   $
     Xsize=!X.Window(1)-!X.Window(0) , Ysize=!Y.Window(1)-!Y.Window(0) ,  $
     /NORM

oplot, [srcra_pix] , [srcdec_pix] , psym=2

oplot, CenterRA_pix (*) , CenterDec_pix (*) , psym=4 , symsize=0.5


For k = 0 , NPixel-1  do  begin
   oplot, PixelRA_pix (k,*) , PixelDec_pix (k,*) , psym=3
ENDFOR



IF (keyword_set (open))  $
   then BEGIN
      device , /close
   ENDIF

return
END










PRO  pia_sm_plotissa_src ,  src_rapos , src_decpos ,   $
;;                            ParabRA , ParabDec ,   $
                            XVecCenter , YVecCenter ,   $
                            XvecPixel , YVecPixel , open=open
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

scale = 40.

xsize2 =  21
ysize2 =  21

xsize2 =  19
ysize2 =  19



Dimen   = Size (XVecPixel)
NPixel  = Dimen (1)
NData   = Dimen (2)



srcrapos = src_rapos
srcdecpos = src_decpos

precess, srcrapos , srcdecpos , 2000. , 1950.




RACenterPos  = XVecCenter (*)
DecCenterPos =  YVecCenter (*)

RAPixelPos  = XVecPixel (*,*)
DecPixelPos =  YVecPixel (*,*)


precess, RACenterpos , DecCenterpos , 2000. , 1950.

For k = 0 , NPixel-1  do  begin
   TmpRA  =  Transpose (RAPixelPos (k,*))
   TmpDec =   Transpose (DecPixelPos (k,*))

   precess, TmpRA , TmpDec , 2000. , 1950.

   RAPixelPos (k,*) = TmpRA
   DecPixelPos (k,*) = TmpDec
ENDFOR



issamap = (!ISSA_DIR + ffield (srcrapos , srcdecpos))(0)

issadata  = readfits(issamap,h)
ra_cent   = fxpar(h,'CRVAL1')
dec_cent  = fxpar(h,'CRVAL2')
n_ra      = fxpar(h,'NAXIS1')
n_dec     = fxpar(h,'NAXIS2')


ms_deg2gno, srcrapos, srcdecpos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, srcra_pix, srcdec_pix

xpixmin =  (srcra_pix - xsize2)   >  0
xpixmax =  (srcra_pix + xsize2)   <  n_ra-1

ypixmin =  (srcdec_pix - xsize2)   >  0
ypixmax =  (srcdec_pix + ysize2)   <  n_ra-1

subxsize = xpixmax - xpixmin + 1
subysize = ypixmax - ypixmin + 1




ms_deg2gno, srcrapos, srcdecpos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, srcra_pix, srcdec_pix , /FLOAT


ms_deg2gno, RACenterpos, DecCenterpos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, CenterRA_pix, CenterDec_pix , /FLOAT


ms_deg2gno, RAPixelPos , DecPixelPos, ra_cent, dec_cent, scale,   $
         n_ra, n_dec, PixelRA_pix, PixelDec_pix , /FLOAT

srcra_pix = srcra_pix - xpixmin
srcdec_pix = srcdec_pix - ypixmin

CenterRA_pix  = CenterRA_pix(*) - xpixmin
CenterDec_pix = CenterDec_pix(*) - ypixmin

PixelRA_pix  = PixelRA_pix (*,*) - xpixmin
PixelDec_pix = PixelDec_pix (*,*) - ypixmin






;;>>RAParab =  ParabRA
;;>>DecParab =  ParabDec
;;>>precess, RAParab , DecParab , 2000. , 1950.
;;>>
;;>>ms_deg2gno, RAParab , DecParab , ra_cent, dec_cent, scale,   $
;;>>         n_ra, n_dec, parabra_pix, parabdec_pix , /FLOAT
;;>>
;;>>parabra_pix =  parabra_pix - xpixmin
;;>>parabdec_pix =  parabdec_pix - ypixmin







issa_subimage =  issadata(xpixmin:xpixmax , ypixmin:ypixmax)

medval = median (issa_subimage)
sigval = sigma (issa_subimage)

MINval = (MEDval - 2.0*SIGval) > 0.
MAXval = (MEDval + 4.0*SIGval)

issa_subimage_scld = bytscl(issa_subimage, min=minval, max=maxval)

IF (keyword_set (open))  $
   THEN BEGIN
      set_plot , 'ps'
      device , file='idl.ps'
   ENDIF


plot,[subxsize-1,0], [0,subysize-1], /nodata, xst=5, yst=5, /noerase

tv , issa_subimage_scld , !X.Window(0) , !Y.Window(0) ,   $
     Xsize=!X.Window(1)-!X.Window(0) , Ysize=!Y.Window(1)-!Y.Window(0) ,  $
     /NORM

oplot, [srcra_pix] , [srcdec_pix] , psym=2

oplot, CenterRA_pix (*) , CenterDec_pix (*) , psym=4 , symsize=0.5



For k = 0 , NPixel-1  do  begin
   oplot, PixelRA_pix (k,*) , PixelDec_pix (k,*) , psym=3
ENDFOR


;;>>oplot, [parabra_pix] , [parabdec_pix] , psym=4
;;>>oplot, [parabra_pix] , [parabdec_pix] , psym=6


IF (keyword_set (open))  $
   then BEGIN
      device , /close
   ENDIF

return
END
















;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
FUNCTION PIA_SM_IRASGAL_ASSOC, RA, DEC, RADIUS, NASSOC
;+
; NAME:
;	PIA_SM_IRASGAL_ASSOC
; PURPOSE:
;       This routine searches the IRAS catalogued galaxies and quasars for all
;       objects
;       closer than RADIUS to the position specified by RA and DEC. RA and
;       DEC are specified in J2000. PIA_SM_IRASGAL_ASSOC returns
;       a structure array containing all associations to the specified position.
;
; CALLING SEQUENCE:
;	RESULT = PIA_SM_IRASGAL_ASSOC(RA, DEC, RADIUS, NASSOC)
;
; INPUT PARAMETERS:
;	RA	: float scalar, containing the right ascension of the search
;                 position (degrees, J2000).
;	DEC	: float scalar, containing the declination of the search
;                 position (degrees, J2000).
;	RADIUS	: float scalar, containing the search radius (degrees).
;
; OPTIONAL INPUT:
;
; OUTPUTS:
;       PIA_SM_IRASGAL_ASSOC returns a structure array containing the matching
;       associations plus the spatial distance.
;
;       NASSOC: integer scalar, containing the number of associations.
;
; OPTIONAL OUTPUT:
;
; RESTRICTIONS:
;       PIA_SM_IRASGAL_ASSOC needs the IRAS extragalactic catalog stored in a
;       special
;       format in different save files (splitted into bins of 30 x 30 degrees).
;
; METHOD:
;
; PROCEDURES USED:
;
; MODIFICATION HISTORY:
;	Written by S. Bogun (MPIA)                   	June 1997
;
;Needed common blocks :
;       irasgal_assoc: handles for the PSC buffer
;-

   ON_ERROR, 0
;
; Check the number of parameters
;
   IF N_PARAMS() LT 4 THEN MESSAGE, $
    'Syntax: PIA_SM_IRASGAL_ASSOC, RA, DEC, RADIUS, NASSOC'

   COMMON irasgal_assoc, handle

; find the needed file for the given position
   irasgal_files_prefix = 'iras_galaxies_qs_'

   step_dec = 30.0D0
   overlap_dec = 0.100001d0
   ndec = nint(180./step_dec)

   idec = FIX((dec+90.000001)/step_dec)
   idec = (idec > 0) < (ndec-1)
   decm = -90.d0+(idec+0.5)*step_dec

   nra = nint(cos(decm*!dtor)*360./step_dec)
   IF idec EQ 0 OR idec EQ ndec-1 THEN nra = 1
   step_ra = 360.d0/nra
   overlap_ra = (0.10001d0 / cos(decm*!dtor)) < 360.

   ira = FIX((ra+0.000001)/step_ra)

   IF n_elements(handle) EQ 0 THEN $
      handle = lonarr(nint(360./step_dec),ndec)

; load file if not yet in buffer, otherwise get from buffer
   IF handle(ira,idec) EQ 0 THEN BEGIN
      file = irasgal_files_prefix+string(ira,idec,format=$
             '(i2.2,"_",i2.2)')+'.sav'
;;      restore,!CALSAVE+file
      restore,'/data/serend/results/iras_catalogs/'+file
      handle(ira,idec) = handle_create(value=irasgal)
   ENDIF $
   ELSE $
      handle_value, handle(ira,idec), irasgal

; warning: if search radius larger than overlap, association list could be
; incomplete
   IF radius GT overlap_dec THEN message, /info, $
    '*** Warning: search radius is too large. Association list could be ' +$
    'imcomplete! ***'

; search for the associations
   dist = sphdist(irasgal.ra,irasgal.dec,ra,dec)
   iassoc = where(dist LE radius, nassoc)
   IF nassoc EQ 0 THEN return, -1

   iras_galaxies_assoc = { IRAS_GALAXIES_ASSOC, $
                           RA:       0.0D0, $
                           DEC:      0.0D0, $
                           CNTR:     0L, $
                           NAME:     '           ', $
                           FNU_12:   0.0, $
                           FNU_25:   0.0, $
                           FNU_60:   0.0, $
                           FNU_100:  0.0, $
                           FQUAL_12: 0, $
                           FQUAL_25: 0, $
                           FQUAL_60: 0, $
                           FQUAL_100:0, $
                           FIR:      0.0, $
                           FQFIR:    0, $
                           CLASS:    '       ', $
                           NGCIC:    '       ', $
                           PGCNAM:   '            ', $
                           MAGPGC:   0.0, $
                           AMDNAM:   '       ', $
                           DIST:     0.0D0 $
                         }

   iras_galaxies_assoc = replicate(iras_galaxies_assoc,nassoc)

   FOR i=0,n_tags(irasgal)-1 DO iras_galaxies_assoc.(i) = irasgal(iassoc).(i)

   iras_galaxies_assoc(0).dist = dist(iassoc(0))
   IF nassoc GT 1 THEN iras_galaxies_assoc.dist = dist(iassoc)

   return, iras_galaxies_assoc
   END
