;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;+
; NAME:
;       point_source_init
;
; PURPOSE:
;       Initializes the structure point_sources used for Serendipity
;	processing.
;
; CATEGORY:
;       PIA - initialization
;
; CALLING SEQUENCE:
;       @point_source_init
;
; MODIFICATION HISTORY:
;       Written by: S. Bogun (MPIA)			February 1997
;-
;
         point_sources = { Point_Source, $
                           c_no: 0, $
                           s_no: 0, $
                           ra: 0.0d0, $
                           rau: 0.0d0, $
                           dec: 0.0d0, $
                           decu: 0.0d0, $
                           flx: 0.0d0, $
                           flxu: 0.0d0, $
                           vel: 0.0d0, $
                           cc: 0.0d0, $
                           back: dblarr(4), $
                           noise: dblarr(4), $
                           snr: dblarr(4) $
                         }

