;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	pro SMC_INIT 
;+
; NAME:
;       smc_init
; PURPOSE:
;       Initializes the structure PHTSMC defining the contents as
;	a template structure PHTSMC_TYPE. It can be used for clearing
;	the whole SMC structure, in case this should show as necessary. 
;
; CALLING SEQUENCE:
;       SMC_INIT
;
; INPUT PARAMETERS:
;	None       
;
; OUTPUT PARAMETERS: 
;	None
;
; PROCEDURES USED:
;       It uses the batch file phtsmc_init
;
; MODIFICATION HISTORY:
;	Written by Wai-Ming Tai			May 1996
;-

@phtsmc
	nele = N_ELEMENTS(phtsmc)
        IF nele GE 1 THEN $
           FOR I = 1, nele - 1 DO $
                FOR ihan = smc_first_handle, smc_last_handle DO $
		  HANDLE_FREE, phtsmc(i).(ihan)

@phtsmc_init

END
