;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO SET_SLWAVELEN
;+
; NAME:
;       set_slwavelen
; PURPOSE:
;       Fill the array slwavelen (in PHTSLWAVLEN) containing the SS and SL 
;	wavelengths
; CATEGORY:
;	PIA - processing
;
; CALLING SEQUENCE:
;       set_slwavelen
;
; INPUT PARAMETERS:
;       NONE
;
; OUTPUT PARAMETERS:
;       NONE
;
; RESTRICTIONS:
;       NONE
; 
; METHOD:
;	Call to READ_SPECAL (read PSPECAL.FITS)
;
; PROCEDURES USED:
;       Common Block(s) or @ procedure(s):
;               phtslwavlen
;       PIA Procedure(s):
;               read_specal
;
; MODIFICATION HISTORY:
;       Written by: Carlos GABRIEL
;	Oct 95 Version 3.5
;	Now just as intermediate call to READ_SPECAL (CG)	April 1996
;-
@phtslwavlen
;
	ON_ERROR, 2

; Check number of parameters
	IF N_PARAMS() GT 0 THEN MESSAGE, /INFO, $
		'Syntax: set_slwavelen '

; Way to create linear central wavelengths - Now discarded\

;	PIXSS = [2.502,4.917]
;	PIXSL = [5.781,11.593]
;	PIX = FINDGEN(64) / 63.
;	SS = interpolate(PIXSS, PIX)
;	SL = interpolate(PIXSL, PIX)
;	SLWAVELEN = [SS,SL]

; Way to create linear central wavelengths - Now discarded\

;	read_asc_psssl, buff, inputfile= !CALU+'p_ss_sl.txt'
;	slwavelen = buff(1,*) * 1.e+06

; Now redirected to read the CAL G - FITS file containing calibrated values

	read_specal

	RETURN
	END
