;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	PRO Vignet_Tables_Read
;+
; Name:
;	Vignet_Tables_Read
;
; Purpose:
;	Read the Vignetting Correction Tables into a common block
; CATEGORY:
;	PIA - initialization
;
; Input:
;	None
;
; Output:
;	None:
;
; Restrictions:
;	The five correction files must be available
;
; Procedures Used:
;       Common Block(s) or @ procedure(s):
;               phtvignet
;       Astronomical Library:
;               fxread
;
; Modification History:
;	Written by: Huw Morris
;	Modified by: C Gabriel
;	Oct 95 Version 3.5
;	Changed to pipeline SPD C200 pixel order - CG		December 1996
;	V5.5
;
;-
 
@phtvignet

	ON_ERROR, 2                  ; Return to calling procedure

; Read the correction tables into common block variables.
	FXREAD, !CALG+'PP1VIGN.FITS', PP1Vign
	FXREAD, !CALG+'PP2VIGN.FITS', PP2Vign
	FXREAD, !CALG+'PP3VIGN.FITS', PP3Vign
	FXREAD, !CALG+'PC1VIGN.FITS', PC1Vign
	FXREAD, !CALG+'PC2VIGN.FITS', PC2Vign_p
; Change from Pipeline SPD pixel order
	c2p_pipe2ia, pc2vign_p, pc2vign

	END
