;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  PRO write_fcspstr, det, newfcspstr, REPLACE = replace
;+
; NAME:
;       WRITE_FCSPSTR
; PURPOSE:
;       Append new records to the FCSP current structure corresponding 
;	to det 
; CATEGORY:
;	PIA - I/O
; CATEGORY:
;       
; CALLED SEQUENCE:
;       WRITE_FCSPSTR, DETECTOR_NAME, newfcspstr, [/REPLACE]
; INPUTS:
;       DETECTOR_NAME: ONE OF THESE STRINGS -- P1, P2, P3, C1, C2
;       newfcspstr: the corresponding new FCS powers structure
; OPTIONAL INPUTS:
;       NONE
; KEYWORD PARAMETERS:
;       NONE
; PROCEDURE:
; MODIFICATION HISTORY:
;       WRITTEN BY: Carlos GABRIEL
;	Oct 95 Version 3.5
;	Typ name changed  CG		October 1995	
;       keyword replace introduced - JAcosta            June 1996
;-
ON_ERROR, 2

	detind = STRMID(STRUPCASE(det),0,2)

	CASE detind of 
		'C2': fcsp_str = {C2_FCSPOW_typ}
		'C1': fcsp_str = {C1_FCSPOW_typ}
		ELSE: fcsp_str = {P_FCSPOW_typ}
	ENDCASE

	filename = !CALSAVE+ detind + 'CALFCSP_STR.SAV'

	if not keyword_set (replace) then begin
		RESTORE, filename
		fcsp_str = [fcsp_str, newfcspstr]
	endif else fcsp_str = newfcspstr	

	
	SAVE, fcsp_str, FILE=filename, /XDR
END

