;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.! 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             ! 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             ! 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
function xptest_get, id

   common xptest, x, y, overplot, both, color, keywords, seed

   widget_control, id.color, get_value=value
   if value(0) then color = (fix(value(0)) > 0 < !d.n_colors-1) else color = -1

   widget_control, id.overplot, get_value=value
   if value(0) then overplot = value(0) else overplot = 0

   if both then begin
       widget_control, id.x, get_value=command
       command = 'x='+command(0)
       r = execute(command)
   endif

   widget_control, id.y, get_value=command
   command = 'y='+command(0)
   r = execute(command)

   widget_control, id.keywords, get_value=value
   keywords = value(0)

   command = 'pia_xplot'
   if both then command = command + ', x'
   command = command + ', y'
   if color ne -1 then command = command + ', color='+strtrim(color,2)
   if keywords then command = command + ', ' + keywords

   return, command
   end

pro xptest_event, event

   common xptest
   on_error, 2

   widget_control, event.id, get_uvalue=action
   widget_control, event.top, get_uvalue=id

   case action of

   'QUIT': begin
           widget_control, event.top, /destroy
           end

   'PLOT': begin
           command = xptest_get(id) + ', group='+strtrim(event.top,2)
           r = execute( command )
           end

   'OPLT': begin
           command = xptest_get(id) + ', group='+strtrim(event.top,2) + $
                                      ', overplot='+strtrim(overplot,2)
           r = execute( command )
           end

   'BOTH': both=1
   'YONL': both=0
   else:
   endcase

   return
   end

pro xptest

   common xptest

   x = 0
   y = 0
   overplot = 0
   both = 1
   color = -1

   id = { base:0L, x:0L, y:0L, keywords:0L, color:0L, overplot:0L }

   id.base = widget_base( title='Test XPLOT', /column )
   id_2 = widget_base( id.base, /row )
       id_0 = widget_button( id_2, value='    Quit    ', uvalue='QUIT' )
       id_1 = widget_base( id_2, /column )
           id_0 = widget_button( id_1, value='    Plot    ', uvalue='PLOT' )
           id_0 = widget_button( id_1, value='  Overplot  ', uvalue='OPLT' )
       xmenu, ['Call XPLOT with X and Y','Call XPLOT with Y only'], id_2, /frame, $
               /exclusive, /no_release, uvalue=['BOTH','YONL' ], space=20
       id_1 = widget_base( id_2, /column )
           id.overplot = cw_field( id_1, title='Overplot value: ', xsize=8, /row, /frame )
           id.color = cw_field( id_1, title='Color Index:      ', xsize=8, /row, /frame )
   id.x = cw_field( id.base, title='X= ', xsize=80, /row, /frame )
   id.y = cw_field( id.base, title='Y= ', xsize=80, /row, /frame )
   id.keywords = cw_field( id.base, title='Keywords: ', xsize=80, /row, /frame )

   widget_control, id.base, /realize, set_uvalue=id
   Xmanager,No_BLOCK=1, 'xptest', id.base

   return
   end

