;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;!                                                                             !
;! This routine belongs to the PHT Interactive Analysis Package PIA.           !
;!                                                                             !
;! PIA is a joint development by the ESA Astrophysics Division and the ISOPHOT !
;! Consortium led by the Max Planck Institute for Astronomy (MPIA), Heidelberg.!
 
;! Contributing ISOPHOT Consortium institutes are DIAS, RAL, AIP, MPIK, and    !
;! MPIA.                                                                       !
;!                                                                             !
 
;! Its use and distribution are free, as long as this header text is not       !
;! removed, or changed. When publishing ISOPHOT Data reduced with this analysis!
;! package, please mention this in the acknowledgement.                        !
;!                                                                             !
;! No warranties for installation/ support/ maintenance are given.             !
 
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

function yes_no, title, group=group

  the_ans = 1
  print, string(7b)
  IF not KEYWORD_SET(group) THEN group=!PIA_TOP_WID
  base = widget_base(title='Warning!', /column, /frame, /modal, group=group)
  text = widget_text(base, value=title, /frame)
  but_base = widget_base(base, /row)
  blank = widget_label(but_base,value=' ')
  yes_but = widget_button(but_base, value = '   YES   ', /frame)
  no_but = widget_button(but_base, value = '   NO   ')

  widget_control, base, /realize
  widget_control, yes_but, /input_focus

  ok=0
  WHILE ok EQ 0 DO BEGIN
  	event= WIDGET_EVENT(base)
  	
	CASE event.id of 
	  yes_but:	begin
	 		the_ans = 1
			ok = 1
	  end
  	  no_but: begin
	 		the_ans = 0
	 		ok = 1
	  end
  	  else:
  	endcase

  ENDWHILE
  widget_control, base, /destroy


  return, the_ans
end
